2017-10-06 11:34:04 +0200 Mike Gabriel (2401b05)

	* release 0.5.2 (HEAD -> master)

2017-09-26 09:13:03 +0200 Mike Gabriel (1fb04e5)

	* data/ayatana-indicator-application.desktop.in: Add Budgie as
          candidate for launching ayatana-indicator-application.
          (origin/master)

2017-09-26 09:10:35 +0200 Mike Gabriel (6f0baea)

	* data/ayatana-indicator-application.desktop.in: Add XFCE as
          candidate for launching ayatana-indicator-application.

2017-06-07 23:05:00 +0200 Mike Gabriel (9ea282b)

	* debian/{rules/watch}: Add get-orig-source rule and watch file to
          make upstream packaging as close to official Debian
          packaging.

2017-06-07 22:13:27 +0200 Mike Gabriel (7a0de9b)

	* debian/upstream: Add GnuPG pubkey for upstream devs.

2017-06-07 22:13:06 +0200 Mike Gabriel (5810507)

	* debian/patches: Add README for patches/ subfolder.

2017-05-31 15:01:28 +0200 Mike Gabriel (7ce7832)

	* data/ayatana-indicator-application.desktop.in

2017-05-30 14:21:51 +0200 Mike Gabriel (630f47c)

	* XDG-autostart this indicator in MATE, too.

2017-05-29 11:36:24 +0200 Mike Gabriel (21a3517)

	* release 0.5.1 (tag: 0.5.1, origin/release-builds, release-builds)

2017-05-26 01:30:59 +0200 Mike Gabriel (af351b0)

	* src/application-service-watcher.c: Comment out upstart specific
          code for now. We can reintroduce it once we know if our
          session is upstart-managed (or systemd-managed).

2017-05-15 13:27:27 +0200 Mike Gabriel (0858a56)

	* data/Makefile.am: Indentation/white-space fix.

2017-05-15 13:14:16 +0200 Mike Gabriel (fe747e1)

	* upstart service files: Fix namespace overlapping with the project
          we forked from.

2017-05-15 12:24:05 +0200 Michael Terry (3661214)

	* Work inside a snap by prefixing hard coded paths with . (LP:
          #1629009)

2017-05-15 12:22:34 +0200 Jeremy Bicha (f20bc23)

	* Hide 'Indicator Application' from Startup Applications (LP:
          #1637379) (LP: #1637379)

2017-05-15 12:20:44 +0200 Ted Gould (a099394)

	* Adding a systemd user unit.

2017-05-15 10:28:54 +0200 Mike Gabriel (9afe090)

	* build system: Switch to mate-common.

2015-11-11 15:40:53 +0000 Mike Gabriel (dcb6427)

	* Add forgotten file...
          (src/ayatana-application-service-marshal.list).

2015-11-11 08:17:08 +0100 Mike Gabriel (2349431)

	* dbus-shared.h: Use org.ayatana namespace for the DBus service
          object.

2015-11-11 05:58:50 +0100 Mike Gabriel (13e1544)

	* Fork from Ubuntu's indicator-application code project.

2015-01-28 21:13:37 +0000 CI Train Bot (6935795)

	* Releasing 12.10.1+15.04.20150128-0ubuntu1
          (refs/bzr/origin/tags/12.10.1+15.04.20150128-0ubuntu1,
          refs/bzr/origin/heads/master)

2015-01-28 21:13:25 +0000 Ted Gould (61f83a5)

	* Remove XFCE from the OnlyShowIn list Fixes: #1411959 Approved by:
          Antti Kaijanmäki, PS Jenkins bot

2015-01-27 08:04:07 -0600 Ted Gould (57a37ce)

	* Update gcov.m4

2015-01-20 11:26:47 -0600 Ted Gould (d941082)

	* Remove XFCE from the OnlyShowIn list

2014-04-07 13:39:46 +0000 CI bot (f08a10d)

	* Releasing 12.10.1+14.04.20140407-0ubuntu1
          (refs/bzr/origin/tags/12.10.1+14.04.20140407-0ubuntu1)

2014-04-07 13:39:36 +0000 Ted Gould (72e1242)

	* Fix the upstart job and desktop config for GNOME2 Fixes: 1302123

2014-04-07 08:27:30 -0500 Ted Gould (6f1a0f7)

	* Switching to single equals

2014-04-02 15:17:39 +0000 CI bot (b3b0fc8)

	* Releasing 12.10.1+14.04.20140402-0ubuntu1
          (refs/bzr/origin/tags/12.10.1+14.04.20140402-0ubuntu1)

2014-04-02 15:17:28 +0000 Sebastien Bacher (343963f)

	* Don't output warnings about properties re-requests, debug is enough
          Fixes: 1297437

2014-03-25 16:24:30 -0500 Ted Gould (d0042b5)

	* Switch session checking to be in pre-start

2014-03-25 19:16:58 +0100 Sebastien Bacher (04a7c41)

	* Don't output warnings about properties re-requests, debug is enough

2014-03-24 10:07:59 +0000 CI bot (4b29e70)

	* Releasing 12.10.1+14.04.20140324-0ubuntu1
          (refs/bzr/origin/tags/12.10.1+14.04.20140324-0ubuntu1)

2014-03-24 10:07:51 +0000 Sebastien Bacher (2906f8d)

	* Don't mention "library", that's a separate source nowadays

2014-03-21 17:21:44 +0100 Sebastien Bacher (38f5543)

	* Don't mention "library", that's a separate source nowadays

2014-02-26 10:32:16 -0600 Ted Gould (02d2362)

	* Update for gnome-fallback

2014-02-26 09:56:44 -0600 Ted Gould (d0e78b3)

	* Switch to not being ubuntu-touch for other desktops

2014-02-25 16:36:48 +0000 Ted Gould (e51f4d9)

	* Synchronize process management across indicators.

2014-02-20 15:38:21 -0600 Ted Gould (7ae14a3)

	* Switch to a name watch

2014-02-20 15:21:11 -0600 Ted Gould (b12215e)

	* Own the name

2014-02-20 14:48:59 -0600 Ted Gould (e48b26b)

	* Removes the indicator service code

2014-02-19 21:31:05 -0600 Ted Gould (dd359a1)

	* Switch to using pkglibexecdir

2014-02-19 21:27:31 -0600 Ted Gould (f179a2c)

	* Build the upstart desktop file in its own directory

2014-02-19 21:14:06 -0600 Ted Gould (c6a36f4)

	* Adding a desktop file for the Upstart override

2014-02-19 21:10:15 -0600 Ted Gould (4d7566c)

	* Make sure this is for Unity and XFCE

2014-02-14 15:24:24 -0600 Ted Gould (cbe78c0)

	* Fixing the autostart file

2014-02-14 15:10:24 -0600 Ted Gould (7d97429)

	* Respawn limit and better rules

2014-01-17 19:34:45 +0000 Automatic PS uploader (ae7db09)

	* Releasing 12.10.1+14.04.20140117-0ubuntu1 (revision 244 from
          lp:indicator-application).
          (refs/bzr/origin/tags/12.10.1+14.04.20140117-0ubuntu1)

2014-01-17 17:43:55 +0000 Automatic PS uploader (bd2e50e)

	* Releasing 12.10.1+14.04.20140117-0ubuntu1, based on r244

2014-01-17 12:58:22 +0000 Sebastien Bacher (0a8bd5a)

	* don't error out on deprecated declarations.

2014-01-17 11:59:18 +0100 Sebastien Bacher (8fbbd6b)

	* include new lcov version

2014-01-16 20:31:25 +0100 Sebastien Bacher (c4eb40f)

	* don't error out on deprecated declarations

2013-11-25 15:36:53 +0000 Automatic PS uploader (74305fa)

	* Releasing 12.10.1+14.04.20131125-0ubuntu1 (revision 242 from
          lp:indicator-application).

2013-11-25 03:55:09 +0000 Automatic PS uploader (70d3aea)

	* Releasing 12.10.1+14.04.20131125-0ubuntu1, based on r242

2013-10-31 17:57:31 +0000 Ted Gould (f2ce0ee)

	* Switch indicator application over to having an upstart job for
          managing the service.  Also make it emit it's own event
          for when application indicators should be started so we
          can clean up the boot sequence. Fixes:
          https://bugs.launchpad.net/bugs/1185565.

2013-10-28 17:01:19 -0700 Ted Gould (96efd3b)

	* Adding an XDG Autostart file

2013-10-28 16:35:30 -0700 Ted Gould (6623650)

	* Merge trunk

2013-10-24 02:16:34 +0000 Charles Kerr (da34f0c)

	* When we can't get a handle to the system bus, exit gracefully
          instead of crashing. Fixes:
          https://bugs.launchpad.net/bugs/1197788.

2013-10-23 12:05:33 -0500 Charles Kerr (5e409a4)

	* don't crash if we can't get the session bus.

2013-08-27 15:15:52 -0500 Ted Gould (bcd73f4)

	* Dropping debugging for system-wide support

2013-07-12 16:04:36 -0500 Ted Gould (f3246fc)

	* Add the indicator-services-end condition

2013-07-12 16:04:11 -0500 Ted Gould (77943e2)

	* Add the indicator-services-start condition

2013-07-12 16:03:55 -0500 Ted Gould (e5d5f1a)

	* Make sure to have proper syntax

2013-05-29 14:23:35 -0500 Ted Gould (634e24e)

	* Dropping service from extra dist and clean

2013-05-29 13:32:07 -0500 Ted Gould (7b8ff47)

	* Limiting to only the ubuntu session

2013-05-29 13:27:51 -0500 Ted Gould (fe92d7d)

	* A comment, because comments rock.

2013-05-29 13:25:47 -0500 Ted Gould (3051b7a)

	* When we get our name, then start app indicators

2013-05-29 11:43:45 -0500 Ted Gould (a6999f4)

	* Dropping the dbus service file

2013-05-29 11:18:05 -0500 Ted Gould (477cf6a)

	* Adding an upstart job configuration

2013-01-25 12:08:09 +0000 Automatic PS uploader (fe77f0e)

	* Releasing 12.10.1daily13.01.25-0ubuntu1 to ubuntu.

2013-01-25 02:01:10 +0000 Automatic PS uploader (fb406e1)

	* Releasing 12.10.1daily13.01.25-0ubuntu1, based on r239

2013-01-23 07:49:19 +0000 Charles Kerr (36d8b41)

	* remove g_type_init() calls; introduce explicit glib requirements to
          configure.ac and debian/control

2013-01-22 14:32:18 -0600 Charles Kerr (f788c22)

	* add a glib minimum to configure.ac, debian/control. remove
          g_type_init() calls.

2013-01-11 16:20:08 +0000 Automatic PS uploader (f8a22d3)

	* Releasing 12.10.1daily13.01.11-0ubuntu1 to ubuntu.

2013-01-11 02:02:09 +0000 Automatic PS uploader (b9c040b)

	* Releasing 12.10.1daily13.01.11-0ubuntu1, based on r237

2012-12-18 20:22:45 +0000 Marco Trevisan (Treviño) (22ee6bf)

	* Indicator-application: removing the deprecated approver support.

2012-12-18 20:08:50 +0100 Marco Trevisan (Treviño) (d5c42de)

	* Indicator-application: removing the deprecated approver support

2012-11-22 08:34:31 +0000 Didier Roche (6f43d3e)

	* Bootstrap message for automated daily uploda.

2012-11-22 09:14:09 +0100 Didier Roche (0f8800c)

	* boostrap message

2012-11-22 07:13:29 +0000 Sebastien Bacher (3ff7ad1)

	* Import packaging.

2012-11-21 11:22:53 -0500 Mathieu Trudel-Lapierre (e21f29c)

	* debian/copyright: simplify into one File: stanza.

2012-11-21 11:20:13 -0500 Mathieu Trudel-Lapierre (60c5d50)

	* Update Vcs-Bzr, Vcs-Browser and add a notice to uploaders.

2012-11-20 14:41:02 -0500 Mathieu Trudel-Lapierre (e88b951)

	* Add gnome-common to Build-Depends.

2012-11-20 14:32:55 -0500 Mathieu Trudel-Lapierre (a873cad)

	* Reorganize Build-Depends for consistency with other indicator
          packages.

2012-11-20 14:18:49 -0500 Mathieu Trudel-Lapierre (a90599b)

	* Add and export DPKG_GENSYMBOLS_CHECK_LEVEL.

2012-11-20 14:13:56 -0500 Mathieu Trudel-Lapierre (0688e47)

	*   - Add dh-autoreconf to Build-Depends.   - Override dh_autoreconf
          to call autogen.sh and not call configure.

2012-11-20 13:59:06 -0500 Mathieu Trudel-Lapierre (a5c187b)

	* * debian/rules:   - Use dh_autoreconf with dh sequencer.

2012-11-20 13:54:11 -0500 Mathieu Trudel-Lapierre (a22957c)

	* * debian/control:   - Update style to match other indicator
          packages.

2012-11-20 13:53:01 -0500 Mathieu Trudel-Lapierre (6a6c91d)

	* Tell bzr-builddeb to build this package using split mode

2012-11-20 11:58:45 -0500 Mathieu Trudel-Lapierre (e174cb0)

	* Import debian/ from lp:~ubuntu-desktop/indicator-application/ubuntu

2012-08-22 14:45:06 +0200 Sebastien Bacher (6603fe4)

	* releasing version 12.10.0-0ubuntu2

2012-08-22 14:44:52 +0200 Sebastien Bacher (e863c24)

	* debian/control: Build-Depends on dbus-test-runner and xvfb, dh9
          runs make check for us and the tests require those

2012-08-22 14:00:16 +0200 Sebastien Bacher (bd61f1d)

	* releasing version 12.10.0-0ubuntu1

2012-08-22 13:59:58 +0200 Sebastien Bacher (a89e5cc)

	* * New upstream release:   - Require GTK3 in Indicators (lp:
          #996607) * Dropped GTK2 build * Updated packaging to the
          current standards

2012-08-22 13:41:12 +0200 Sebastien Bacher (9df80bf)

	* Import upstream version 12.10.0

2012-08-21 23:34:39 -0500 Charles Kerr (90e5ec8)

	* 12.10.0 (refs/bzr/origin/tags/12.10.0)

2012-06-22 14:01:30 +0000 Charles Kerr (f2ace01)

	* remove gtk2 support. Fixes: https://bugs.launchpad.net/bugs/996607.
          Approved by Lars Uebernickel.

2012-05-07 16:36:35 -0700 Charles Kerr (a6590cc)

	* require gtk3

2012-04-11 14:17:49 -0400 Ken VanDine (ed31788)

	* releasing version 0.5.0-0ubuntu1

2012-04-11 13:35:02 -0400 Ken VanDine (486e1b3)

	* * New upstream release.   * Improved gcov rules in our Automake
          files.   * Fix parent pointer object for
          unity-panel-service.

2012-04-11 12:23:49 -0500 Charles Kerr (7201938)

	* releasing version 0.5.0-0ubuntu1~ppa1

2012-04-11 12:22:39 -0500 Charles Kerr (a88bd1a)

	* * New upstream release.   * Improved gcov rules in our Automake
          files.   * Fix parent pointer object for
          unity-panel-service.

2012-04-11 12:21:52 -0500 Charles Kerr (cb8844b)

	* Import upstream version 0.5.0

2012-04-11 12:21:09 -0500 Charles Kerr (f0e4fc0)

	* Sync from Ubuntu Desktop

2012-04-11 12:15:43 -0500 Charles Kerr (ab3fc0e)

	* 0.5.0 (tag: 0.5.0, refs/bzr/origin/tags/0.5.0)

2012-04-11 12:11:36 -0500 Charles Kerr (3a3e89e)

	* merge lp:~allanlesage/indicator-application/TDD to improve our
          automake gcov rules

2012-04-10 11:29:01 -0500 Charles Kerr (0404809)

	* merge lp:~ted/indicator-application/parent-pointer to add in the
          parent object pointer for unity-panel-service.

2012-04-09 14:43:39 -0500 Ted Gould (1833f44)

	* Set the parent object pointer to help unity-panel-service

2012-03-27 16:16:53 -0500 Allan LeSage (22ff9e1)

	* Pedantic name change for gcovr xml coverage results.

2012-03-27 16:08:10 -0500 Allan LeSage (18da8cd)

	* Removed gcovr dependency, moved coverage targets to own makefile,
          cleaning up *.gcno.

2012-03-21 18:22:14 -0400 Ken VanDine (5a7ebb9)

	* releasing version 0.4.94-0ubuntu1

2012-03-21 18:13:03 -0400 Ken VanDine (be63d57)

	* * New upstream release.   * Memory leak (LP: #957992) * New
          upstream release.   * Fix a dbus memory leak. (LP:
          #953585)   * Fix potential integer overflow (LP: #944234)

2012-03-21 18:08:13 -0400 Ken VanDine (086cedb)

	* Merging shared upstream rev into target branch.

2012-03-21 18:08:12 -0400 Ken VanDine (9aa7545)

	* Prepared upstream tree for merging into target branch.

2012-03-21 18:07:38 -0400 Ken VanDine (5e75991)

	* Merging shared upstream rev into target branch.

2012-03-21 18:07:37 -0400 Ken VanDine (86bfcf3)

	* Prepared upstream tree for merging into target branch.

2012-03-21 16:53:19 -0500 Ted Gould (3aac21d)

	* releasing version 0.4.94-0ubuntu1~ppa1

2012-03-21 16:52:24 -0500 Ted Gould (9871b47)

	* * New upstream release.   * Memory leak (LP: #957992)

2012-03-21 16:50:53 -0500 Ted Gould (63e76db)

	* Import upstream version 0.4.94

2012-03-21 16:49:55 -0500 Ted Gould (48d44ef)

	* Sync to Ubuntu Desktop

2012-03-21 16:47:35 -0500 Ted Gould (14455a2)

	* Merging shared upstream rev into target branch.

2012-03-21 16:47:34 -0500 Ted Gould (2b3f1e6)

	* Prepared upstream tree for merging into target branch.

2012-03-21 16:24:53 -0500 Ted Gould (daf30a3)

	* 0.4.94 (tag: 0.4.94, refs/bzr/origin/tags/0.4.94)

2012-03-20 18:39:34 -0500 Charles Kerr (54d6c14)

	* merge lp:~charlesk/indicator-application/hashtable-mem-bugs to fix
          memory errors reported in lp bug #957992

2012-03-17 11:04:31 -0500 Charles Kerr (e80b857)

	* Fix two memory bugs with clearing out out directories from our icon
          search path.

2012-03-14 19:31:13 +0100 Sebastien Bacher (b907100)

	* releasing version 0.4.93-0ubuntu1

2012-03-14 19:28:13 +0100 Sebastien Bacher (cc14b53)

	* * New upstream release:   - Coverity INTEGER_OVERFLOW - CID 10716
          (lp: #944234)   - small memory leak caused by inline use
          of dbus_g_method_get_sender()     (lp: #953585)

2012-03-14 19:26:54 +0100 Sebastien Bacher (de6e9e4)

	* Import upstream version 0.4.93

2012-03-13 16:36:33 -0500 Charles Kerr (244eff8)

	* releasing version 0.4.93-0ubuntu1~ppa

2012-03-13 16:33:00 -0500 Charles Kerr (71265fd)

	* releasing version 0.4.93-0ubuntu1~ppa

2012-03-13 15:54:18 -0500 Charles Kerr (c102fa5)

	* * New upstream release.   * Fix a dbus memory leak. (LP: #953585)  
          * Fix potential integer overflow (LP: #944234)

2012-03-13 15:38:47 -0500 Charles Kerr (fed02bf)

	* Import upstream version 0.4.93

2012-03-13 15:29:49 -0500 Charles Kerr (2c9a58b)

	* Sync from Ubuntu Desktop

2012-03-13 15:00:31 -0500 Charles Kerr (8e26e84)

	* 0.4.93 (tag: 0.4.93, refs/bzr/origin/tags/0.4.93)

2012-03-12 19:54:07 -0500 Charles Kerr (e6d8a51)

	* in generate_id(), we have a handful of local guint8's that get
          left-shifted to the point of potential overflow -- so
          change them to guint32 instead. Bug reported by coverity
          in lp ticket #944234

2012-03-12 19:52:28 -0500 Charles Kerr (256988d)

	* change local guint8 fields that get left-shifted to guint32 to
          prevent overflow, as reported by coverity in lp bug
          #944234

2012-03-12 19:45:39 -0500 Charles Kerr (ec7981d)

	* merge lp:~htorque/indicator-application/fix-small-memleak to fix a
          small memory leak described in lp bug #953585

2012-03-12 22:30:54 +0100 Hernando Torque (67847ad)

	* Fix small memory leak by freeing string returned by
          dbus_g_method_get_sender.

2012-03-12 10:25:53 -0400 Ken VanDine (80459a4)

	* releasing version 0.4.92-0ubuntu1

2012-03-12 09:04:50 -0400 Ken VanDine (bc0fd0f)

	* * New upstream release.   * Explicitly specifying GVariant Builder
          types   * Cleaning up a switch statement (LP: #944236)

2012-03-09 15:15:21 -0600 Ted Gould (7045c3e)

	* releasing version 0.4.92-0ubuntu1~ppa1

2012-03-09 15:14:29 -0600 Ted Gould (889f6d9)

	* * New upstream release.   * Explicitly specifying GVariant Builder
          types   * Cleaning up a switch statement (LP: #944236)

2012-03-09 15:13:28 -0600 Ted Gould (d518799)

	* Import upstream version 0.4.92

2012-03-09 15:13:08 -0600 Ted Gould (9b0c61b)

	* Merge from U. Desktop

2012-03-09 15:09:19 -0600 Ted Gould (29bf37b)

	* 0.4.92 (tag: 0.4.92, refs/bzr/origin/tags/0.4.92)

2012-03-05 15:14:00 -0600 Charles Kerr (d6769d5)

	* merge lp:~ted/indicator-application/lp944236 to fix the warning
          that Coverity reported in bug #944236

2012-03-05 10:39:40 +0100 Sebastien Bacher (1c5dbfe)

	* releasing version 0.4.91-0ubuntu2

2012-03-05 10:39:12 +0100 Sebastien Bacher (e3d1d6d)

	* Backport an upstream fix for a gvariant misuse, thanks desrt for
          it!

2012-03-02 17:02:32 -0600 Ted Gould (5960d8f)

	* Cleaning up switch statement to be more readable

2012-03-02 09:52:20 -0600 Ted Gould (e2bbff7)

	* Add full type to GVariantBuilder

2012-03-02 00:16:38 -0500 Ryan Lortie (a140461)

	* make proper use of g_variant_builder_init()

2012-02-15 22:01:52 +0100 Sebastien Bacher (68e3c2d)

	* releasing version 0.4.91-0ubuntu1

2012-02-15 12:08:33 -0600 Ted Gould (3ed68eb)

	* releasing version 0.4.91-0ubuntu1~ppa1

2012-02-15 12:07:10 -0600 Ted Gould (568df37)

	* * New upstream release.   * Unref approval data after use

2012-02-15 12:06:29 -0600 Ted Gould (1401a3d)

	* Import upstream version 0.4.91

2012-02-15 12:06:11 -0600 Ted Gould (c87f1ae)

	* Sync to Ubuntu Desktop

2012-02-15 11:59:14 -0600 Ted Gould (9ea46ae)

	* 0.4.91 (tag: 0.4.91, refs/bzr/origin/tags/0.4.91)

2012-02-12 12:39:48 -0600 Ted Gould (e985113)

	* Unreffing the result of the approval message

2012-02-11 11:58:54 +0100 Sven Baars (6d9ffd0)

	* Free the result of g_dbus_proxy_call_finish after use

2012-02-08 16:05:03 -0500 Ken VanDine (4b35057)

	* releasing version 0.4.90-0ubuntu1

2012-02-08 15:30:51 -0500 Ken VanDine (9b28d1b)

	* * New upstream release.   * Adding in a code coverage based build
          target   * Fixing useless variable setting   * Fixing
          variant usage   * Adding support for the Title property  
          * Fixing to work with Dbusmenu 0.5.90 * debian/control:
          Dbusmenu bump to 0.5.90

2012-02-08 12:03:01 -0600 Ted Gould (6350c37)

	* releasing version 0.4.90-0ubuntu1~ppa1

2012-02-08 11:40:57 -0600 Ted Gould (0bf3d06)

	* debian/control: Dbusmenu bump to 0.5.90

2012-02-08 11:31:48 -0600 Ted Gould (44cc6e7)

	* * New upstream release.   * Adding in a code coverage based build
          target   * Fixing useless variable setting   * Fixing
          variant usage   * Adding support for the Title property  
          * Fixing to work with Dbusmenu 0.5.90

2012-02-08 11:28:29 -0600 Ted Gould (2296595)

	* Import upstream version 0.4.90

2012-02-08 11:28:13 -0600 Ted Gould (e548f85)

	* Sync to U. Desktop

2012-02-08 11:17:03 -0600 Ted Gould (8c0ecc8)

	* 0.4.90 (tag: 0.4.90, refs/bzr/origin/tags/0.4.90)

2012-02-08 11:03:52 -0600 Ted Gould (1652735)

	* Adding in a code coverage based build target

2012-02-08 10:59:30 -0600 Ted Gould (4e1deeb)

	* Fixing useless variable setting

2012-02-08 10:50:04 -0600 Ted Gould (8a1e30e)

	* Fixing variant usage

2012-02-08 10:49:54 -0600 Ted Gould (0492224)

	* Adding support for the Title property

2012-02-08 10:48:13 -0600 Ted Gould (8aa53e2)

	* Fixing to work with Dbusmenu 0.5.90

2012-02-03 22:13:38 -0600 Ted Gould (a85b08a)

	* Oops, forgot one

2012-02-03 22:12:26 -0600 Ted Gould (4145c58)

	* Making sure to initial string pointers

2012-02-03 22:10:50 -0600 Ted Gould (ee1ac0d)

	* Make sure to initialize values before free'ing them

2012-02-03 22:01:20 -0600 Ted Gould (18b2217)

	* Ensuring that the values are initialized to NULL before using that
          later.

2012-02-03 21:32:38 -0600 Ted Gould (7614d41)

	* Attaching bug

2012-02-03 20:55:43 -0600 Ted Gould (79e3bfe)

	* Fixing variant usage

2012-02-03 20:49:23 -0600 Ted Gould (11f93eb)

	* Ignoring generated files

2012-02-03 20:47:53 -0600 Ted Gould (3bfb6d6)

	* Fixing some of the variant usage to free strings appropriately

2012-02-03 20:41:29 -0600 Ted Gould (432817d)

	* Changing the signatures on the indicator side, we don't care much
          about title though.

2012-02-03 20:37:21 -0600 Ted Gould (bc7f44a)

	* Don't need the ID as that's already the hint

2012-02-03 20:36:54 -0600 Ted Gould (cef6f0f)

	* Changing the output signatures

2012-02-03 20:34:52 -0600 Ted Gould (3ceb032)

	* Adding in service versions to detect the dbus API change

2012-02-03 20:18:58 -0600 Ted Gould (1b2a457)

	* Adding to more strings to the standard structure, ID and title

2012-02-03 17:04:01 -0600 Ted Gould (2a7a9f3)

	* Changing the service description to match

2012-02-03 17:03:12 -0600 Ted Gould (c1f07f7)

	* If we have a mega-change of things, let's signal a title change

2012-02-03 16:57:21 -0600 Ted Gould (c91e6fc)

	* Handling the 'NewTitle' signal coming from the application
          indicator

2012-02-03 16:53:23 -0600 Ted Gould (716e613)

	* Add the title to the structure for the application indicator

2012-02-03 16:47:38 -0600 Ted Gould (37d7bd7)

	* Fixing includes to match dbusmenu v0.5.90

2012-02-03 16:46:45 -0600 Ted Gould (996e46e)

	* Requiring dbusmenu 0.5.90

2012-01-25 10:11:55 -0500 Ken VanDine (0e850cc)

	* releasing version 0.4.0-0ubuntu2

2012-01-24 22:32:00 -0600 Charles Kerr (3cfb188)

	* fix dead store found by clang static analyzer

2012-01-24 22:18:10 -0500 Ken VanDine (2e6ca53)

	* no change rebuild for libindicator7

2011-12-06 15:49:39 -0600 Allan LeSage (dd6a60c)

	* Added coverage reporting via gcov config and targets.

2011-09-28 12:05:19 -0400 Ken VanDine (dfb47bb)

	* releasing version 0.4.0-0ubuntu1

2011-09-28 11:52:31 -0400 Ken VanDine (f4999fe)

	* * New upstream release.   * Fix memory leak (LP: #829961)

2011-09-28 10:24:19 -0500 Ted Gould (749e1fc)

	* Merge U. Desktop

2011-09-28 10:02:14 -0500 Ted Gould (77b5c42)

	* releasing version 0.4.0-0ubuntu1~ppa1

2011-09-28 09:53:37 -0500 Ted Gould (60db507)

	* * New upstream release.   * Fix memory leak (LP: #829961)

2011-09-28 09:53:02 -0500 Ted Gould (61ce124)

	* Import upstream version 0.4.0

2011-09-28 08:49:10 -0500 Ted Gould (ec05da4)

	* 0.4.0 (tag: 0.4.0, refs/bzr/origin/tags/0.4.0)

2011-09-16 16:41:26 -0500 Ted Gould (ac5c445)

	* Memory leaks on double calls for properties

2011-09-16 16:40:43 -0500 Ted Gould (bed6607)

	* Pulling in mterry's additional fixes

2011-09-16 16:37:06 -0500 Ted Gould (21a6e47)

	* Ensure we set a default value for aicon

2011-09-16 16:21:36 -0400 Michael Terry (a11c876)

	* free application fields before resetting them to new values

2011-09-14 17:08:19 -0500 Ted Gould (2f9133d)

	* Freeing properties on second run of building the app indicator

2011-08-11 21:48:49 +0200 Sebastien Bacher (256899d)

	* releasing version 0.3.92-0ubuntu1

2011-08-11 21:48:35 +0200 Sebastien Bacher (c538da3)

	* * debian/rules:   - update the translations template

2011-08-11 21:47:32 +0200 Sebastien Bacher (8735cde)

	* * New upstream release.   * Support middle click actions and send
          as Ayatana Activates   * Fix signature for null sets

2011-08-11 11:56:35 -0500 Ted Gould (09cbd15)

	* releasing version 0.3.92-0ubuntu1~ppa1

2011-08-11 11:55:25 -0500 Ted Gould (e66b698)

	* * New upstream release.   * Support middle click actions and send
          as Ayatana Activates   * Fix signature for null sets

2011-08-11 11:54:27 -0500 Ted Gould (e7d1dd3)

	* Import upstream version 0.3.92

2011-08-11 11:54:07 -0500 Ted Gould (6773f89)

	* Merge from U. Desktop

2011-08-11 11:51:43 -0500 Ted Gould (3bb503c)

	* 0.3.92 (tag: 0.3.92, refs/bzr/origin/tags/0.3.92)

2011-07-22 15:35:19 -0500 Ted Gould (bc8e1d9)

	* Enabling Secondary Activate support

2011-07-22 14:23:35 -0500 Ted Gould (6e7a1fe)

	* Fixing the signal prototype

2011-07-21 22:14:29 +0200 Marco Trevisan (Treviño) (11bf1f5)

	* 

2011-07-21 22:12:33 +0200 Marco Trevisan (Treviño) (2426537)

	* Up

2011-07-21 19:38:26 +0200 Marco Trevisan (Treviño) (f1a3038)

	* Use g_variant_new_uint32 as we just have one parameter

2011-07-21 18:28:23 +0200 Marco Trevisan (Treviño) (7cd7056)

	* Don't use "SecondaryActivate" method

2011-07-10 05:18:08 +0200 Marco Trevisan (Treviño) (1a569c2)

	* Add support to the "SecondaryActivate" method

2011-07-09 04:23:00 +0200 Marco Trevisan (Treviño) (81714fd)

	* Merge with upstream

2011-07-08 21:44:09 +0200 Sebastien Bacher (432dd0a)

	* releasing version 0.3.91-0ubuntu2

2011-07-08 12:47:44 -0500 Ted Gould (f255dfc)

	* Fixing the signature on the startup functions.

2011-07-08 12:39:11 -0500 Ted Gould (3770d74)

	* Forgot an 's' in the case of no app indicators

2011-07-08 12:43:42 +0200 Sebastien Bacher (39322c2)

	* releasing version 0.3.91-0ubuntu1

2011-07-07 15:54:24 -0500 Ted Gould (b7c636a)

	* Merging Ken's branch as well.

2011-07-07 15:32:59 -0500 Ted Gould (3eca9a2)

	* releasing version 0.3.91-0ubuntu1~ppa1

2011-07-07 15:32:09 -0500 Ted Gould (1e42fac)

	* * New upstream release.   * Build with libindicator 0.4

2011-07-07 15:31:41 -0500 Ted Gould (457dd74)

	* Import upstream version 0.3.91

2011-07-07 15:30:05 -0500 Ted Gould (f374f8e)

	* U. Desktop Sync

2011-07-07 15:25:34 -0500 Ted Gould (75eadfd)

	* 0.3.91 (tag: 0.3.91, refs/bzr/origin/tags/0.3.91)

2011-07-07 15:25:23 -0500 Ted Gould (3d3beb6)

	* Putting in name hints for the indicators

2011-07-07 10:39:10 -0500 Ted Gould (510e1e1)

	* Oops, should be a free

2011-07-07 10:19:32 -0500 Ted Gould (3640e44)

	* Making sure to unref() the result if we get one.

2011-07-07 10:16:51 -0500 Ted Gould (2902ab6)

	* Setting the name hints through the stack.

2011-07-07 10:03:00 -0500 Ted Gould (1af03e8)

	* Migrated to libindicator 0.4

2011-07-02 05:05:39 +0200 Marco Trevisan (Treviño) (62c7490)

	* Use the "entry-scrolled" signal instead of the old ones

2011-07-02 05:00:18 +0200 Marco Trevisan (Treviño) (0ab53a4)

	* Fix compilation with GTK+-2.0

2011-06-28 10:42:26 -0400 Ken VanDine (f099efd)

	* releasing version 0.3.90-0ubuntu2

2011-06-28 07:00:20 -0400 Ken VanDine (2799ed4)

	* Make sure gtk2 builds get pkgconfig info for appindicator-0.1
          instead of appindicator3-0.1

2011-06-22 13:26:15 -0400 Ken VanDine (f2c00ec)

	* releasing version 0.3.90-0ubuntu1

2011-06-22 13:06:59 -0400 Ken VanDine (3315ba5)

	* * New upstream release.   * GTK3 Port

2011-06-22 11:37:45 -0500 Ted Gould (e27d98a)

	* releasing version 0.3.90-0ubuntu1~ppa1

2011-06-22 11:33:09 -0500 Ted Gould (c15ad5e)

	* * New upstream release.   * GTK3 Port

2011-06-22 11:31:59 -0500 Ted Gould (3eea1be)

	* Import upstream version 0.3.90

2011-06-22 11:31:41 -0500 Ted Gould (1152e6d)

	* Merging Ubuntu Desktop

2011-06-22 11:22:45 -0500 Ted Gould (58779f7)

	* 0.3.90 (tag: 0.3.90, refs/bzr/origin/tags/0.3.90)

2011-06-22 11:21:32 -0500 Ted Gould (1a9efdf)

	* Changing where to find the header

2011-06-22 11:12:48 -0500 Ted Gould (58f4756)

	* Making tests use proper version of libappindicator and cleaning up
          libappindicator usage to use the same enum headers.

2011-06-10 16:21:50 -0500 Ted Gould (b5aec1c)

	* Add path for GTK3 indicator and make GTK3 default

2011-05-26 13:34:49 -0400 Michael Terry (fc4bf64)

	* change to gtk3 by default

2011-05-26 13:32:22 -0400 Michael Terry (484079b)

	* use indicator3 path if using gtk3

2011-04-14 16:13:42 -0400 Ken VanDine (361d963)

	* releasing version 0.3.2-0ubuntu1

2011-04-14 14:30:34 -0500 Ted Gould (28549d9)

	* releasing version 0.3.2-0ubuntu1~ppa1

2011-04-14 14:29:40 -0500 Ted Gould (d8f7ec7)

	* New upstream release. ∘ Free app using application_free() instead
          of just freeing the memory (LP: #743564) ∘ Protect against
          cancellation ∘ Make it so that we can cancel GetAll() (LP:
          #725665) ∘ Make it so that we can cancel Approver requests

2011-04-14 14:27:49 -0500 Ted Gould (b8ece12)

	* Import upstream version 0.3.2

2011-04-14 14:25:12 -0500 Ted Gould (ba6c0b1)

	* 0.3.2 (tag: 0.3.2, refs/bzr/origin/tags/0.3.2)

2011-04-12 15:51:40 -0500 Ted Gould (36e1489)

	* releasing version 0.3.1-0ubuntu3~ppa1

2011-04-12 15:50:14 -0500 Ted Gould (9ee516c)

	* Make it so that we can cancel Approver requests

2011-04-12 15:49:42 -0500 Ted Gould (4803742)

	* Make approver signals cancelable

2011-04-12 15:30:54 -0500 Ted Gould (8589bf9)

	*   * Protect against cancelation   * Make it so that we can cancel
          GetAll() (LP: #725665)

2011-04-12 15:28:01 -0500 Ted Gould (0edabc6)

	* Ensure we can cancel GetAll()

2011-04-12 15:27:25 -0500 Ted Gould (dd97a3c)

	* Protect from canceling

2011-04-12 15:17:49 -0500 Ted Gould (a595799)

	* Drop debian/patches/lp_743564.patch as merged upstream.

2011-04-12 15:16:57 -0500 Ted Gould (f428921)

	* * Upstream Merge   * Free app using application_free() instead of
          just freeing the     memory (LP: #743564)

2011-04-12 15:15:56 -0500 Ted Gould (0536a41)

	* Merge to U. Desktop

2011-04-12 15:14:38 -0500 Ted Gould (d24fd27)

	* Makes sure to free the application using the application_free()
          function

2011-04-12 13:14:09 -0400 Michael Terry (e029f89)

	* cancel approver requests too

2011-04-11 14:18:15 -0400 Michael Terry (ce5dcdd)

	* make sure we can cancel GetAll call

2011-04-11 09:52:08 -0400 Michael Terry (bee98f7)

	* catch one more cancel-before-accessing freed memory instance --
          this one resulting in a double free

2011-04-08 17:01:42 -0400 Ken VanDine (e25a3f6)

	* releasing version 0.3.1-0ubuntu2

2011-04-08 16:33:51 -0400 Michael Terry (2e0265d)

	* don't merely free an app, it has to be properly removed from list
          and such

2011-04-07 15:26:09 -0400 Ken VanDine (c361700)

	* releasing version 0.3.1-0ubuntu1

2011-04-07 13:34:13 -0500 Ted Gould (72fbb08)

	* releasing version 0.3.1-0ubuntu1~ppa1

2011-04-07 13:33:33 -0500 Ted Gould (d468238)

	* New upstream release. ∘ Fix the name of "nm-applet" in the
          overrides file ∘ Handle async tasks being canceled (LP:
          #752998)

2011-04-07 13:32:58 -0500 Ted Gould (b0a027c)

	* Import upstream version 0.3.1

2011-04-07 13:32:40 -0500 Ted Gould (b07cb5f)

	* Sync to U. Desktop

2011-04-07 13:30:06 -0500 Ted Gould (f17f35f)

	* 0.3.1 (tag: 0.3.1, refs/bzr/origin/tags/0.3.1)

2011-04-07 13:29:38 -0500 Ted Gould (e4e135f)

	* Handle async cancels

2011-04-07 10:10:11 -0400 Michael Terry (f57f2e7)

	* cancel-guard several callback functions

2011-04-06 09:06:53 -0500 Ted Gould (108f239)

	* Fixing the name of the network manager applet

2011-03-23 18:19:40 -0400 Ken VanDine (06c66da)

	* releasing version 0.3.0-0ubuntu1

2011-03-23 17:04:06 -0500 Ted Gould (01b1054)

	* releasing version 0.3.0-0ubuntu1~ppa1

2011-03-23 17:02:13 -0500 Ted Gould (8a87e5c)

	* * New upstream release.   * Version number bump

2011-03-23 17:01:56 -0500 Ted Gould (fe82495)

	* Import upstream version 0.3.0

2011-03-23 17:01:38 -0500 Ted Gould (a919e35)

	* Merge from U. Desktop

2011-03-23 16:57:23 -0500 Ted Gould (2e52cac)

	* 0.3.0 (tag: 0.3.0, refs/bzr/origin/tags/0.3.0)

2011-03-16 16:28:48 -0400 Ken VanDine (e8ef564)

	* releasing version 0.2.95-0ubuntu1

2011-03-16 14:50:40 -0500 Ted Gould (1058de2)

	* releasing version 0.2.95-0ubuntu1~ppa1

2011-03-16 14:49:53 -0500 Ted Gould (c98c03e)

	* Drop debian/patches/fix-null-string-to-variant-crash.patch

2011-03-16 14:49:22 -0500 Ted Gould (7c64f15)

	* New upstream release. ∘ Fix ordering of indicators ∘ No more
          duplication of indicators on the panel (LP: #708243) ∘
          Using proper object on async call (LP: #734584) ∘ Protect
          from the accessible description being NULL. (LP: #724767)

2011-03-16 14:47:30 -0500 Ted Gould (57bf196)

	* Import upstream version 0.2.95

2011-03-16 14:41:43 -0500 Ted Gould (4492990)

	* 0.2.95 (tag: 0.2.95, refs/bzr/origin/tags/0.2.95)

2011-03-16 09:58:20 -0500 Ted Gould (eb6a863)

	* Fix ordering of indicators

2011-03-16 09:58:05 -0500 Ted Gould (9e0c4a2)

	* Moving iBus and keyboard under advice of mpt

2011-03-15 21:20:52 -0500 Ted Gould (a601eb2)

	* Handle the case of getting application signals while still waiting
          on the full list.

2011-03-15 20:59:56 -0500 Ted Gould (a76d0eb)

	* Using the proper object to finish the call

2011-03-14 16:41:39 -0500 Ted Gould (1aeeeb0)

	* Use the passed in proxy to get the result to ensure it's valid.

2011-03-14 14:44:30 -0500 Ted Gould (b0e008b)

	* Inserting network manager applet at the front

2011-03-14 14:33:49 -0500 Ted Gould (b29c6f2)

	* Debug message on missing override file.

2011-03-14 14:33:22 -0500 Ted Gould (31299f3)

	* Debug message on missing override file.

2011-03-14 14:19:10 -0500 Ted Gould (e5d2b6b)

	* Do a sort after deciding the ordering ID

2011-03-14 14:09:36 -0500 Ted Gould (e2adde1)

	* Noticing a missing unref

2011-03-11 16:38:28 -0600 Ted Gould (a0387eb)

	* Adding bug

2011-03-11 16:28:20 -0600 Ted Gould (00a8865)

	* If we're requeuing we don't really want to continue to process the
          signal

2011-03-11 16:19:02 -0600 Ted Gould (a11d8f1)

	* Removing applications before adding new ones.

2011-03-11 15:53:30 -0600 Ted Gould (d3c5e25)

	* A couple memory leaks

2011-03-11 15:49:21 -0600 Ted Gould (c892f84)

	* Only clear the cancel if we're not being cancelled

2011-03-11 15:43:47 -0600 Ted Gould (bc6a7d9)

	* Unrefing the object, it might not happen right away, so let's clear
          it ourselves.

2011-03-11 15:42:22 -0600 Ted Gould (a4e9c0b)

	* If we're in the middle of a GetApplications and we get another
          signal, let's try again.

2011-03-11 14:50:18 -0600 Ted Gould (c6313ac)

	* Add a cancellable object for the GetApplications call

2011-03-03 15:11:00 -0600 Ted Gould (c8b3e36)

	* Merge from U. Desktop

2011-03-02 15:45:07 -0600 Ted Gould (7b31678)

	* Protect from the accessible description being NULL

2011-02-25 08:57:27 -0500 Michael Terry (c638472)

	* * debian/control, debian/rules:   - Add quilt as a patch system *
          debian/patches/fix-null-string-to-variant-crash.patch:   -
          Don't pass a null string to GVariant, it hates it.  LP:
          #724767

2011-02-25 08:45:31 -0500 Michael Terry (6a1c35a)

	* fix crash on null string passed to GVariant

2011-02-24 23:28:53 -0500 Ken VanDine (8ea37c5)

	* releasing version 0.2.94-0ubuntu1

2011-02-24 22:13:29 -0600 Ted Gould (a45a01a)

	* releasing version 0.2.94-0ubuntu1~ppa1

2011-02-24 22:12:58 -0600 Ted Gould (4b3ebd6)

	* * New upstream release.   * Make the accessible description NULL so
          that indicator-applet doesn't     crash (LP: #721533)   *
          emit LabelChanged signal along with the IconChanged signal
          (LP: #712581)

2011-02-24 22:12:02 -0600 Ted Gould (87fb997)

	* Import upstream version 0.2.94

2011-02-24 22:09:18 -0600 Ted Gould (63807a0)

	* 0.2.94 (tag: 0.2.94, refs/bzr/origin/tags/0.2.94)

2011-02-24 22:03:10 -0600 Ted Gould (7357145)

	* releasing version 0.2.93-0ubuntu5~ppa2

2011-02-24 22:02:40 -0600 Ted Gould (fcdd637)

	* Fix, let's not talk about it.

2011-02-24 22:02:15 -0600 Ted Gould (419c9a4)

	* Making sure we have a description for the variant world

2011-02-24 21:57:37 -0600 Ted Gould (b61f621)

	* releasing version 0.2.93-0ubuntu5~ppa1

2011-02-24 21:57:05 -0600 Ted Gould (14fc5ff)

	* * Upstream Merge   * Adding in support for Accssible Descriptions

2011-02-24 21:55:08 -0600 Ted Gould (2c1ee7d)

	* Sync with U.Desktop

2011-02-24 21:53:44 -0600 Ted Gould (22dee03)

	* Adding support for accessible descriptions

2011-02-24 21:50:05 -0600 Ted Gould (1cfc978)

	* Switching things around so the icon switches with the description
          all the way up the stack

2011-02-23 20:48:03 -0600 Ted Gould (ab57d41)

	* Adding a missing brace

2011-02-21 11:13:19 -0600 Ted Gould (c507ab1)

	* Make sure to NULL out the structure

2011-02-19 23:23:27 -0500 Ken VanDine (c893dfd)

	* releasing version 0.2.93-0ubuntu4

2011-02-18 23:32:53 -0600 Ted Gould (f614bf0)

	* Ensures the accessible description is NULL

2011-02-17 15:58:51 -0500 Ken VanDine (1fa5506)

	* releasing version 0.2.93-0ubuntu3

2011-02-16 16:46:14 -0600 Ted Gould (0c56561)

	* Remove g_error's to stop abortion.

2011-02-16 16:44:57 -0600 Ted Gould (14df3d3)

	* On status change update the label as well

2011-02-11 11:03:31 -0500 Ken VanDine (e3db442)

	* releasing version 0.2.93-0ubuntu2

2011-02-11 10:25:25 -0500 Michael Terry (fb64a7a)

	* don't abort on various unexpected situations; just spit out
          critical warning

2011-02-11 10:07:18 -0500 Michael Terry (d2a8021)

	* update label too in update_status

2011-02-11 07:53:12 +1100 Luke Yelavich (70d0a4d)

	* Use the ACCESSIBLE_DESC_UPDATE signal to refresh the accessible
          description.

2011-02-08 17:57:32 +1100 Luke Yelavich (a958e07)

	* accessible_name -> accessible_desc

2011-02-08 12:48:38 +1100 Luke Yelavich (8c46407)

	* Merge from trunk

2011-02-07 12:01:11 -0600 Ted Gould (3cca546)

	* Build fix to get libindicator header

2011-02-07 18:25:03 +1100 Luke Yelavich (e6a59a7)

	* Add accessible name support

2011-02-07 18:17:24 +1100 Luke Yelavich (5568288)

	* Include indicator-object.h to reference INDICATOR_OBJECT_SCROLL_UP

2011-02-03 16:22:27 -0500 Ken VanDine (24664ec)

	* releasing version 0.2.93-0ubuntu1

2011-02-03 15:02:27 -0600 Ted Gould (56bc4ef)

	* releasing version 0.2.93-0ubuntu1~ppa1

2011-02-03 15:01:13 -0600 Ted Gould (dc643bf)

	* Dropping old entry

2011-02-03 15:00:50 -0600 Ted Gould (2c42caf)

	* Merge from U. Desktop

2011-02-03 14:56:18 -0600 Ted Gould (18e5be1)

	* * New upstream release.   * Support the scroll wheel event and send
          it to applications.

2011-02-03 14:54:42 -0600 Ted Gould (cd55d42)

	* Import upstream version 0.2.93

2011-02-03 14:53:45 -0600 Ted Gould (f780ca4)

	* 0.2.93 (tag: 0.2.93, refs/bzr/origin/tags/0.2.93)

2011-02-03 14:53:39 -0600 Ted Gould (2a36982)

	* Adding in the indicator-object header

2011-02-03 11:03:53 -0600 Ted Gould (dc47b4e)

	* Support scroll events from libindicator on down to sending them to
          the applications.

2011-01-29 03:33:18 +0100 Marco Trevisan (Treviño) (70bc5ad)

	* Use INDICATOR_OBJECT_SCROLL instead of GDK_SCROLL enum value

2011-01-29 03:26:08 +0100 Marco Trevisan (Treviño) (df3e144)

	* Using the SNI method "Scroll" instead of "XAyatanaScrollAction"

2011-01-29 03:25:32 +0100 Marco Trevisan (Treviño) (016feb9)

	* indicator-application: rename the method ApplicationScrollSignal to
          ApplicationScrollEvent

2011-01-27 22:33:50 -0500 Ken VanDine (c3f02be)

	* releasing version 0.2.92-0ubuntu1

2011-01-27 15:59:40 -0600 Ted Gould (e08f548)

	* releasing version 0.2.92-0ubuntu1~ppa1

2011-01-27 15:58:51 -0600 Ted Gould (6379235)

	* * New upstream release.   * Fix naming of the approver interface  
          * Fix a bug in the builders

2011-01-27 15:58:14 -0600 Ted Gould (2c6ef4e)

	* Import upstream version 0.2.92

2011-01-27 15:57:33 -0600 Ted Gould (94b8617)

	* Sync to Ubuntu Desktop

2011-01-27 15:55:37 -0600 Ted Gould (82c80cd)

	* 0.2.92 (tag: 0.2.92, refs/bzr/origin/tags/0.2.92)

2011-01-26 23:41:41 -0600 Ted Gould (40d7a61)

	* Fix the use of variant builder

2011-01-27 00:23:32 +0100 Marco Trevisan (Treviño) (6adb897)

	* application-appstore: support for ApplicationScrollSignal method

2011-01-27 00:21:35 +0100 Marco Trevisan (Treviño) (e6f4e51)

	* indicator-application: catch "scroll-entry" signal and send
          ApplicationScrollSignal to appstore

2011-01-26 12:56:32 -0600 Ted Gould (0bd9ddc)

	* Protecting against empty application lists, fixing the builder to
          be on the stack and using it correctly.

2011-01-18 12:12:00 -0600 Ted Gould (85761bc)

	* Switch to canonical.com

2011-01-17 13:23:33 -0600 Ted Gould (2e57848)

	* Changing the name of the approver interface

2011-01-14 11:42:56 -0600 Ken VanDine (7ac8601)

	* releasing version 0.2.91-0ubuntu2

2011-01-14 10:50:15 -0600 Ken VanDine (fe9f030)

	* * Updated for the gir abi transition * debian/control   - build
          depend on dbusmenu >= 0.3.90   - Fixes FTBFS (LP: #684949)

2011-01-14 10:44:36 -0600 Ken VanDine (81a4a72)

	* releasing version 0.2.91-0ubuntu1

2011-01-14 10:25:41 -0600 Ken VanDine (9dee1e2)

	* Import upstream version 0.2.91

2011-01-14 10:25:22 -0600 Ken VanDine (93ada25)

	* Reverted changelog for merge

2011-01-14 10:18:02 -0600 Ken VanDine (ada08ac)

	* distcheck fixes, use notdir to wrap basename (tag: 0.2.91,
          refs/bzr/origin/tags/0.2.91)

2011-01-14 10:17:47 -0600 Ken VanDine (d0fa7ae)

	* Version bump, 0.2.91

2011-01-14 00:08:27 -0600 Ted Gould (1edb21b)

	* Porting to GDBus and fixing some other misc. issus.

2011-01-13 20:33:50 -0600 Michael Terry (fe8048c)

	* merge ken's com.canonical branch

2011-01-13 20:25:13 -0600 Michael Terry (a3311f4)

	* make sure to free pre-validated applications; add applications to
          the app list as soon as we create them, to avoid apps that
          spam us (like gnome-power-manager) from creating multiple
          apps in our list

2011-01-13 20:10:12 -0600 Ken VanDine (7f2ea1f)

	* com.canonical rename for the indicator

2011-01-13 16:44:56 -0600 Michael Terry (3992c95)

	* reduce debug spew

2011-01-13 16:39:28 -0600 Michael Terry (520b3c3)

	* don't use cached properties for new icons or new aicons either. 
          Instead, just ask for all properties again

2011-01-13 12:41:55 -0600 Michael Terry (6f02e42)

	* actually request properties from applications; using cached
          properties doesn't seem to work

2011-01-13 11:03:04 -0600 Michael Terry (06e5e14)

	* don't second guess service's new application, which caused our
          positions to get out of sync with the service if it was a
          bit confused

2011-01-13 09:09:47 -0600 Michael Terry (dcde0f7)

	* watch for name change, instead of name owner change for approver
          connections

2011-01-12 17:17:30 -0600 Michael Terry (16734d8)

	* fix issue where icons never went away

2011-01-12 11:16:55 -0500 Michael Terry (4b0e072)

	* fix bug with gvariant string; port test

2011-01-11 17:34:22 -0600 Ken VanDine (1434c5b)

	* check for dbusmenu 0.3.90

2011-01-11 17:32:32 -0600 Michael Terry (af582ad)

	* port to gdbus

2010-12-16 10:10:13 -0500 Ken VanDine (54c9e64)

	* releasing version 0.2.90-0ubuntu4

2010-12-10 18:05:00 -0500 Ken VanDine (bc0f5cc)

	* releasing version 0.2.90+r170-0ubuntu1

2010-12-09 12:56:54 -0500 Ken VanDine (6e9fee7)

	* releasing version 0.2.90-0ubuntu3

2010-12-08 14:26:50 -0600 Ted Gould (1f80de2)

	* releasing version 0.2.90-0ubuntu4~ppa1

2010-12-08 14:10:43 -0600 Ted Gould (4b13b78)

	* * Upstream Merge   * Removing libappindicator from the tarball *
          Autogen * debian/control: Removing all libappindicator
          packages

2010-12-08 14:10:05 -0600 Ted Gould (951f22d)

	* Sync to trunk

2010-12-08 14:08:44 -0600 Ted Gould (6c905a6)

	* Remove the library from the build

2010-12-08 13:44:18 -0600 Ted Gould (961ba26)

	* releasing version 0.2.90-0ubuntu4~ppa1~nolib1

2010-12-08 13:19:20 -0600 Ted Gould (39febd0)

	* debian/control: Removing all libappindicator packages

2010-12-08 13:17:29 -0600 Ted Gould (7df1ae5)

	* Autogen

2010-12-08 13:17:00 -0600 Ted Gould (940a2eb)

	* Dbusmenu API update

2010-12-08 13:16:13 -0600 Ted Gould (97fcd26)

	* Updating to new dbusmenu, no API changes here

2010-12-08 13:13:47 -0600 Ted Gould (6e142fb)

	* * Upstream Merge   * Removing libappindicator from the tarball

2010-12-08 13:09:39 -0600 Ted Gould (01a3193)

	* Updating to trunk with mostly libappindicator changes.

2010-12-08 13:00:55 -0600 Ted Gould (3acbfb5)

	* Merge from Ubuntu Desktop for dual builds

2010-12-08 13:49:13 -0500 Ken VanDine (b917f6f)

	* * debian/control   - build depend on dbusmenu >= 0.3.90

2010-12-08 13:10:00 -0500 Ken VanDine (a227646)

	* releasing version 0.2.90-0ubuntu2

2010-12-08 04:47:55 -0500 Ken VanDine (1860f39)

	* releasing version 0.2.90-0ubuntu1

2010-12-08 04:27:50 -0500 Ken VanDine (be69a42)

	* * New upstream release.   * A race fix on the dbus name (LP:
          #526499)   * Fixing the Watcher Interface   * Fixes to
          build with GTK 2/3   * Fixes to build with valac-0.12 *
          debian/control   - Changed the valac build depends to
          valac-0.12 * debian/python-appindicator.install   - Make
          sure python2.6 and python2.7 files get included *
          debian/rules   - Fix builds for multiple python versions  
          - disable parallel builds, it breaks the mono binding
          generation

2010-12-07 20:51:16 -0600 Ted Gould (c05b64a)

	* releasing version 0.2.90-0ubuntu1~ppa1

2010-12-07 20:48:49 -0600 Ted Gould (4478b59)

	* * New upstream release.   * Fixes to build with GTK 2/3   * Fixes
          to build with valac-0.12

2010-12-07 20:46:33 -0600 Ted Gould (a413eba)

	* Import upstream version 0.2.90

2010-12-07 20:44:44 -0600 Ted Gould (12d94d3)

	* 0.2.90 (tag: 0.2.90, refs/bzr/origin/tags/0.2.90)

2010-12-07 16:55:03 -0600 Ted Gould (eef3316)

	* Update to newest g-ir-scanner and vapigen

2010-12-03 21:24:47 -0600 Ted Gould (fe4253d)

	* Merging with trunk to get the GTK 3 build.  Though, we don't really
          use it yet.

2010-12-03 21:21:06 -0600 Ted Gould (5ffa185)

	* Merging in support for GTK3/2 dual build

2010-12-03 17:15:12 -0500 Ken VanDine (0a09bca)

	* Build fixes with the latest g-ir-scanner and vapigen

2010-12-03 16:38:48 -0500 Ken VanDine (e7e4604)

	* * Explicitly call ShowAll on the menu, otherwise it isn't shown *
          Specify a panel icon that exists for the example

2010-12-02 16:56:23 -0600 Ted Gould (6456a3f)

	* Fixing up the test so it builds and runs

2010-12-02 16:54:51 -0600 Ted Gould (1a1a2e3)

	* Removing some unneeded files

2010-12-02 16:49:42 -0600 Ted Gould (6e2c639)

	* Linking to the install directory of libappindicator for the header
          files

2010-12-02 15:58:31 -0600 Ted Gould (7c3589d)

	* Adding the libappindicator dep for the tests

2010-12-02 15:57:09 -0600 Ted Gould (68fd1cc)

	* Dropping the library tests

2010-12-02 15:54:17 -0600 Ted Gould (caf5eeb)

	* Removing the example

2010-12-02 15:53:57 -0600 Ted Gould (8b85dae)

	* Removing the C files and build

2010-12-02 15:51:22 -0600 Ted Gould (683065b)

	* Removing doc and introspection build options

2010-12-02 15:50:43 -0600 Ted Gould (a5eb518)

	* Remove m4 files and including them in dist

2010-12-02 15:49:41 -0600 Ted Gould (14aebb7)

	* Removing LGPL

2010-12-02 15:49:12 -0600 Ted Gould (aae875c)

	* Removing bindings

2010-12-02 15:48:52 -0600 Ted Gould (3fee20a)

	* Removing docs

2010-12-02 15:48:08 -0600 Ted Gould (938d4e2)

	* Removing library deps, bindings and documentation that are included
          with the lib

2010-12-02 15:46:23 -0600 Ted Gould (69ee3a2)

	* Splitting the deps

2010-11-01 11:12:19 -0500 Ted Gould (15d58f5)

	* releasing version 0.2.9-0ubuntu2~ppa2

2010-11-01 11:10:28 -0500 Ted Gould (ea40161)

	* * Upstream Merge   * A race fix on the dbus name (LP: #526499)

2010-11-01 11:09:13 -0500 Ted Gould (7ab5839)

	* Sync to trunk

2010-11-01 11:08:42 -0500 Ted Gould (9c008cd)

	* Race fixup

2010-10-20 16:06:42 -0400 Ted Gould (52c2b07)

	* releasing version 0.2.9-0ubuntu2~ppa2~race2

2010-10-20 15:23:29 -0400 Ted Gould (77d4ced)

	* * Upstream Merge   * Making a printout

2010-10-20 15:22:46 -0400 Ted Gould (b176944)

	* Uhg, we need a message to know if we've fixed the bug.

2010-10-19 20:29:14 -0400 Ted Gould (7fa4cd4)

	* releasing version 0.2.9-0ubuntu2~ppa2~race1

2010-10-19 20:27:31 -0400 Ted Gould (ed10f8d)

	* * Upstream Merge   * A race fix on the dbus name

2010-10-19 20:26:41 -0400 Ted Gould (5bfdd2a)

	* releasing version 0.2.9-0ubuntu2~ppa1

2010-10-19 20:23:53 -0400 Ted Gould (f5573ca)

	* * Upstream Merge   * Fixing the Watcher Interface

2010-10-19 20:22:16 -0400 Ted Gould (597ba2a)

	* Merge with Ubuntu Desktop

2010-10-19 18:48:39 -0500 Ted Gould (ccea5af)

	* Add a nice little warning in

2010-10-19 18:47:22 -0500 Ted Gould (3758df5)

	* Adding a check for the name to ensure we didn't miss it

2010-10-13 08:38:31 -0400 Michael Terry (e8289f9)

	* ship both pc files in EXTRA_DIST

2010-10-08 15:55:30 -0600 Ted Gould (50440e6)

	* Fixing the Watcher interface

2010-10-08 18:04:27 +0200 Aurelien Gateau (ea206ef)

	* NotificationHost => StatusNotifierHost, Service =>
          StatusNotifierItem

2010-10-08 17:02:24 +0200 Aurelien Gateau (6f032f5)

	* Fix implementation of org.kde.StatusNotifierWatcher interface

2010-10-06 12:08:49 -0400 Michael Terry (3551eb1)

	* instead of always building gtk2 and gtk3, add a --with-gtk= flag to
          configure to specify which to build with

2010-09-22 20:01:06 +0200 Didier Roche (853fe81)

	* releasing version 0.2.9-0ubuntu1

2010-09-22 19:58:13 +0200 Didier Roche (2b4effa)

	* * debian/libappindicator0.1-cil.installcligac: Add the 0.1   policy
          file. * debian/control:   - build with latest
          libindicator-dev for ABI breakage (LP: #637692)

2010-09-22 11:55:11 -0500 Ted Gould (fbedfce)

	* releasing version 0.2.9-0ubuntu1~ppa2

2010-09-22 11:53:52 -0500 Ted Gould (d1f389d)

	* debian/libappindicator0.1-cil.installcligac: Add the 0.1 policy
          file.

2010-09-22 11:42:39 -0500 Ted Gould (eab2ebe)

	* Adding a new library line for configure so that we don't end up
          with extra libs in the library.

2010-09-22 11:18:40 -0500 Ted Gould (a182b72)

	* releasing version 0.2.9-0ubuntu1~ppa1

2010-09-22 11:17:19 -0500 Ted Gould (a374c74)

	* * New upstream release.   * Fix submenus with Glade applications
          (LP: #608219)   * Add new functions to Mono and Python
          bindings

2010-09-22 11:14:11 -0500 Ted Gould (f5e7b8e)

	* Import upstream version 0.2.9

2010-09-22 11:13:14 -0500 Ted Gould (fe08c86)

	* 0.2.9 (tag: 0.2.9, refs/bzr/origin/tags/0.2.9)

2010-09-21 17:02:21 -0500 Ted Gould (7a891ca)

	* Fixes for the bindings

2010-09-21 22:18:22 +0200 Sense Egbert Hofstede (f8bbae1)

	* Resolving conflict when merging with trunk

2010-09-21 21:22:16 +0200 Sense Egbert Hofstede (e9ed8cb)

	* Undoing a previous commit that had nothing to do with what I want
          to achive in my merge request. That's what you get for
          misusing old branches\!

2010-09-21 21:13:43 +0200 Sense Egbert Hofstede (df5dbe2)

	* Created a second policy file to make sure that applications
          depending on 'appindicator-sharp' will not have to be
          recompiled. Changes to the packaging is required to make
          sure the policy file gets installed.

2010-09-21 10:50:45 -0500 Ted Gould (76442cd)

	* releasing version 0.2.8-0ubuntu2~ppa1

2010-09-21 10:48:33 -0500 Ted Gould (dca441b)

	* Autogen.sh

2010-09-21 10:46:32 -0500 Ted Gould (2491cd3)

	* * Upstream Merge   * Fix Mono binding versioning and build (LP:
          #636132)

2010-09-21 10:45:01 -0500 Ted Gould (50aa305)

	* Merge ubuntu-desktop

2010-09-21 10:42:05 -0500 Ted Gould (1be18c5)

	* Fixing Mono bindings to build versions correctly.

2010-09-20 20:46:30 +0200 Sense Egbert Hofstede (12d7f82)

	* Remove the redudant set and get functions for the ordering_index
          property from the Mono bindings as we want programmers to
          work witht the property directly.

2010-09-20 20:28:10 +0200 Sense Egbert Hofstede (3f3c6a0)

	*  * Adding Python bindings for the new API additons  * Updating the
          Mono assembly version to reflect the changes to the API  *
          Remove two redundant elements from the Mono bindings'
          metadata file

2010-09-20 17:54:51 +0200 Sense Egbert Hofstede (482276f)

	* Merging Jo Shields' fixes to the build infrastructure to shut GAPI
          up.

2010-09-19 20:49:32 +0100 Jo Shields (316dbc5)

	* Bump SONAME in Mono binding to libappindicator.so.1

2010-09-19 20:47:07 +0100 Jo Shields (4247b7e)

	* The purpose of a dllmap is to turn a DllImport for "foo" into a
          dlopen of "bar". This is most commonly used to make apps
          more cross-platform, by specifying the Windows library
          name (foo.dll) into a Linux/OSX/etc filename
          (libfoo.so.0).

2010-09-19 20:41:59 +0100 Jo Shields (b598108)

	* gapi2-parser cannot cope with multiple signals connected to the
          same method - it will bail out, complaining it cannot find
          a method to match the second signal.

2010-09-18 19:22:25 +0200 Sense Egbert Hofstede (6c8da9e)

	* Updating to trunk

2010-09-18 19:20:11 +0200 Sense Egbert Hofstede (e050bfc)

	* Commit latest changes before merging with trunk

2010-09-15 17:16:00 -0500 Ted Gould (c2aee8a)

	* Adding a disthook for AUTHORS

2010-09-15 17:08:47 -0400 Ken VanDine (fee0915)

	* releasing version 0.2.8-0ubuntu1

2010-09-15 15:05:18 -0500 Ted Gould (b8eb440)

	* releasing version 0.2.8-0ubuntu1~ppa1

2010-09-15 14:50:01 -0500 Ted Gould (db852e8)

	*   * Update the icon if the item is visible (LP: #639643) * New
          upstream release.   * Handle double registration of
          indicators (LP: #621838)

2010-09-15 14:46:09 -0500 Ted Gould (c876d26)

	* Import upstream version 0.2.8

2010-09-15 14:41:06 -0500 Ted Gould (a4dc11a)

	* 0.2.8 (tag: 0.2.8, refs/bzr/origin/tags/0.2.8)

2010-09-15 14:38:44 -0500 Ted Gould (859281b)

	* Merging of Ubuntu Desktop

2010-09-15 14:35:02 -0500 Ted Gould (9ee069f)

	* releasing version 0.2.7-0ubuntu1~ppa2

2010-09-15 14:33:38 -0500 Ted Gould (fecd2e9)

	* Update the icon if the item is visible (LP: #639643)

2010-09-15 14:10:51 -0500 Ted Gould (7d4feea)

	* * Upstream Merge   * Update the icon if the item is visible

2010-09-15 14:10:07 -0500 Ted Gould (f30ec96)

	* Merging trunk

2010-09-15 14:09:50 -0500 Ted Gould (9485bb3)

	* Making it when we see changes we always update the icon.

2010-09-15 11:14:46 -0500 Ted Gould (0e5b5b6)

	* releasing version 0.2.7-0ubuntu1~ppa2~attention1

2010-09-15 11:13:19 -0500 Ted Gould (7ccd345)

	* * Upstream Merge   * Update the icon if the item is visible

2010-09-15 11:12:42 -0500 Ted Gould (8e221f4)

	* Allowing updates if the item is visible.

2010-09-09 16:36:24 -0400 Ken VanDine (d7a7c77)

	* releasing version 0.2.7-0ubuntu1

2010-09-09 13:00:40 -0500 Ted Gould (4054bd4)

	* releasing version 0.2.7-0ubuntu1~ppa1

2010-09-09 12:57:22 -0500 Ted Gould (4057700)

	* Merge from Ubuntu Desktop

2010-09-09 12:55:58 -0500 Ted Gould (250c2b0)

	* * New upstream release.   * Handle double registration of
          indicators (LP: #621838)

2010-09-09 12:54:08 -0500 Ted Gould (b6d9801)

	* Import upstream version 0.2.7

2010-09-09 12:52:35 -0500 Ted Gould (b39568d)

	* 0.2.7 (tag: 0.2.7, refs/bzr/origin/tags/0.2.7)

2010-09-09 12:50:35 -0500 Ted Gould (1f5808c)

	* Handle double registration of indicators.

2010-09-07 19:22:05 -0500 Ted Gould (c560340)

	* Check for duplicate additions of applications and just rerequest
          properties.

2010-09-07 19:21:43 -0500 Ted Gould (01ca0dc)

	* Extra debugging info

2010-09-07 18:36:02 -0500 Ted Gould (d18fdf6)

	* Logging status change

2010-09-02 20:29:32 -0400 Ken VanDine (5e8e9f5)

	* releasing version 0.2.6-0ubuntu1

2010-08-26 14:56:29 -0500 Ted Gould (d3dcecf)

	* releasing version 0.2.6-0ubuntu1~ppa1

2010-08-26 14:51:43 -0500 Ted Gould (6e060fd)

	* Merging from Ubuntu Desktop

2010-08-26 14:50:45 -0500 Ted Gould (84b7100)

	* New upstream release.

2010-08-26 14:50:16 -0500 Ted Gould (17e7865)

	* Import upstream version 0.2.6

2010-08-26 14:49:40 -0500 Ted Gould (7b3e58b)

	* 0.2.6 (tag: 0.2.6, refs/bzr/origin/tags/0.2.6)

2010-08-25 13:33:43 -0500 Ted Gould (166096e)

	* releasing version 0.2.5-0ubuntu1~ppa2

2010-08-25 13:32:26 -0500 Ted Gould (87c04ea)

	* * Upstream Merge   * Fixing the position of new indicators (LP:
          #623205)   * Position the ibus and keyboard layout
          indicators correctly.

2010-08-25 13:30:16 -0500 Ted Gould (c74bade)

	* Ordering i18n and keyboard indicators

2010-08-25 13:29:41 -0500 Ted Gould (ee3fb93)

	* Putting new icons in the right place

2010-08-24 16:04:05 +0200 Sense Egbert Hofstede (c553ba5)

	* Merging with trunk

2010-08-20 11:54:25 -0500 Ted Gould (81de048)

	* Get the proper position for an application when it becomes visible.

2010-08-20 10:13:35 -0500 Ted Gould (35924b4)

	* Handling the typo

2010-08-20 10:13:16 -0500 Ted Gould (d74f776)

	* Adding keyboard and ibus to overrides

2010-08-19 16:18:05 -0400 Ken VanDine (6e18a72)

	* releasing version 0.2.5-0ubuntu1

2010-08-19 14:00:07 -0500 Ted Gould (618737a)

	* releasing version 0.2.5-0ubuntu1~ppa1

2010-08-19 13:58:41 -0500 Ted Gould (f71709a)

	* * New upstream release.   * Allowing approvers to change thier mind

2010-08-19 13:57:51 -0500 Ted Gould (101c8ff)

	* Import upstream version 0.2.5

2010-08-19 13:56:53 -0500 Ted Gould (b51c1de)

	* 0.2.5 (tag: 0.2.5, refs/bzr/origin/tags/0.2.5)

2010-08-19 13:56:42 -0500 Ted Gould (ced1792)

	* Fix approver for function change

2010-08-19 10:00:31 -0500 Ted Gould (80345b2)

	* releasing version 0.2.4-0ubuntu2~ppa3

2010-08-19 09:59:09 -0500 Ted Gould (1c12616)

	* * Upstream Merge   * Allowing approvers to change thier mind

2010-08-19 09:58:40 -0500 Ted Gould (1051775)

	* releasing version 0.2.4-0ubuntu2~ppa2

2010-08-19 09:57:49 -0500 Ted Gould (0ed6b99)

	* Adding a signal for approvers to be able to change their mind

2010-08-19 09:56:50 -0500 Ted Gould (18cbc6a)

	* Merging Ubuntu Desktop

2010-08-19 09:52:04 -0500 Ted Gould (6881133)

	* * Upstream Merge   * Making it so the approver actually approves
          indicators   * Fixing a small memory leak

2010-08-19 09:49:54 -0500 Ted Gould (425894a)

	* Sync to trunk

2010-08-19 09:48:16 -0500 Ted Gould (e930a47)

	* Changing the state machine to have approvers actually aprove
          things.

2010-08-19 09:47:09 -0500 Ted Gould (fbb9323)

	* Fixing a memory leak Cody noticed.

2010-08-18 14:26:38 -0500 Ted Gould (9fc60ae)

	* Flesh out the revise judgement handler to update the list of
          approvers.

2010-08-18 14:26:10 -0500 Ted Gould (1865cf3)

	* Refactor so that there is a function to look for applications.

2010-08-18 14:02:47 -0500 Ted Gould (ca21363)

	* Connecting into the signal coming from the approver

2010-08-18 10:31:20 -0500 Ted Gould (12c8cd4)

	* Adding a signal to the approver interface

2010-08-18 10:29:09 -0500 Ted Gould (a1e4f99)

	* Changing function name as well.

2010-08-18 10:27:53 -0500 Ted Gould (1d51365)

	* XAyatana the register interface

2010-08-18 10:24:04 -0500 Ted Gould (e71beec)

	* Start some approvin'

2010-08-16 12:50:05 -0500 Ted Gould (82c8332)

	* releasing version 0.2.4-0ubuntu2~ppa1~approver3

2010-08-16 12:48:00 -0500 Ted Gould (f1a43bb)

	* * Upstream Merge   * Fixing approvers retiring off the bus

2010-08-16 12:43:38 -0500 Ted Gould (72c93f2)

	* Commenting out debug message

2010-08-16 12:42:41 -0500 Ted Gould (fb1811e)

	* Making it so that we don't set the proxy to null right away.

2010-08-16 12:41:02 -0500 Ted Gould (93f92e8)

	* Making the list so that if there are errors we handle them well.

2010-08-13 14:41:35 -0500 Ted Gould (c712bf0)

	* releasing version 0.2.4-0ubuntu2~ppa1~approver2

2010-08-13 14:40:24 -0500 Ted Gould (61fbb6f)

	*   * Making it so the approver actually approves indicators * New
          upstream release.   * Add in ordering IDs   * Adding label
          support into the library   * Adding label support into the
          indicator   * Breaking the ABI in order to get more space
          in the class     structure.   * Allow the icon theme path
          to be changed dynamically (LP: #607831) * debian/control:
          Moving libappindicator0 to libappindicator1 *
          debian/rules: Moving libappindicator0 to libappindicator1
          * Rebuild with the new gobject introspection

2010-08-13 14:38:39 -0500 Ted Gould (45fc7d9)

	* * Upstream Merge   * Updating to trunk   * Fixing application list

2010-08-13 14:01:57 -0500 Ted Gould (ba5b85a)

	* Making sure to remove our applications from the list as well.

2010-08-13 14:01:38 -0500 Ted Gould (a0023d1)

	* Responding to approver errors like they're approval.

2010-08-13 12:24:11 -0500 Ted Gould (c04a7cf)

	* Uhg, broken merge.

2010-08-13 12:22:42 -0500 Ted Gould (564b2af)

	* Updating to trunk

2010-08-13 09:50:46 -0500 Ted Gould (eadc69d)

	* Freeing the allocated keys.

2010-08-12 16:32:18 -0400 Ken VanDine (2840a6f)

	* releasing version 0.2.4-0ubuntu1

2010-08-12 13:57:20 -0500 Ted Gould (2368f53)

	* releasing version 0.2.4-0ubuntu1~ppa1

2010-08-12 13:54:54 -0500 Ted Gould (468ac3c)

	* * New upstream release.   * Adding label support into the library  
          * Adding label support into the indicator   * Allow the
          icon theme path to be changed dynamically (LP: #607831) *
          Rebuild with the new gobject introspection

2010-08-12 13:52:34 -0500 Ted Gould (0d7fd31)

	* Import upstream version 0.2.4

2010-08-12 13:40:00 -0500 Ted Gould (d81670c)

	* 0.2.4 (tag: 0.2.4, refs/bzr/origin/tags/0.2.4)

2010-08-12 09:48:11 -0500 Ted Gould (47aa858)

	* Merging in Ubuntu Desktop branch

2010-08-12 09:36:17 -0500 Ted Gould (92aca3c)

	* releasing version 0.2.3-0ubuntu2~ppa6

2010-08-12 09:31:40 -0500 Ted Gould (374ce0d)

	* * Upstream Merge   * Add in ordering IDs

2010-08-12 09:30:35 -0500 Ted Gould (6769e30)

	* Sync to trunk

2010-08-12 09:30:07 -0500 Ted Gould (f6b5ccd)

	* Switching to using ordering IDs instead of the LRU file.

2010-08-11 22:33:49 -0500 Ted Gould (91c8163)

	* releasing version 0.2.3-0ubuntu2~ppa6~approver1

2010-08-11 22:32:40 -0500 Ted Gould (081c349)

	* * Upstream Merge   * Making it so the approver actually approves
          indicators

2010-08-11 22:31:25 -0500 Ted Gould (7a4bfc9)

	* Changing it so that the list of applications has all the
          applications in it, independent of visible state.

2010-08-11 22:26:47 -0500 Ted Gould (98252b2)

	* Making sure to only list the visible applications.

2010-08-11 22:22:24 -0500 Ted Gould (fa45eaa)

	* Switching the get_position() function to look at the visibility of
          the applications.

2010-08-11 22:12:40 -0500 Ted Gould (d722653)

	* Handle the proxy being destroyed, and cleaning up the approver.

2010-08-11 21:52:43 -0500 Ted Gould (360e8a4)

	* Simplifying the visual state to just be shown/hidden while letting
          the status show which icon is shown.

2010-08-11 21:48:54 -0500 Ted Gould (0db4eb5)

	* Switching a few status checks to look at the visible state

2010-08-11 21:30:44 -0500 Ted Gould (4398a69)

	* Make it so that an approver that gets free'd gets removed from the
          applications list of approval.

2010-08-11 21:15:58 -0500 Ted Gould (ba69049)

	* Moving some TODOs

2010-08-11 20:58:36 -0500 Ted Gould (b7419c3)

	* Changing the apply_status function to be less about applying the
          status and more about trying to apply a visual state that
          can be determined by things like approvers.  This means
          that it doesn't get passed the status.

2010-08-11 20:33:01 -0500 Ted Gould (ddd8746)

	* Making sure to clean up the approved by list

2010-08-11 20:31:30 -0500 Ted Gould (a635d68)

	* Adding a visible state entry to the application structure

2010-08-11 20:26:08 -0500 Ted Gould (fbdf4bf)

	* Managing the list with the approver returns.

2010-08-11 20:04:06 -0500 Ted Gould (e8b76a6)

	* Changing to a list, we're going to need to track who so when they
          disconnect we can know the state change.

2010-08-11 19:59:38 -0500 Ted Gould (efd7be1)

	* Adding a count for the number of approvers that have approved the
          application.

2010-08-11 15:55:25 -0500 Ted Gould (b7d28a1)

	* Merging in the XLabel branch to handle conflicts.

2010-08-11 15:48:19 -0500 Ted Gould (c1b795e)

	* releasing version 0.2.3-0ubuntu2~ppa5~order5

2010-08-11 15:46:31 -0500 Ted Gould (1486db2)

	* * Upstream Merge   * Various fixes to the ordering index
          calculation   * Putting ordering indexes in the X
          namespace

2010-08-11 15:45:09 -0500 Ted Gould (f34b5e5)

	* Fighting wrap around

2010-08-11 15:42:56 -0500 Ted Gould (d678c35)

	* Better debug printing.

2010-08-11 15:35:08 -0500 Ted Gould (cfe735b)

	* Using unsigned chars for calculating, we want no sign extension.

2010-08-11 15:28:26 -0500 Ted Gould (a0c8fb0)

	* We were using the wrong function, we want categories not statuses!

2010-08-11 14:27:33 -0500 Ted Gould (9346cf3)

	* Making a wrapper property for the 'X' domain

2010-08-11 14:11:18 -0500 Ted Gould (7330f01)

	* Adding the wrapper properties to the get.

2010-08-11 13:43:36 -0500 Ted Gould (1fbc480)

	* Adding in a wrapper signal

2010-08-11 13:24:27 -0500 Ted Gould (ea682be)

	* Adding a set of wrapper properties that can be used by the dbus
          interface.

2010-08-11 13:04:52 -0500 Ted Gould (2a0f0b9)

	* Changing the app store

2010-08-11 13:03:59 -0500 Ted Gould (16cdfbc)

	* Changing the Dbus interface.

2010-08-11 13:02:20 -0500 Ted Gould (818f7c4)

	* Putting the ordering index into the 'x' domain.

2010-08-11 13:00:39 -0500 Ted Gould (7301841)

	* Making it so that applications will pass '0' over dbus if they
          don't have a set ordering index.

2010-08-11 12:12:38 -0500 Ted Gould (bd56ec8)

	* releasing version 0.2.3-0ubuntu2~ppa5~order4

2010-08-11 12:11:34 -0500 Ted Gould (68b7423)

	* * Upstream Merge   * Cleaning up the ID creation and ordering to
          put low numbers to     the right.

2010-08-11 11:10:03 -0500 Ted Gould (0dd2e79)

	* Ignoring the generate id library object file.

2010-08-11 11:06:39 -0500 Ted Gould (8bfbd55)

	* Instead of using a struct just using multiply, which in all
          reality, is more clear and the compiler will optimize it
          for us.

2010-08-11 11:03:02 -0500 Ted Gould (38c7a01)

	* Making the categories a case statement.

2010-08-11 10:10:45 -0500 Ted Gould (26d50df)

	* Switching to be more opaque, but also more sane.

2010-08-11 09:50:14 -0500 Ted Gould (fd956d9)

	* Flipping the order

2010-08-11 09:19:49 -0500 Ted Gould (15f7dee)

	* releasing version 0.2.3-0ubuntu2~ppa5

2010-08-11 09:18:28 -0500 Ted Gould (5d6feac)

	* Autogen

2010-08-11 09:10:38 -0500 Ted Gould (5dcb1d4)

	* releasing version 0.2.3-0ubuntu2~ppa5~order3

2010-08-11 09:07:42 -0500 Ted Gould (3e415d5)

	* * Upstream Merge   * Checking to make sure we get a list of keys
          before using     them.   * Fixing typo for group name in
          overrides file.

2010-08-11 09:06:41 -0500 Ted Gould (77343b7)

	* Typo

2010-08-11 09:05:53 -0500 Ted Gould (bceb5ac)

	* releasing version 0.2.3-0ubuntu2~ppa5~order2

2010-08-11 09:05:47 -0500 Ted Gould (d47d1f1)

	* debian/indicator-application.install: Adding in the
          ordering-override file to this package.

2010-08-11 09:05:07 -0500 Ted Gould (bdd9c85)

	* Ensuring that we got a list of keys so we don't crash

2010-08-11 11:07:58 +0200 Sebastien Bacher (77beaba)

	* releasing version 0.2.3-0ubuntu2

2010-08-10 21:27:10 -0500 Ted Gould (3d26f16)

	* Autogen

2010-08-10 21:26:08 -0500 Ted Gould (21fcf7a)

	* * Upstream Merge   * Adding in override files for the ordering IDs

2010-08-10 21:19:31 -0500 Ted Gould (51de4ce)

	* Checking for an override and applying it.

2010-08-10 17:13:22 -0500 Ted Gould (de6c40d)

	* Fleshing out the loading overrides function.

2010-08-10 16:59:25 -0500 Ted Gould (f4b22a7)

	* Putting together the pieces to look for override files

2010-08-10 16:50:54 -0500 Ted Gould (dad491a)

	* Adding an override hash table

2010-08-10 16:31:39 -0500 Ted Gould (73fb38c)

	* Installing the override file in the package specific data
          directory.

2010-08-10 16:21:08 -0500 Ted Gould (6c0afe2)

	* Adding in an override keyfile

2010-08-10 15:56:58 -0500 Ted Gould (1c31b31)

	* releasing version 0.2.3-0ubuntu2~ppa5~order1

2010-08-10 15:42:40 -0500 Ted Gould (3a5a1f6)

	* Doc fixes

2010-08-10 15:42:30 -0500 Ted Gould (e85c5b2)

	* Autogen

2010-08-10 15:33:09 -0500 Ted Gould (79436bd)

	* Fixing documentation with new API.

2010-08-10 15:26:11 -0500 Ted Gould (3b61df4)

	* * Upstream Merge   * Add in ordering IDs

2010-08-10 15:22:29 -0500 Ted Gould (a34479e)

	* Updating to trunk

2010-08-10 14:49:00 -0500 Ted Gould (d2c36a2)

	* Removing the LRU file object.

2010-08-10 14:47:23 -0500 Ted Gould (bf3f4c6)

	* Removing the LRU file

2010-08-10 14:43:41 -0500 Ted Gould (961575a)

	* Pulling in the generate ID function as well

2010-08-10 14:41:53 -0500 Ted Gould (c27a7a9)

	* Setting the ordering ID.

2010-08-10 14:37:44 -0500 Ted Gould (09e6c21)

	* Adding in an ordering index for application structures

2010-08-10 14:17:42 -0500 Ted Gould (06c0194)

	* I like 'index' better than 'id' -- now everything is consistent.

2010-08-10 14:13:44 -0500 Ted Gould (1cac2ea)

	* Adding 'OrderingIndex' and realigning.

2010-08-10 13:49:19 -0500 Ted Gould (f04dd09)

	* Providing accessors for the ordering_id property

2010-08-10 11:56:49 -0500 Ted Gould (220d6a3)

	* Storing the value and allowing the get to use a generated value.

2010-08-10 11:56:31 -0500 Ted Gould (4a52e90)

	* Uhg, wrong library

2010-08-10 11:43:42 -0500 Ted Gould (5bffdaf)

	* Brining generate-id into the fold

2010-08-10 11:41:48 -0500 Ted Gould (bd2b24f)

	* Writing a small little function to generate the ID.

2010-08-10 11:28:19 -0500 Ted Gould (fe604c4)

	* Adding the ordering id property.

2010-08-10 10:08:30 -0500 Ted Gould (e4484ff)

	* releasing version 0.2.3-0ubuntu2~ppa4

2010-08-10 10:05:52 -0500 Ted Gould (352c666)

	* debian/rules: Moving libappindicator0 to libappindicator1

2010-08-10 09:34:08 -0500 Ted Gould (294f162)

	* debian/control: Moving libappindicator0 to libappindicator1

2010-08-10 09:32:43 -0500 Ted Gould (e2305c3)

	* * Upstream Merge   * Breaking the ABI in order to get more space in
          the class     structure.

2010-08-10 09:32:00 -0500 Ted Gould (2fd1a6b)

	* releasing version 0.2.3-0ubuntu2~ppa3

2010-08-10 09:29:39 -0500 Ted Gould (d7c7a2a)

	* Breaking the ABI so we have more space in the class structure

2010-08-10 09:27:31 -0500 Ted Gould (29311fb)

	* * Upstream Merge   * Adding label support into the library   *
          Adding label support into the indicator * Autogen *
          Upstream Merge   * Fixing the check of the function
          signature

2010-08-10 09:04:58 -0500 Ted Gould (0e21b91)

	* Sync to trunk

2010-08-10 09:04:41 -0500 Ted Gould (87bd896)

	* Adding label support into the indicator

2010-08-10 09:04:25 -0500 Ted Gould (398dce8)

	* Adding label support into the library.

2010-08-09 11:32:59 -0500 Ted Gould (c43dd8f)

	* Adding the Ordering Index property

2010-08-09 09:43:20 -0500 Ted Gould (afac3d9)

	* Start with the ABI break.

2010-08-05 17:14:38 -0500 Ted Gould (8918685)

	* Changing the size of the class structure, the reason for the break.

2010-08-05 17:09:56 -0500 Ted Gould (18628e9)

	* Incrementing the major version number

2010-08-05 17:06:59 -0500 Ted Gould (649c799)

	* Adding label support

2010-08-05 17:00:58 -0500 Ted Gould (4e4e053)

	* releasing version 0.2.3-0ubuntu2~ppa1~label7

2010-08-05 16:58:53 -0500 Ted Gould (79896b0)

	* Updating to trunk

2010-08-05 16:58:14 -0500 Ted Gould (1ba6811)

	* Bringing in indicator stuff

2010-08-05 16:54:12 -0500 Ted Gould (c4045e9)

	* Syncing with trunk and resolving conflicts

2010-08-05 16:43:15 -0500 Ted Gould (d377c94)

	* Fixing merge

2010-08-05 16:35:25 -0500 Ted Gould (b1daa47)

	* Updating to trunk and resolve conflicts

2010-08-05 16:12:12 -0500 Ted Gould (9e24b87)

	* releasing version 0.2.3-0ubuntu2~ppa1

2010-08-05 16:10:11 -0500 Ted Gould (e4c14f7)

	* * Upstream Merge   * Allow the icon theme path to be changed
          dynamically (LP: #607831)

2010-08-05 16:05:28 -0500 Ted Gould (9291697)

	* Support dynamically changing the icon theme path.

2010-08-05 15:13:35 -0500 Ted Gould (8ceb58c)

	* releasing version 0.2.3-0ubuntu2~ppa1~label6

2010-08-05 15:07:30 -0500 Ted Gould (141558f)

	* * Upstream Merge   * Adding a helper update of the icon when
          rebuilding

2010-08-05 15:06:49 -0500 Ted Gould (c1aaada)

	* Updating with helper when rebuilding.

2010-08-05 15:04:34 -0500 Ted Gould (225167d)

	* Tracking the long name along with the application entry.

2010-08-05 15:02:17 -0500 Ted Gould (593c6b8)

	* Check for suffix when updating icon as well!

2010-08-05 14:50:32 -0500 Ted Gould (085b99e)

	* releasing version 0.2.3-0ubuntu2~ppa1~label5

2010-08-05 14:49:09 -0500 Ted Gould (83aa68f)

	* Add the ability to toggle the label

2010-08-05 14:48:39 -0500 Ted Gould (7f91215)

	* * Upstream Merge   * Handle label updating and use the guide to
          guess the size.

2010-08-05 14:45:50 -0500 Ted Gould (23e9b56)

	* Adding the ability to toggle the label on and off

2010-08-05 13:56:56 -0500 Ted Gould (54c6103)

	* Showing and hiding the entries with removal.

2010-08-05 13:23:12 -0500 Ted Gould (b17e625)

	* Reshuffling the signaling and making sure to ref the label.

2010-08-05 12:20:56 -0500 Ted Gould (38074f5)

	* Not really sure what this TODO meant, so I'm removing it.

2010-08-05 12:20:25 -0500 Ted Gould (08a2c88)

	* Some slight refactoring and comments along with the ability to
          remove the entries and recreate them.

2010-08-05 12:08:51 -0500 Ted Gould (a644617)

	* Building a label in the case that we don't have one already.

2010-08-05 18:25:57 +0200 Sense Egbert Hofstede (1a0c666)

	* Partial, segfaulting, fix for LP: #608219, requires GTK+ change
          attached to same bug report.

2010-08-05 11:25:25 -0500 Ted Gould (62a5f41)

	* Adding updating the guide and label size to the label update signal

2010-08-05 11:18:07 -0500 Ted Gould (9c46c11)

	* Storing the guide and using it to bound the size of the label.

2010-08-05 15:51:53 +0200 Sense Egbert Hofstede (247e5a1)

	* Passing the updated icon theme path along with the DBus signal,
          saving a DBus call.

2010-08-05 08:44:54 -0500 Ted Gould (3a3ea03)

	* releasing version 0.2.3-0ubuntu2~ppa1~label4

2010-08-05 08:41:07 -0500 Ted Gould (0450275)

	* * Upstream Merge   * Fixing the prototype of the added signal

2010-08-05 08:40:24 -0500 Ted Gould (fff357c)

	* Changing the prototype of the added function.

2010-08-04 20:33:00 -0500 Ted Gould (e4dd5ca)

	* releasing version 0.2.3-0ubuntu2~ppa1~label3

2010-08-04 20:30:43 -0500 Ted Gould (05be20a)

	* Fixing the signal prototype

2010-08-04 20:30:14 -0500 Ted Gould (77b2b6f)

	* * Upstream Merge   * Making the test program count to 100

2010-08-04 20:19:29 -0500 Ted Gould (1f04ea2)

	* Make sure we get to 100

2010-08-04 20:18:39 -0500 Ted Gould (208fc00)

	* Fixing the prototype for the label changed signal.

2010-08-04 15:27:46 -0500 Ted Gould (1e7513c)

	* releasing version 0.2.3-0ubuntu2~ppa1~label2

2010-08-04 15:20:08 -0500 Ted Gould (2ffcd74)

	* * Upstream Merge   * Fixing the check of the function signature

2010-08-04 15:19:09 -0500 Ted Gould (b83a74c)

	* Fix the check for the updated function signature.

2010-08-04 15:00:28 -0500 Ted Gould (1baa860)

	* releasing version 0.2.3-0ubuntu2~ppa1~label1

2010-08-04 14:56:10 -0500 Ted Gould (be5cab0)

	* Adding label support into the indicator

2010-08-04 14:55:07 -0500 Ted Gould (6eeaa49)

	* * Upstream Merge   * Adding label support into the library

2010-08-04 14:50:13 -0500 Ted Gould (f2b8083)

	* Setting the label in the simple client

2010-08-04 14:31:55 -0500 Ted Gould (c25bb3c)

	* If it changes, let's update.

2010-08-04 14:27:42 -0500 Ted Gould (91c8b42)

	* If we get passed a label let's make a GTK one for fun.

2010-08-04 14:18:15 -0500 Ted Gould (83f5634)

	* Connecting to the application signal for new label and handling it
          appropriately.

2010-08-04 14:05:21 -0500 Ted Gould (04fd119)

	* Cast once, be happy

2010-08-04 13:58:23 -0500 Ted Gould (788b0db)

	* Sending the label and the guide over dbus if we have them.

2010-08-04 13:52:28 -0500 Ted Gould (0d11bf6)

	* Start tracking the label and the label guide allong with the other
          application properties.

2010-08-04 13:25:14 -0500 Ted Gould (ff9b7b4)

	* Whitespace fix

2010-08-04 12:49:54 -0500 Ted Gould (d06c102)

	* Adding in a base signal handler for the label change

2010-08-04 12:46:49 -0500 Ted Gould (4dea77d)

	* Adding signal for label changing.

2010-08-04 12:08:42 -0500 Ted Gould (e33d50b)

	* Adding the new entries to the list of the get_apps function.

2010-08-04 12:07:36 -0500 Ted Gould (d58186a)

	* Updating signal emition to match new API

2010-08-04 12:02:57 -0500 Ted Gould (1f1bb2c)

	* Changing prototypes to match DBus API change.

2010-08-04 11:58:49 -0500 Ted Gould (faf2859)

	* Adding labels to the service interface

2010-08-04 11:55:52 -0500 Ted Gould (4189a76)

	* Adding defines for the new properties and signal.

2010-08-04 11:52:01 -0500 Ted Gould (8b0b19a)

	* Merging in the API changes

2010-08-03 21:13:34 -0500 Ted Gould (43e185e)

	* More signalling tests.

2010-08-03 21:09:58 -0500 Ted Gould (6882b4c)

	* Setting up a basic signals test

2010-08-03 17:14:32 -0500 Ted Gould (2925384)

	* Stupid reverse logic in the string comparison.

2010-08-03 17:09:57 -0500 Ted Gould (f721168)

	* Turning null strings into NULLs

2010-08-03 17:07:29 -0500 Ted Gould (a2e95f1)

	* Adding a test to set the label and guides a bunch.

2010-08-03 16:45:18 -0500 Ted Gould (52bfc9d)

	* Signaling when the labels change in the idle loop

2010-08-03 16:23:35 -0500 Ted Gould (0422fcb)

	* Putting the new define into the docs

2010-08-03 16:18:42 -0500 Ted Gould (84821ec)

	* Reusing the application service marshallers, not beautiful, but it
          works for now.

2010-08-03 15:55:21 -0500 Ted Gould (fc9d5d4)

	* Adding in a signal to tell when the label is updated.

2010-08-03 15:40:50 -0500 Ted Gould (e0f472f)

	* Adding the label funcs to the documentation.

2010-08-03 15:12:23 -0500 Ted Gould (706a72b)

	* Adding in the convience wrappers

2010-08-03 14:47:42 -0500 Ted Gould (e541156)

	* Adding the label and guide fields to the private struct and tying
          that into the properties.

2010-08-03 14:37:01 -0500 Ted Gould (44e84ed)

	* Setting up the label and lable guide properties.

2010-08-03 14:10:45 -0500 Ted Gould (89a5ffe)

	* Adding a property to guide the size of the label

2010-08-03 13:15:49 -0500 Ted Gould (6de3d6f)

	* These have needed to be ignored for a while.

2010-08-03 11:48:27 -0500 Ted Gould (9f0e3c6)

	* This shouldn't be in Bazaar

2010-08-03 11:47:45 -0500 Ted Gould (456347a)

	* Adding the label property and a signal for it changing.

2010-07-22 17:36:12 +0200 Sense Hofstede (0a8c09e)

	* Fixed two G_PARAM_SPECS and made it even more possible to remove
          the custom icon theme path.

2010-07-22 16:57:29 +0200 Sense Hofstede (0dbf34a)

	* Fix wrong naming that caused the signal to be missed

2010-07-22 16:51:10 +0200 Sense Hofstede (0bbee36)

	* Clean-up and renaming variables and functions everywhere to use
          icon_theme_path for the sake of consistency.

2010-07-22 15:04:52 +0200 C10uD (3fb0e11)

	* forgot some files

2010-07-22 14:57:14 +0200 C10uD (4780617)

	* trying to implement runtime theme-path changing

2010-07-15 12:30:36 -0500 Ted Gould (3f326bd)

	* Updating to Ubuntu Desktop

2010-07-15 12:12:19 -0400 Ken VanDine (38feb55)

	* releasing version 0.2.3-0ubuntu1

2010-07-15 10:22:37 -0500 Ted Gould (8faa8b6)

	* releasing version 0.2.3-0ubuntu1~ppa1

2010-07-15 10:21:21 -0500 Ted Gould (a32741d)

	* New upstream release.

2010-07-15 10:20:14 -0500 Ted Gould (863cd1c)

	* Import upstream version 0.2.3

2010-07-15 10:18:23 -0500 Ted Gould (17dea09)

	* 0.2.3 (tag: 0.2.3, refs/bzr/origin/tags/0.2.3)

2010-07-13 11:02:08 -0500 Ted Gould (76c177b)

	* releasing version 0.2.2-0ubuntu2~ppa2

2010-07-13 10:55:44 -0500 Ted Gould (c95f517)

	* Autogen update

2010-07-13 10:55:21 -0500 Ted Gould (35cad52)

	* * Merge upstream   * Fixing test for slower machines

2010-07-13 10:52:59 -0500 Ted Gould (37d583e)

	* Adjusting the tests so they can deal with slow systems better.

2010-07-12 13:58:37 -0500 Ted Gould (e1dc7c0)

	* Ignoring the tester script

2010-07-12 13:57:47 -0500 Ted Gould (930a79a)

	* Add a fail timeout so this test can't block.

2010-07-12 13:55:08 -0500 Ted Gould (8a0649a)

	* Adding in setting the environment variable to adjust the timeout to
          be twice as long for slow systems.

2010-07-12 09:44:40 -0500 Ted Gould (0de45ad)

	* releasing version 0.2.2-0ubuntu2~ppa1

2010-07-12 09:43:11 -0500 Ted Gould (791daf2)

	* Autogen update

2010-07-12 09:28:16 -0500 Ted Gould (e273b81)

	* * Merge upstream   * Adding an Approver API to remove things from
          the AppIndicators.

2010-07-12 09:26:50 -0500 Ted Gould (7ef1834)

	* Putting in a basic approver API.

2010-07-09 21:35:45 -0500 Ted Gould (25b69bb)

	* Need the built headers too

2010-07-09 21:23:59 -0500 Ted Gould (1b89529)

	* Oops, with a menu we're all GTK now.

2010-07-09 21:21:22 -0500 Ted Gould (3c43fed)

	* Building up to a formal test

2010-07-09 21:15:49 -0500 Ted Gould (12c8596)

	* Filling out the approve function.

2010-07-09 21:14:25 -0500 Ted Gould (0bf54f5)

	* Filling out the approver prototype

2010-07-09 21:10:00 -0500 Ted Gould (d7c39d7)

	* Building an application indicator too!

2010-07-09 20:58:38 -0500 Ted Gould (ed8163b)

	* Making the registration async to clean things up, and async is
          better anyway.

2010-07-09 20:49:26 -0500 Ted Gould (5b41b1e)

	* Some more error handling and better debug messages.

2010-07-09 20:45:32 -0500 Ted Gould (018bf0e)

	* Helpful debug info

2010-07-09 20:44:07 -0500 Ted Gould (fd3e18e)

	* Okay, so now we're detecing when the watcher comes up, and
          registering ourselves as the approver.

2010-07-09 16:47:45 -0500 Ted Gould (8072a97)

	* Adding a new sample approver

2010-07-09 16:29:22 -0500 Ted Gould (306a78b)

	* When we have new apps we can ask the approver about them.

2010-07-09 16:16:48 -0500 Ted Gould (b3a0f3e)

	* Looking at all the applications when we get a new approver.

2010-07-09 16:06:37 -0500 Ted Gould (a281700)

	* Building the approver structure and putting it in the list.

2010-07-09 15:59:35 -0500 Ted Gould (4f7e748)

	* Comments

2010-07-09 15:58:34 -0500 Ted Gould (93572f1)

	* Adding some structures for approvers and making them real.

2010-07-09 15:20:13 -0500 Ted Gould (2986445)

	* For DBus to real objects, the signal shall travel.

2010-07-09 15:13:48 -0500 Ted Gould (d7c7324)

	* Adding a function to bring in approvers

2010-07-09 15:04:30 -0500 Ted Gould (fb4da4a)

	* Sync to trunk

2010-07-08 15:38:13 -0500 Ted Gould (4e2c23b)

	* Sync to Ubuntu Desktop branch

2010-07-08 14:17:39 -0500 Ted Gould (1ddd622)

	* Use a private pointer instead of a lookup.

2010-07-08 20:45:51 +0200 Sense Hofstede (925e3d8)

	* Removed all but one calls to the
          APPLICATION_SERVICE_APPSTORE_GET_PRIVATE() macro

2010-07-08 18:26:25 +0200 Sebastien Bacher (22da24c)

	* releasing version 0.2.2-0ubuntu1

2010-07-08 10:28:29 -0500 Ted Gould (8ce01c5)

	* releasing version 0.2.2-0ubuntu1~ppa1

2010-07-08 10:23:57 -0500 Ted Gould (2a931ef)

	* New upstream release. ∘ Work with updated container signal names

2010-07-08 10:22:02 -0500 Ted Gould (44880df)

	* Import upstream version 0.2.2

2010-07-08 10:08:02 -0500 Ted Gould (a627c07)

	* 0.2.2 (tag: 0.2.2, refs/bzr/origin/tags/0.2.2)

2010-07-07 14:23:37 -0500 Ted Gould (cf31f2f)

	* Merging this branch, but I think it's fixes must have gone in with
          another.

2010-07-07 14:17:31 -0500 Ted Gould (eed6cf0)

	* Working with the better container signals

2010-07-06 16:27:35 -0500 Ted Gould (033b032)

	* Updating to Ubuntu Desktop

2010-07-01 14:29:30 -0500 Ted Gould (a8aac3a)

	* Return a boolean

2010-06-25 14:43:16 -0500 Ted Gould (6cf35d7)

	* Adding in a template function to register approvers.

2010-06-25 14:38:21 -0500 Ted Gould (4c9f434)

	* Adding a function to register an approver.

2010-06-25 14:34:03 -0500 Ted Gould (a46a27a)

	* Adding an approver interface.

2010-06-22 09:31:46 +0200 Didier Roche (711cb0b)

	* releasing version 0.2.1-0ubuntu1

2010-06-21 16:57:36 -0400 Ken VanDine (90a5410)

	* * New upstream release.   * Fix icon updating (LP: #594199)   *
          Change Mono bindings to only parse particular files (LP:
          #592706)   * Make a policy for migrating the mono bindings
            * Test fixes to make them more reliable *
          debian/control: Fixing version numbers * debian/control:
          Making the 0.1-cil replace and provide the 0.0-cil *
          debian/libappindicator0.1-cil.installcligac: Add the
          policy.dll   file to the install. * Upstream release 0.0.2
            * Updates API to use GTK instead of dbusmenu to make it 
             easier for upstream developers to use.

2010-06-21 14:25:42 -0500 Ted Gould (61a4f68)

	* releasing version 0.2.1-0ubuntu1~ppa1

2010-06-21 14:22:34 -0500 Ted Gould (1c6a483)

	* Making some files match upstream relases that don't.

2010-06-21 14:17:44 -0500 Ted Gould (0ac50a3)

	* * New upstream release.   * Fix icon updating (LP: #594199)   *
          Change Mono bindings to only parse particular files (LP:
          #592706)   * Make a policy for migrating the mono bindings
            * Test fixes to make them more reliable

2010-06-21 14:13:54 -0500 Ted Gould (3439224)

	* Import upstream version 0.2.1

2010-06-21 14:06:07 -0500 Ted Gould (20f0c1d)

	* 0.2.1 (tag: 0.2.1, refs/bzr/origin/tags/0.2.1)

2010-06-21 14:04:56 -0500 Ted Gould (458ad9a)

	* Fixing versions of concflicts.

2010-06-21 13:59:36 -0500 Ted Gould (a4976d3)

	* Fixing policy version numbers.

2010-06-21 14:54:05 -0400 Ken VanDine (db008b0)

	* Don't conflict with libappindicator0.0-cil, just replace and
          provide

2010-06-21 14:50:40 -0400 Ken VanDine (ac400f7)

	* Use full assembly version for the policy file

2010-06-21 13:45:46 -0400 Ken VanDine (e48a4c7)

	* Specify versions for Replaces/Conflicts for libappindicator0.0-cil

2010-06-21 09:00:13 -0500 Ted Gould (55e7722)

	* releasing version 0.2.0-0ubuntu4~ppa6

2010-06-19 09:34:12 -0400 Michael Terry (60abdc2)

	* use gtk3 versions of dbusmenu and indicator; use appindicator3 0.1
          rather than appindicator 3.1

2010-06-19 01:44:59 -0400 Michael Terry (e1f36a8)

	* first pass at gtk3 version of libappindicator

2010-06-18 20:13:52 -0500 Ted Gould (bec7e4e)

	* Conflicts as well

2010-06-18 17:12:21 -0500 Ted Gould (591b407)

	* debian/control: Making the 0.1-cil replace and provide the 0.0-cil

2010-06-18 17:00:15 -0500 Ted Gould (d2a540c)

	* debian/control: Fixing version numbers

2010-06-18 16:52:28 -0500 Ted Gould (b741fd3)

	* releasing version 0.2.0-0ubuntu4~ppa5

2010-06-18 16:47:36 -0500 Ted Gould (b1f6a47)

	* debian/libappindicator0.1-cil.installcligac: Changing version
          policy applies to.

2010-06-18 16:45:12 -0500 Ted Gould (fe4f2d9)

	* Autogen

2010-06-18 16:44:24 -0500 Ted Gould (7eac5d7)

	* * Upstream merge   * Changing the policy to be for 0.0

2010-06-18 16:43:25 -0500 Ted Gould (9745469)

	* Setting the policy version.

2010-06-18 15:04:29 -0500 Ted Gould (955c737)

	* releasing version 0.2.0-0ubuntu4~ppa4

2010-06-18 15:02:59 -0500 Ted Gould (570ea94)

	* * debian/libappindicator0.1-cil.installcligac: Add the policy.dll  
          file to the install. * Autogen

2010-06-18 14:51:16 -0500 Ted Gould (6bee066)

	* * Upstream merge   * Make a policy for migrating the mono bindings

2010-06-18 14:50:17 -0500 Ted Gould (f9a13d5)

	* Fix mono versioning.

2010-06-18 14:45:16 -0500 Ted Gould (787b920)

	* Cleaning up file name definitions

2010-06-18 14:40:12 -0500 Ted Gould (f23786e)

	* Adding the policy config to the installed files.

2010-06-18 14:19:59 -0500 Ted Gould (c5c2670)

	* Switching to the policy name.

2010-06-18 14:16:21 -0500 Ted Gould (64a712f)

	* Swithcing the version to be the assembly version.

2010-06-18 13:01:53 -0500 Ted Gould (c012b2a)

	* Fixup the gacutil stuff.  Still doesn't ununinstall.

2010-06-18 12:16:47 -0500 Ted Gould (f8f18e9)

	* Fixing policy name

2010-06-18 11:55:22 -0500 Ted Gould (35915da)

	* Replacing the macros with the proper data

2010-06-18 11:22:56 -0500 Ted Gould (16680b1)

	* Forgot to merge in packaging branch.  Linking now.

2010-06-18 11:22:09 -0500 Ted Gould (b076c2b)

	* releasing version 0.2.0-0ubuntu4~ppa3

2010-06-18 11:20:42 -0500 Ted Gould (910aa3a)

	* Adding bug number

2010-06-18 11:18:49 -0500 Ted Gould (4eb17f9)

	* * Upstream merge   * Fix icon updating (LP: #594199)

2010-06-18 11:16:33 -0500 Ted Gould (87d82b8)

	* Make icon switching work again.

2010-06-18 11:01:26 -0500 Ted Gould (e434b93)

	* Fixing the distcheck by cleaning up

2010-06-18 10:57:02 -0500 Ted Gould (c0f6417)

	* Readjusting so that the policy file is in the same directory as the
          DLL

2010-06-18 10:52:53 -0500 Ted Gould (5ea2df7)

	* Fixing directories

2010-06-18 10:35:27 -0500 Ted Gould (814bed1)

	* Typo

2010-06-18 10:33:02 -0500 Ted Gould (f399d89)

	* Generating a policy dll

2010-06-18 08:46:51 -0500 Ted Gould (ceac804)

	* releasing version 0.2.0-0ubuntu4~ppa2

2010-06-18 08:45:18 -0500 Ted Gould (4b33012)

	* * Upstream Merge   * Change Mono bindings to only parse particular
          files * Autogen.  For fun and profit. * Upstream release
          0.0.2   * Updates API to use GTK instead of dbusmenu to
          make it     easier for upstream developers to use.

2010-06-18 08:44:06 -0500 Ted Gould (0299891)

	* Sync to trunk

2010-06-18 08:43:23 -0500 Ted Gould (250a731)

	* Fix mono bindings by restricting gapi2-parser

2010-06-18 08:41:33 -0500 Ted Gould (d4f5fa7)

	* Remove the assert with checking if the value is NULL.

2010-06-17 22:20:15 -0500 Ted Gould (782f9e5)

	* releasing version 0.2.0-0ubuntu4~ppa2~icons3

2010-06-17 22:17:25 -0500 Ted Gould (985eb70)

	* * Upstream merge   * Using class_ref and unref to allocate the type
          if need be

2010-06-17 22:16:01 -0500 Ted Gould (ce25d4c)

	* Use class ref and unref to allocate it if need be.

2010-06-17 17:06:22 -0500 Ted Gould (c204273)

	* releasing version 0.2.0-0ubuntu4~ppa2~icons2

2010-06-17 17:04:52 -0500 Ted Gould (28a5a2e)

	* * Upstream Merge   * Fixing the enum lookup from nick

2010-06-17 17:04:14 -0500 Ted Gould (e589eca)

	* Reworking to make more clear and use the GEnumValue structure
          correctly.

2010-06-17 13:30:32 -0500 Ted Gould (6ee70d2)

	* releasing version 0.2.0-0ubuntu4~ppa2~icons1

2010-06-17 13:28:27 -0500 Ted Gould (81e0ff2)

	* * Upstream Merge   * Making it so that icons can be changed at any
          time.

2010-06-17 13:27:31 -0500 Ted Gould (9119e00)

	* releasing version 0.2.0-0ubuntu4~ppa1

2010-06-17 13:24:56 -0500 Ted Gould (c4314c8)

	* * Upstream Merge   * Test fixes to make them more reliable

2010-06-17 13:21:59 -0500 Ted Gould (fc6b18b)

	* Icon name shouldn't be construct only.

2010-06-17 13:05:56 -0500 Ted Gould (a835081)

	* Linking Bug

2010-06-17 13:04:37 -0500 Ted Gould (9a0770c)

	* releasing version 0.2.0-0ubuntu4~ppa1~monofix2

2010-06-17 13:02:43 -0500 Ted Gould (b6e10ee)

	* Autogen.  For fun and profit.

2010-06-17 12:51:02 -0500 Ted Gould (b62203f)

	* releasing version 0.2.0-0ubuntu4~ppa1~monofix1

2010-06-17 12:45:04 -0500 Ted Gould (dc1a9ec)

	* * Upstream Merge   * Change Mono bindings to only parse particular
          files   * Test fixes for Hudson builds

2010-06-17 12:43:06 -0500 Ted Gould (750406e)

	* Only work with specific files instead of the whole directory.

2010-06-17 10:57:03 -0500 Ted Gould (53d1e55)

	* Sync to Ubuntu desktop

2010-06-14 12:30:15 -0400 Ken VanDine (c6734d2)

	* renamed cil binary to libappindicator0.1 to match the assembly
          version (LP: #592706)

2010-06-11 16:40:42 -0500 Ted Gould (95c7907)

	* Changing signal names and getting the ones on the base menu as
          well.

2010-06-11 16:01:32 -0500 Ted Gould (34a4af9)

	* Changing the signal names

2010-06-11 12:35:21 -0500 Ted Gould (cdb0efc)

	* More time for initial fallback.

2010-06-11 12:34:09 -0500 Ted Gould (6eedd6e)

	* Increase the timeouts, but make it so that the watcher shutsdown
          when seen.

2010-06-11 10:58:47 -0500 Ted Gould (259c519)

	* Increasing timeout to hopefully make it work on Hudson with load.

2010-06-11 11:11:19 -0400 Ken VanDine (0eb105d)

	* renamed cil binary to libappindicator0.1 to match the assembly
          version

2010-06-08 11:03:40 +0200 Sebastien Bacher (52ebd17)

	* releasing version 0.2.0-0ubuntu2

2010-06-07 18:09:38 +0200 Sebastien Bacher (0fb6915)

	* releasing version 0.2.0-0ubuntu1

2010-06-04 08:59:10 -0400 Ken VanDine (83ea782)

	* * New upstream release.   * Unref the child that was created   *
          Build GIR and VAPI files (LP: #510610)   * Fixes to
          documentation and enum construction   * Fix distcheck   *
          Merging patch to add assembly information to Mono    
          binding (LP: #547195) * debian/control: Add GObject
          Introspection and Vala build   dependencies. * Added
          debian/gir1.0-libappindicator-0.1.install and modified  
          debian/control and debian/libappindicator-dev.install to
          handle   the VAPI and GI files. *
          debian/libappindicator0.0-cil.install: Fixing directory of
          cli files

2010-06-03 14:49:52 -0500 Ted Gould (ebc5cbf)

	* releasing version 0.2.0-0ubuntu1~ppa1

2010-06-03 14:48:08 -0500 Ted Gould (5ffc5c9)

	* Fixing control file

2010-06-03 14:38:21 -0500 Ted Gould (d5f07a0)

	* Fixing typo

2010-06-03 14:37:58 -0500 Ted Gould (fa7673f)

	* debian/libappindicator0-cli.install: Fixing directory of cli files

2010-06-03 14:36:01 -0500 Ted Gould (ec772ab)

	* Fixing so files that got lost.

2010-06-03 14:35:24 -0500 Ted Gould (d7f06e7)

	* Getting some files back... where did they go.

2010-06-03 14:20:45 -0500 Ted Gould (ead73d0)

	* Added debian/gir1.0-libappindicator-0.1.install and modified
          debian/control and debian/libappindicator-dev.install to
          handle the VAPI and GI files.

2010-06-03 14:14:41 -0500 Ted Gould (da48072)

	* Build GIR and VAPI files (LP: #510610)

2010-06-03 14:14:23 -0500 Ted Gould (f50f08a)

	* debian/control: Add GObject Introspection and Vala build
          dependencies.

2010-06-03 14:00:39 -0500 Ted Gould (614e30a)

	* * New upstream release.   * Build GIR and VAPI files   * Fixes to
          documentation and enum construction   * Fix distcheck

2010-06-03 13:55:11 -0500 Ted Gould (0f7ba97)

	* Import upstream version 0.2.0

2010-06-03 13:54:41 -0500 Ted Gould (d3216b9)

	* Changing revision for merge-upstream

2010-06-03 13:28:54 -0500 Ted Gould (27fe45b)

	* 0.2.0 (tag: 0.2.0, refs/bzr/origin/tags/0.2.0)

2010-06-01 11:10:26 -0500 Ted Gould (3651994)

	* Distcheck fixes

2010-06-01 11:07:44 -0500 Ted Gould (1b748b2)

	* Merging in trunk

2010-06-01 10:58:57 -0500 Ted Gould (e0ddc2d)

	* Fixes to docuementation and making the enums build correctly with
          gtk-mkenum

2010-05-23 12:44:53 +0200 Sense Hofstede (01fafa4)

	* Documentation and introspection fixes and such

2010-05-20 22:12:37 -0500 Ted Gould (0e3c221)

	* Sync to trunk to ensure no conflicts.

2010-05-20 22:09:25 -0500 Ted Gould (ef11b71)

	* Merging in the 0.1 series branch

2010-05-20 22:03:10 -0500 Ted Gould (f7fd52b)

	* Merging in updates from the 0.1 series branch

2010-05-20 21:59:50 -0500 Ted Gould (7cb5463)

	* releasing version 0.0.21-0ubuntu1~ppa1

2010-05-20 21:58:25 -0500 Ted Gould (144908d)

	* * New upstream release.   * Adding AssemblyInfo.cs for building

2010-05-20 21:56:58 -0500 Ted Gould (84e75c6)

	* Import upstream version 0.0.21

2010-05-20 21:56:52 -0500 Ted Gould (2cbdb9f)

	* releasing version 0.0.20-0ubuntu1~ppa1

2010-05-20 21:54:21 -0500 Ted Gould (6fcbfe5)

	* 0.0.21 (tag: 0.0.21, refs/bzr/origin/tags/0.0.21)

2010-05-20 21:52:14 -0500 Ted Gould (38c5c10)

	* Build fix to include the AssemblyInfo.cs file

2010-05-20 21:42:57 -0500 Ted Gould (d16ae42)

	* Forgot to drop the patch

2010-05-20 21:38:31 -0500 Ted Gould (086d22c)

	* * New upstream release.   * Unref the child when created in
          libappindicator (LP: #569273)   * Merging patch to add
          assembly information to Mono     binding (LP: #547195) *
          Remove child-leakage.patch as merged upstream

2010-05-20 21:34:54 -0500 Ted Gould (9b028d9)

	* Import upstream version 0.0.20

2010-05-20 21:32:24 -0500 Ted Gould (bdec505)

	* Desktop sync

2010-05-20 21:16:58 -0500 Ted Gould (cd4c6e0)

	* 0.0.20 (tag: 0.0.20, refs/bzr/origin/tags/0.0.20)

2010-05-20 20:22:24 -0500 Ted Gould (20a976b)

	* Only grab the app indicator files.

2010-05-20 20:17:07 -0500 Ted Gould (29a3d02)

	* Ignoring the lru file header

2010-05-20 17:32:25 -0500 Ted Gould (6efcf99)

	* Fixing which sources are marked as BUILT

2010-05-20 17:20:56 -0500 Ted Gould (9366eb0)

	* Bringing along the AssemblyInfo.cs file and fixing its path

2010-05-20 17:10:38 -0500 Ted Gould (a403884)

	* Okay, now everyone is in the right directory, I think.

2010-05-20 15:36:59 -0500 Ted Gould (a106e8d)

	* Need to look for things in the source directory too!

2010-05-20 14:46:24 -0500 Ted Gould (8f8efd3)

	* Fix C includes fro teh VAPI/GIR files

2010-05-20 14:39:17 -0500 Ted Gould (e09b459)

	* Adding GIR/VAPI support and flattening directories

2010-05-20 14:32:58 -0500 Ted Gould (3c5b3e5)

	* releasing version 0.2.0~dev-0ubuntu1~ppa2

2010-05-20 14:12:20 -0500 Ted Gould (6a47d48)

	* * Upstream Merge   * Unref the child that was created

2010-05-20 14:11:03 -0500 Ted Gould (80633ae)

	* Woot, trunked

2010-05-20 14:07:03 -0500 Ted Gould (ea79d7f)

	* Stopping the leakage of children.

2010-05-20 14:05:41 -0500 Ted Gould (22423f9)

	* Fixing the ref leakage of a child object.

2010-05-20 17:05:15 +0200 Sebastien Bacher (3096e10)

	* releasing version 0.0.19-0ubuntu5

2010-05-20 08:41:36 -0400 Ken VanDine (1e43a91)

	* * debian/patches/child-leakage.patch   - Fixes a memory leak (LP:
          #569273)

2010-05-19 14:24:15 -0500 Ted Gould (f777fc6)

	* releasing version 0.2.0~dev-0ubuntu1~ppa2~childleak1

2010-05-19 14:22:27 -0500 Ted Gould (8620702)

	* * Upstream Merge   * Unref the child that was created

2010-05-19 14:04:33 -0500 Ted Gould (6293246)

	* releasing version 0.2.0~dev-0ubuntu1~ppa1

2010-05-19 14:02:58 -0500 Ted Gould (0f690c2)

	* * Upstream Merge   * kicking off new branch

2010-05-19 13:55:48 -0500 Ted Gould (d469436)

	* Dummy commit

2010-05-19 13:23:24 -0500 Ted Gould (8566afc)

	* Changing it so the object gets unref'd

2010-04-29 12:08:21 -0500 Ted Gould (0b09164)

	* Ignoring built VAPI file

2010-04-29 12:07:21 -0500 Ted Gould (fae0a61)

	* Now, build us a VAPI!

2010-04-29 11:58:25 -0500 Ted Gould (f5c58a8)

	* Fixing the ignore list.

2010-04-29 11:54:42 -0500 Ted Gould (3ef5fec)

	* Building the GIR file

2010-04-29 11:31:36 -0500 Ted Gould (ba1fd39)

	* Removing the libappindicator directory to make things simpler

2010-04-29 10:49:09 -0500 Ted Gould (0bd103a)

	* Add introspection stuff here

2010-04-28 15:11:30 -0500 Ted Gould (27490e3)

	* Adding the introspection.m4 for our new rules

2010-04-28 15:08:11 -0500 Ted Gould (3dc48c0)

	* Adding introspection and VAPI checks

2010-04-21 11:01:20 +0200 Sebastien Bacher (86518f0)

	* releasing version 0.0.19-0ubuntu4

2010-04-16 17:24:51 -0500 Ted Gould (04a9942)

	* Patch for package names

2010-04-16 17:05:38 -0500 Ted Gould (b53899d)

	* Sync to desktop

2010-04-14 23:20:45 +0200 Sebastien Bacher (4f93e61)

	* releasing version 0.0.19-0ubuntu3

2010-04-14 11:53:50 -0500 Ted Gould (d15e362)

	* Sync to Ubuntu Desktop

2010-04-14 11:49:47 -0500 Ted Gould (1d8e044)

	* Merging patch to add assembly information to Mono binding (LP:
          #547195)

2010-04-14 11:36:02 -0500 Ted Gould (2c90c6c)

	* Adding assembly info for Mono bindings

2010-04-14 11:07:23 -0500 Cody Russell (6b3689e)

	* Add AssemblyInfo.cs to the Mono bindings.

2010-04-14 16:34:25 +0200 Sebastien Bacher (73b7491)

	* releasing version 0.0.19-0ubuntu2

2010-04-14 08:43:40 -0500 Ted Gould (d38c39a)

	* * debian/control:   + Set libappindicator0-cil and
          libappindicator-cil-dev to Arch: all   + Make
          libappindicator0-cil depend on libappindicator0 >=
          ${source:Version}     instead * debian/rules:   + Fix
          ordering of dh_*cli* (LP: #560095) *
          debian/libappindicator0-cil.install,  
          debian/libappindicator0-cil.installcligac:   + Fix CLI
          policy breakage:     - Wrong installation paths for GAC'd
          CLI libraries     - Direct installation of GAC'd libraries

2010-04-14 08:42:57 -0500 Ted Gould (abb09f2)

	* Sync to desktop

2010-04-13 12:59:51 +0100 Neil Jagdish Patel (7210a54)

	* Add G_LOG_DOMAIN support to the various targets for better messages

2010-04-01 23:41:58 +0200 Sebastien Bacher (40b74a1)

	* releasing version 0.0.19-0ubuntu1

2010-04-01 15:56:06 -0500 Ted Gould (734b874)

	* releasing version 0.0.19-0ubuntu1~ppa1

2010-04-01 15:51:47 -0500 Ted Gould (45e7b47)

	* * New upstream release.   * Don't set the fallback timer if we're
          already in a fallback     mode to avoid unfalling back
          excessively. (LP: #529052)   * Fix distcheck of
          documentation

2010-04-01 15:49:35 -0500 Ted Gould (d005a22)

	* Import upstream version 0.0.19

2010-04-01 15:49:14 -0500 Ted Gould (70600e1)

	* Disable merge mode

2010-04-01 15:46:22 -0500 Ted Gould (1fbc5af)

	* 0.0.19 (tag: 0.0.19, refs/bzr/origin/tags/0.0.19)

2010-04-01 15:23:58 -0500 Ted Gould (2ee85c2)

	* Fixing documentation distcheck

2010-04-01 15:23:36 -0500 Ted Gould (ba28468)

	* Moving field documentation into a different comment block so that
          they're private

2010-04-01 14:58:12 -0500 Ted Gould (ff63763)

	* Making it so the timer doesn't get set if we're already in the
          fallback case.

2010-04-01 14:57:30 -0500 Ted Gould (bf2c8f1)

	* Catch up to trunk

2010-04-01 14:56:09 -0500 Ted Gould (5055af8)

	* Don't store the panel suffix, just add it for the fallback icons.

2010-04-01 13:32:42 -0500 Ted Gould (14aebe4)

	* Adding in documentation for the private structure.

2010-04-01 13:26:53 -0500 Ted Gould (5aa064c)

	* Make it so that we don't store the panel-suffix icons but we do use
          them with the status icon.

2010-04-01 11:26:22 -0500 Ted Gould (d6bb68c)

	* No timer if we're already in fallback.

2010-03-30 14:23:51 -0500 Ted Gould (4ed0753)

	* releasing version 0.0.18-0ubuntu2~ppa1

2010-03-30 14:20:21 -0500 Ted Gould (8ca677a)

	* * Upstream Merge   * Setup the icons to use the -panel variants
          even when falling     back to status icons.  (LP: #547072)
            * Change python bindings to use _with_path so that they
          can set     the icon path.  (LP: #527061)

2010-03-30 14:19:39 -0500 Ted Gould (2d7ae83)

	* Updating to Ubuntu Desktop

2010-03-30 14:10:20 -0500 Ted Gould (d3026a2)

	* Merging fix to make it so that python apps can set an icon path.

2010-03-30 14:09:04 -0500 C10uD (4bbf4c0)

	* Patch 001 from bug 527061

2010-03-30 10:10:25 +0200 Sebastien Bacher (fd1ec3c)

	* releasing version 0.0.18-0ubuntu1 (tag: 0.0.18-0ubuntu1,
          refs/bzr/origin/tags/0.0.18-0ubuntu1)

2010-03-29 22:14:04 -0400 Ken VanDine (64eef1a)

	* * Upstream Release 0.0.18   * Change when there are updates to
          Check and Radio buttons via     their actions.  (LP:
          #542221)   * Fixing icon updating with themes and naming
          fallbacks with     the status icon fallback.  (LP:
          #532858)

2010-03-29 12:41:18 -0500 Ted Gould (9fddbf6)

	* Tracking the icon name and included the panel suffix for fallback
          usage.

2010-03-25 19:45:11 +0100 Krzysztof Klimonda (1d03452)

	* use gchar instead of for the clarity

2010-03-25 19:43:52 +0100 Krzysztof Klimonda (5bf0d10)

	* Make app_indicator_set_property also set the suffixed icon_name.

2010-03-25 19:23:57 +0100 Krzysztof Klimonda (64c0273)

	* Make GtkStatusIcon use icons with the panel suffix if available.

2010-03-25 12:14:27 -0500 Ted Gould (dd8d40d)

	* releasing version 0.0.18-0ubuntu1~ppa1

2010-03-25 11:54:05 -0500 Ted Gould (5483c83)

	* * Upstream Release 0.0.18   * Change when there are updates to
          Check and Radio buttons via     their actions.  (LP:
          #542221)   * Fixing icon updating with themes and naming
          fallbacks with     the status icon fallback.  (LP:
          #532858)

2010-03-25 11:52:35 -0500 Ted Gould (9919c5e)

	* 0.0.18 (tag: upstream-0.0.18, tag: 0.0.18,
          refs/bzr/origin/tags/upstream-0.0.18,
          refs/bzr/origin/tags/0.0.18)

2010-03-25 11:52:24 -0500 Ted Gould (b4e1960)

	* Fixing tests to use GTK for icon theme fixes.

2010-03-25 11:31:06 -0500 Ted Gould (275909f)

	* Fixing icon changing with fallbacks.

2010-03-25 16:29:28 +0100 Krzysztof Klimonda (26a1f26)

	* remove g_object_ref_sink call from status_icon_changes

2010-03-23 14:18:14 -0500 Ted Gould (105b2a0)

	* Update to track toggle changes in actions.

2010-03-22 18:07:32 +0100 Krzysztof Klimonda (85400dc)

	* Use app_indicator_get_icon/app_indicator_get_attention_icon methods
          to get the right icon.

2010-03-22 17:53:02 +0100 Krzysztof Klimonda (c80fe4d)

	* Move g_signal_connect for the theme-changed signal to
          app_indicator_init ()

2010-03-22 17:41:35 +0100 Krzysztof Klimonda (16a9a73)

	* don't use indicator_image_helper ()

2010-03-20 00:55:03 +0100 Krzysztof Klimonda (b531c56)

	* Fix the missing icon on theme change if old icon has different name

2010-03-19 22:46:41 +0100 Sense Hofstede (c18de95)

	* Make sure the state of GtkCheckMenuItems and GtkRadioMenuItems gets
          updated even when they're changed via their actions.

2010-03-18 23:38:10 +0100 Sebastien Bacher (05da30c)

	* releasing version 0.0.17-0ubuntu1 (tag: 0.0.17-0ubuntu1,
          refs/bzr/origin/tags/0.0.17-0ubuntu1)

2010-03-18 15:19:33 -0400 Ken VanDine (5581a39)

	* * Upstream Release 0.0.17   * Support GTK's show menu items
          property (LP: #528527)   * Fix status and category nicks
          in Python bindings (LP: #539858)   * Switch domains to
          org.kde instead of org.freedesktop as spec     was never
          officially approved by that body.

2010-03-18 13:11:04 -0500 Ted Gould (543f7fc)

	* releasing version 0.0.17-0ubuntu1~ppa1

2010-03-18 13:08:38 -0500 Ted Gould (d5717ba)

	* * Upstream Release 0.0.17   * Support GTK's show menu items
          property (LP: #528527)   * Fix status and category nicks
          in Python bindings (LP: #539858)   * Switch domains to
          org.kde instead of org.freedesktop as spec     was never
          officially approved by that body.

2010-03-18 13:06:15 -0500 Ted Gould (b839c8a)

	* Sync to Ubuntu Desktop

2010-03-18 12:57:22 -0500 Ted Gould (42de500)

	* 0.0.17 (tag: 0.0.17, refs/bzr/origin/tags/0.0.17)

2010-03-17 10:18:48 -0500 Ted Gould (65febbd)

	* Fix nicks on Python bindings.

2010-03-16 21:18:53 +0100 Sense Hofstede (414b5f8)

	* * Make the nicks of the AppIndicatorCategory and AppIndicatorStatus
          types adhere the specification in the Python bindings as
          well (Closes: #539858)

2010-03-15 15:40:42 -0500 Ted Gould (9be1c6d)

	* Changing from freedesktop to kde as the spec was never approved
          finally by freedesktop.

2010-03-15 18:10:43 +0100 Aurelien Gateau (42fd4ba)

	* org.freedesktop.StatusNotifier* => org.kde.StatusNotifier*

2010-03-15 16:45:26 +0100 Sebastien Bacher (ddee75a)

	* releasing version 0.0.16-0ubuntu2 (tag: 0.0.16-0ubuntu2,
          refs/bzr/origin/tags/0.0.16-0ubuntu2)

2010-03-15 09:37:40 -0500 Ted Gould (c88bf0b)

	* Make the icons follow the show menu icons property.

2010-03-15 12:55:51 +0100 Jan Arne Petersen (4ade827)

	* Only show images if "gtk-menu-images" settings or
          "always-show-image" property is TRUE.

2010-03-11 23:48:08 +0100 Sebastien Bacher (04fecf2)

	* releasing version 0.0.16-0ubuntu1 (tag: 0.0.16-0ubuntu1,
          refs/bzr/origin/tags/0.0.16-0ubuntu1)

2010-03-11 16:22:08 -0600 Ted Gould (0be5c8b)

	* releasing version 0.0.16-0ubuntu1~ppa1

2010-03-11 16:19:37 -0600 Ted Gould (079ae03)

	* debian/control: Increasing the libindicator-dev dependency to 0.3.5
          to match upstream.

2010-03-11 16:18:48 -0600 Ted Gould (837d679)

	* * Upstream release 0.0.16   * Use libindicator icon loading helper 
           * Workaround for label changes on GtkActions   * Testing
          fix for using xvfb

2010-03-11 16:17:27 -0600 Ted Gould (9504966)

	* Update to ubuntu-desktop

2010-03-11 16:15:07 -0600 Ted Gould (bf1f152)

	* 0.0.16 (tag: 0.0.16, refs/bzr/origin/tags/0.0.16)

2010-03-11 16:13:48 -0600 Ted Gould (1720ce3)

	* Adding a two second wait to make seting up Xvfb more reliable. 
          This is similar to xvfb-run.

2010-03-11 15:41:37 -0600 Ted Gould (9f09be2)

	* Using the new image loader utilities in libindicator

2010-03-11 15:37:53 -0600 Ted Gould (6b6a72d)

	* Switching to use the update function.

2010-03-11 15:35:20 -0600 Ted Gould (b3f9c44)

	* Upping libindicator required version to 0.3.5

2010-03-10 22:41:04 -0600 Ted Gould (c9b8c0a)

	* Removing design team size

2010-03-10 22:40:30 -0600 Ted Gould (e785284)

	* Also using the helper when changing icons.

2010-03-10 17:14:04 -0600 Ted Gould (249bcd9)

	* Switching to using the libindicator image helper

2010-03-08 10:44:15 -0600 Ted Gould (a503e71)

	* Workaround to make action label updates get caught and update the
          label.

2010-03-08 13:53:17 +0100 Jan Arne Petersen (27a7bb9)

	* Listen also to label changes on actions related to menu items to
          workaround a gtk+ bug.

2010-03-04 23:49:51 +0100 Sebastien Bacher (8dcf6e3)

	* releasing version 0.0.15-0ubuntu1 (tag: 0.0.15-0ubuntu1,
          refs/bzr/origin/tags/0.0.15-0ubuntu1)

2010-03-04 11:42:42 -0600 Ted Gould (3174368)

	* releasing version 0.0.15-0ubuntu1~ppa1

2010-03-04 11:40:30 -0600 Ted Gould (03519bd)

	* * Upstream release 0.0.15   * Icon size fix to 22 px   * Status
          icon correctly removed in fallback   * Fixed test suite to
          run better on slow machines.

2010-03-04 11:38:08 -0600 Ted Gould (fa72360)

	* 0.0.15 (tag: 0.0.15, refs/bzr/origin/tags/0.0.15)

2010-03-02 14:31:37 -0600 Ted Gould (588e856)

	* Lengthing kill timer to be a little longer for slow systems.

2010-03-02 14:00:16 -0600 Ted Gould (1323afb)

	* Fixing application icon size.

2010-03-01 21:45:52 -0600 Ted Gould (cda145d)

	* Switching from hide to visible.

2010-02-28 22:53:49 -0600 Ted Gould (d7ff915)

	* Merge with Ubuntu Desktop

2010-02-27 22:48:33 +0000 Chris Coulson (70c46ca)

	* Use gtk_status_icon_set_visible to hide the status icon.
          GtkStatusIcon is not derived from GtkWidget, so
          gtk_widget_hide doesn't work

2010-02-26 10:22:43 -0600 Ted Gould (cc62e3c)

	* Switching from menu size to design team size

2010-02-25 23:06:25 +0100 Sebastien Bacher (55be444)

	* releasing version 0.0.14-0ubuntu1 (tag: 0.0.14-0ubuntu1,
          refs/bzr/origin/tags/0.0.14-0ubuntu1)

2010-02-25 17:02:28 -0500 Ken VanDine (089972e)

	* Upstream release 0.0.14 ∘ Fix mono bindings to include proper
          metadata (LP: #526620) ∘ Send connection changed signal
          when the proxy is created and destroyed (LP: #527082) ∘
          Hide the fallback status icon before unrefing it. (LP:
          #526041) ∘ Increase dbus-glib version check to 0.82 ∘
          Handle menu layout changes and visibility changes better.
          ∘ Improve testing stability ∘ Read menu sensitivity on
          startup. ∘ Handle null strings when evaluating whether we
          have an attention icon. ∘ Remove dbus objects when we
          fallback ∘ Disconnect client_menu_changed signal handlers
          on cleanup. ∘ Handle cases where the menu gets unset on
          updates. ∘ Fix custom labels on stock items. ∘ Adds
          support for submenus

2010-02-25 15:22:31 -0600 Ted Gould (23541b9)

	* releasing version 0.0.14-0ubuntu1~ppa1

2010-02-25 15:18:24 -0600 Ted Gould (579c1e0)

	* Upstream release 0.0.14 ∘ Fix mono bindings to include proper
          metadata (LP: #526620) ∘ Send connection changed signal
          when the proxy is created and destroyed (LP: #527082) ∘
          Hide the fallback status icon before unrefing it. (LP:
          #526041) ∘ Increase dbus-glib version check to 0.82 ∘
          Handle menu layout changes and visibility changes better.
          ∘ Improve testing stability ∘ Read menu sensitivity on
          startup. ∘ Handle null strings when evaluating whether we
          have an attention icon. ∘ Remove dbus objects when we
          fallback ∘ Disconnect client_menu_changed signal handlers
          on cleanup. ∘ Handle cases where the menu gets unset on
          updates. ∘ Fix custom labels on stock items. ∘ Adds
          support for submenus

2010-02-25 15:06:06 -0600 Ted Gould (bc5b940)

	* 0.0.14 (tag: 0.0.14, refs/bzr/origin/tags/0.0.14)

2010-02-25 15:03:58 -0600 Ted Gould (ddbb7c0)

	* Ignoring everything.

2010-02-25 14:54:26 -0600 Ted Gould (806f651)

	* Changing the metadata to have the proper signal names in it.

2010-02-25 14:53:27 -0600 Ted Gould (464e29f)

	* Emitting the connection changed signal when the proxy is created
          and destroyed.

2010-02-25 14:28:33 -0600 Ted Gould (bb72be9)

	* Hide the status icon when unref'd

2010-02-25 10:47:38 -0600 Ted Gould (1cfa837)

	* Hiding the notification icon before unreffing it.

2010-02-25 16:47:37 +0100 Sense Hofstede (e8fe4dd)

	* * Do send the connection-changed signal, in check_connect() -- when
          a new connection is established --
          watcher_proxy_destroyed() and app_indicator_dispose()
          (Closes LP: #527082)

2010-02-25 15:23:23 +0100 Sense Hofstede (2aec0b9)

	* * Correct the Mono bindings metadata to properly bind with the
          signals (Closes LP: #526620)

2010-02-23 10:59:44 -0600 Ted Gould (9d1ecc8)

	* Sync to Ubuntu Desktop

2010-02-23 17:52:35 +0100 Sebastien Bacher (b42f475)

	* releasing version 0.0.13-0ubuntu8 (tag: 0.0.13-0ubuntu8,
          refs/bzr/origin/tags/0.0.13-0ubuntu8)

2010-02-23 10:30:30 -0600 Ted Gould (1d1afe2)

	* releasing version 0.0.13-0ubuntu8~ppa1

2010-02-23 10:28:19 -0600 Ted Gould (0d3da8e)

	* debian/control: Checking for dbus-glib >= 0.82

2010-02-23 10:27:36 -0600 Ted Gould (50aff10)

	* * Upstream Merge   * Checking for dbus-glib version 0.82

2010-02-23 10:26:10 -0600 Ted Gould (1572f64)

	* Adding a check for dbus-glib version.  The patch to unregister
          requires v. 0.82

2010-02-23 09:52:09 -0600 Ted Gould (8af2c8c)

	* Updating to ubuntu-desktop revision

2010-02-23 09:49:58 -0600 Ted Gould (cbdd6a7)

	* releasing version 0.0.13-0ubuntu3~ppa4

2010-02-23 09:47:08 -0600 Ted Gould (1e5be58)

	* Handling the visibility of menus better

2010-02-23 09:46:26 -0600 Ted Gould (8c0532f)

	* * Upstream merge   * Fixing automatic updating of menus   *
          Handling the visibility of menus better   * Improve
          testing to be more reliable   * Handle null string
          attention icons

2010-02-23 09:43:58 -0600 Ted Gould (2fdd555)

	* Fixes to get the menus updated and visibility all handled nicely.

2010-02-23 08:34:38 -0600 Ted Gould (100dd09)

	* Updated patch for the visibility field

2010-02-23 08:33:29 -0600 Jan Arne Petersen (44ff7ab)

	* Second patch on 524150

2010-02-22 16:49:01 -0600 Ted Gould (4589ee8)

	* releasing version 0.0.13-0ubuntu3~ppa3~menu3

2010-02-22 16:47:08 -0600 Ted Gould (1b76f58)

	* * Upstream Merge   * Blocking tearoffs

2010-02-22 16:46:37 -0600 Ted Gould (78429e8)

	* NO TEARY!

2010-02-22 16:01:40 -0600 Ted Gould (bc743fa)

	* releasing version 0.0.13-0ubuntu3~ppa3~menu2

2010-02-22 15:57:41 -0600 Ted Gould (0940357)

	* * Upstream Merge   * Using foreach instead of forall

2010-02-22 15:57:12 -0600 Ted Gould (1d6eba2)

	* Looking at children with foreach instead of forall

2010-02-22 15:26:50 -0600 Ted Gould (3676f11)

	* releasing version 0.0.13-0ubuntu3~ppa3~menu1

2010-02-22 15:25:13 -0600 Ted Gould (dd2a9a5)

	* * Upstream merge   * Menu updates connections

2010-02-22 14:47:03 -0600 Jan Arne Petersen (75ccac5)

	* Creates and event handler for the add and remove signals to
          recreate the menu

2010-02-22 12:56:40 -0600 Ted Gould (225f291)

	* Making the fallback test more robust on slow systems.

2010-02-22 12:56:03 -0600 Ted Gould (bf13c7a)

	* Fall out of the while, sometime, if we really think it's not
          recoverable.

2010-02-22 12:54:25 -0600 Ted Gould (a067b5b)

	* Trying to make the test a little more robust by waiting for the
          other process to register on the bus, and then waiting.

2010-02-22 17:50:42 +0100 Sebastien Bacher (d0087bc)

	* releasing version 0.0.13-0ubuntu7 (tag: 0.0.13-0ubuntu7,
          refs/bzr/origin/tags/0.0.13-0ubuntu7)

2010-02-22 10:25:37 -0600 Ted Gould (e5612de)

	* Patch to read sensitivity on startup.

2010-02-22 10:15:08 -0600 Ted Gould (7b02e4c)

	* Fixes bug 522151

2010-02-22 09:55:55 -0600 Jan Arne Petersen (271d86b)

	* Set the sensitive state when starting out.

2010-02-22 08:59:48 -0600 Ted Gould (0135db5)

	* Properly look for null strings in the attention icon.

2010-02-19 16:19:14 -0600 Ted Gould (96f2eb9)

	* Improving the dbus tests so that they have a mock watcher in them.

2010-02-19 16:18:51 -0600 Ted Gould (7e683f7)

	* Adding a mock server here as well

2010-02-19 16:12:56 -0600 Ted Gould (e035620)

	* Putting in a mock watcher so we don't fall back.

2010-02-19 18:52:46 +0100 Martin Pitt (05db164)

	* releasing version 0.0.13-0ubuntu6 (tag: 0.0.13-0ubuntu6,
          refs/bzr/origin/tags/0.0.13-0ubuntu6)

2010-02-19 12:26:04 -0500 Ken VanDine (5308b54)

	* set to UNRELEASED

2010-02-19 12:24:17 -0500 Ken VanDine (a889ee7)

	* * Cherrypick fix to check for a null string as the attention icon *
          Cherrypick fix to remove the registration of dbus objects
          (LP: #497870)   - lets us drop
          debian/patches/unregister.patch

2010-02-19 12:22:35 -0500 Ken VanDine (b1e72a5)

	* Cherry picked fix to check for a null string as the attention icon

2010-02-19 11:02:18 -0600 Ted Gould (780acae)

	* Checking for a null string as the attention icon.

2010-02-19 17:55:41 +0100 Martin Pitt (494d1b1)

	* releasing version 0.0.13-0ubuntu5 (tag: 0.0.13-0ubuntu5,
          refs/bzr/origin/tags/0.0.13-0ubuntu5)

2010-02-19 11:53:37 -0500 Ken VanDine (d90b4c3)

	* * debian/patches/unregister.patch   - Fix to remove the
          registration of dbus objects (LP: #497870)

2010-02-19 09:22:23 -0600 Ted Gould (435edba)

	* Fix to remove the registration of dbus objects

2010-02-19 09:22:03 -0600 Ted Gould (b0a873f)

	* Attaching bug

2010-02-19 09:21:19 -0600 Ted Gould (b79a5bb)

	* Removing debug output

2010-02-19 09:20:34 -0600 Jan Arne Petersen (9012c49)

	* Fix to unregister the object

2010-02-17 22:34:25 -0600 Ted Gould (42e1e57)

	* Disconnect signal handlers when unreffing the menu.

2010-02-17 23:18:23 +0100 Sebastien Bacher (2ac7533)

	* releasing version 0.0.13-0ubuntu4 (tag: 0.0.13-0ubuntu4,
          refs/bzr/origin/tags/0.0.13-0ubuntu4)

2010-02-17 16:04:09 -0600 Cody Russell (715d752)

	* Disconnect 'client_menu_changed' in dispose method.

2010-02-16 10:31:32 -0600 Ted Gould (386128a)

	* releasing version 0.0.13-0ubuntu3~ppa2

2010-02-16 10:29:27 -0600 Ted Gould (66e7fd1)

	* * Upstream Merge   * Fixing a crash by checking for NULL

2010-02-16 10:18:03 -0600 Cody Russell (de406e5)

	* Check priv->menu for non-NULL

2010-02-16 09:59:46 -0600 Ted Gould (99f3dd5)

	* releasing version 0.0.13-0ubuntu3~ppa1

2010-02-16 09:52:33 -0600 Ted Gould (1b3b3fe)

	* * Upstream Merge   * Submenu support   * Updating menus

2010-02-16 16:23:53 +0100 Sebastien Bacher (60b206c)

	* releasing version 0.0.13-0ubuntu3 (tag: 0.0.13-0ubuntu3,
          refs/bzr/origin/tags/0.0.13-0ubuntu3)

2010-02-12 16:10:26 -0600 Ted Gould (2cc377b)

	* Fixing visibility changes and when menuitems get added and deleted.

2010-02-12 15:41:48 -0600 Cody Russell (84137b6)

	* Minor cleanup

2010-02-12 15:38:37 -0600 Cody Russell (e18cf83)

	* Change the indentation for this case to be the same as the others.

2010-02-12 15:38:02 -0600 Cody Russell (1c7a301)

	* Just to be safe, let's connect these at the end.

2010-02-12 15:27:40 -0600 Cody Russell (02b6144)

	* Use dbusmenu_menuitem_property_set_bool(), and also fix some
          indenting.

2010-02-12 15:23:20 -0600 Ted Gould (350a701)

	* Fixing labels on stock items.

2010-02-12 15:10:40 -0600 Cody Russell (8b257dc)

	* Handle menuitem visibility changes, and additions/removals from
          menus.

2010-02-12 21:59:38 +0100 Sense Hofstede (e192dea)

	*  * When a GtkImageMenuItem has got a stock icon set don't just
          assume it's also using the stock label, but check first.
          (Closes: #520048)

2010-02-12 14:49:20 -0600 Ted Gould (5fef5a2)

	* Updating to Ubuntu Desktop

2010-02-12 17:17:08 +0100 Sebastien Bacher (be1ce77)

	* releasing version 0.0.13-0ubuntu2 (tag: 0.0.13-0ubuntu2,
          refs/bzr/origin/tags/0.0.13-0ubuntu2)

2010-02-11 23:12:57 -0600 Ted Gould (a98fd45)

	* Adding in submenu support.

2010-02-11 19:54:18 -0600 Cody Russell (af5ac81)

	* Submenus

2010-02-11 14:44:24 -0500 Ken VanDine (4102c4d)

	* releasing version 0.0.13-0ubuntu1 (tag: 0.0.13-0ubuntu1,
          refs/bzr/origin/tags/0.0.13-0ubuntu1)

2010-02-11 10:41:56 -0600 Ted Gould (f7b909c)

	* releasing version 0.0.13-0ubuntu1

2010-02-11 10:36:56 -0600 Ted Gould (bbebb7a)

	* * Upstream release 0.0.13   * Changing the menu property to be a
          proper DBus object path   * Make object paths unique by
          including application IDs in them

2010-02-11 10:35:41 -0600 Ted Gould (a94ef5f)

	* Sync to Ubuntu Desktop

2010-02-11 10:19:50 -0600 Ted Gould (14abe9a)

	* 0.0.13 (tag: 0.0.13, refs/bzr/origin/tags/0.0.13)

2010-02-11 08:41:13 -0600 Ted Gould (0e783eb)

	* Fix to make the dbus paths unique by using the ID of the
          application.

2010-02-10 10:53:00 -0600 Ted Gould (ec5e7ea)

	* Making sure our new tests with gtk_init() in them have an X server
          to talk to.

2010-02-10 10:51:28 -0600 Ted Gould (6f79c17)

	* Building a menu so this item will show

2010-02-10 10:38:13 -0600 Ted Gould (cc9f014)

	* Moving the clean_id code to get set when we set the ID and checking
          for it when building the menu.

2010-02-10 10:37:53 -0600 Ted Gould (8418f3a)

	* Changing to ID based naming and setting a menu to get init

2010-02-10 09:15:04 -0600 Ted Gould (aafaa31)

	* Creating a clean ID that doesn't take any illegal dbus characters
          and using that in the path.

2010-02-10 08:47:34 -0600 Ted Gould (907253f)

	* Making the menu path also include the ID

2010-02-10 08:44:09 -0600 Ted Gould (f5b69fe)

	* Making it so that you can't set an ID twice instead of just issuing
          a warning.

2010-02-10 08:43:35 -0600 Ted Gould (370c87f)

	* Moving the registration of the object to when we want to connect
          everything, and making the path include the item ID to
          ensure it's unique.

2010-02-10 08:32:29 -0600 Ted Gould (07cba33)

	* Switching menu property to be an object path.

2010-02-10 08:30:42 -0600 Ted Gould (8be6fe7)

	* Falling back on string if that's what we get.  Makes things
          compatible.

2010-02-08 19:25:26 -0500 Ken VanDine (c9d339f)

	* releasing version 0.0.12-0ubuntu1 (tag: 0.0.12-0ubuntu1,
          refs/bzr/origin/tags/0.0.12-0ubuntu1)

2010-02-08 10:01:46 -0600 Ted Gould (b881da9)

	* releasing version 0.0.12-0ubuntu1~ppa1

2010-02-08 09:58:52 -0600 Ted Gould (ef5c412)

	* Merging in ubuntu-desktop

2010-02-08 09:57:20 -0600 Ted Gould (c5ba9dd)

	* Upstream release 0.0.12

2010-02-08 09:51:25 -0600 Ted Gould (fb4952b)

	* 0.0.12 (tag: 0.0.12, refs/bzr/origin/tags/0.0.12)

2010-02-08 09:35:16 -0600 Ted Gould (c21b71a)

	* releasing version 0.0.11-0ubuntu1~ppa3

2010-02-08 09:33:13 -0600 Ted Gould (89972d2)

	* * Upstream Merge   * Handling the service restarting better by
          removing the icons     after a small delay to ensure they
          don't return.   * Fixing a crash where a proxy was created
          while the previous     one was being destroyed.

2010-02-08 09:31:33 -0600 Ted Gould (e6056c5)

	* Handling the service resetting much better.  Clearing out the old,
          but after ensuring they won't come back.

2010-02-08 09:30:27 -0600 Ted Gould (08f04e0)

	* releasing version 0.0.11-0ubuntu1~ppa2

2010-02-08 09:29:15 -0600 Ted Gould (a11cf7a)

	* Cause the proxy to get built outside of the other proxy destroy
          callback.

2010-02-08 09:23:36 -0600 Ted Gould (585f9e3)

	* * Upstream Merge   * Fixing copying of the attention icon   *
          Adding status changing to the example application   *
          Adding a test for status changing getting sent over DBus.

2010-02-08 09:20:42 -0600 Ted Gould (821e845)

	* Sync to trunk

2010-02-08 09:20:04 -0600 Ted Gould (c273ac9)

	* Fixing status updates and adding tests to help debug status
          changing.

2010-02-06 11:58:19 -0800 Ted Gould (28b0ba5)

	* Ready to recieve the boxed type on the other side.

2010-02-06 11:55:50 -0800 Ted Gould (035f565)

	* Changing the type of the property and setting it with boxed

2010-02-06 11:47:09 -0800 Ted Gould (b3be172)

	* Boolean again!

2010-02-06 11:43:18 -0800 Ted Gould (ffbe6e8)

	* Adding check to look for privates gotten on invalid objects.

2010-02-06 11:27:51 -0800 Ted Gould (aca3270)

	* Handling if we get duplicate entries added, just recycling.

2010-02-06 11:17:05 -0800 Ted Gould (85b920f)

	* Now we're actively killing.

2010-02-06 11:07:49 -0800 Ted Gould (2440214)

	* Setting up the disconnected helpers and structure.

2010-02-06 10:56:44 -0800 Ted Gould (130e93c)

	* Changing the proxy to only build if we need it, and not destroy
          itself on killing the process.  There's really no reason
          for that.

2010-02-06 10:52:19 -0800 Ted Gould (87a7acd)

	* Making room for a disconnected function.

2010-02-06 10:34:23 -0800 Ted Gould (5f4f1eb)

	* Putting the proxy construction in an idle function.

2010-02-06 10:20:45 -0800 Ted Gould (53bb574)

	* Reffing the connection so we ensure that we have it even when folks
          die.

2010-02-06 10:09:40 -0800 Ted Gould (3f35b1d)

	* releasing version 0.0.11-0ubuntu1~ppa2~aicon1

2010-02-06 10:08:06 -0800 Ted Gould (f6ea519)

	* * Upstream Merge   * Fixing grabbing of attention icon

2010-02-06 10:06:53 -0800 Ted Gould (987c4b5)

	* Getting the wrong string for the Attention Icon when looking at the
          properties

2010-02-06 10:01:17 -0800 Ted Gould (c2e186c)

	* More logging from our app indicator on icon changes

2010-02-06 09:58:46 -0800 Ted Gould (5b94301)

	* Adding a menu item to toggle the attention state.

2010-02-06 09:44:32 -0800 Ted Gould (982498c)

	* Making sure the client has time to setup.

2010-02-06 09:41:25 -0800 Ted Gould (b9152c3)

	* Changing to 100 instead of 1000

2010-02-06 09:40:19 -0800 Ted Gould (74c6657)

	* Lengthening the time a little bit to make sure we don't miss
          messages.

2010-02-06 09:27:10 -0800 Ted Gould (d004765)

	* Now setting status ALOT

2010-02-06 09:22:22 -0800 Ted Gould (39bf2cc)

	* Loose the timeout

2010-02-06 09:22:00 -0800 Ted Gould (119bd7a)

	* Adjusting the status test to watch for toggles

2010-02-05 17:30:41 -0800 Ted Gould (d27570e)

	* Typo

2010-02-05 17:30:10 -0800 Ted Gould (1a8b83c)

	* Adding a test for changing the status.  Just a copy of the standard
          dbus test.

2010-02-04 17:45:52 -0800 Sebastien Bacher (b8830e1)

	* releasing version 0.0.11-0ubuntu1 (tag: 0.0.11-0ubuntu1,
          refs/bzr/origin/tags/0.0.11-0ubuntu1)

2010-02-04 16:47:49 -0800 Ted Gould (5bd2875)

	* releasing version 0.0.11-0ubuntu1~ppa1

2010-02-04 16:46:05 -0800 Ted Gould (1e12054)

	* debian/control: Increasing dbusmenu* deps to 0.2.2

2010-02-04 16:45:32 -0800 Ted Gould (33edaca)

	* * Upstream release 0.0.11   * Interoperability Fixes   * Adding in
          XVFB support for tests   * Adding support for icons with
          the '-panel' suffix

2010-02-04 16:27:28 -0800 Ted Gould (f8ab455)

	* 0.0.11 (tag: 0.0.11, refs/bzr/origin/tags/0.0.11)

2010-02-04 16:24:28 -0800 Ted Gould (8808bcb)

	* Interop fixes.

2010-02-04 14:15:15 -0800 Ted Gould (4f81ab9)

	* Migrating to the new dbusmenu

2010-02-04 14:14:04 -0800 Ted Gould (b6cda58)

	* Merging in signal change.

2010-02-04 14:13:47 -0800 Ted Gould (b3f174d)

	* Changing the #defines

2010-02-04 14:09:39 -0800 Ted Gould (5f2baa8)

	* Upping Dbusmenu required version

2010-02-04 11:58:15 -0800 Ted Gould (901d87f)

	* Wrong srcdir

2010-02-04 11:53:53 -0800 Ted Gould (a313884)

	* Wrong filename

2010-02-04 11:47:28 -0800 Ted Gould (a8b197a)

	* Adding in XVFB support

2010-02-04 11:43:46 -0800 Ted Gould (8398c58)

	* Getting run-xvfb on the tests

2010-02-03 17:25:09 -0800 Aurelien Gateau (4fc1824)

	* Merged timestamp fix

2010-02-02 16:59:18 -0800 Aurelien Gateau (770470f)

	* icon -> icon-name sensitive -> enabled toggle-checked ->
          toggle-state toggle-state type is now an int

2010-02-02 16:09:52 -0800 Ted Gould (4b0a319)

	* Changing the prototype of the activate signal

2010-02-01 16:34:35 -0800 Conor Curran (3a8354f)

	* Checking for the nunit dependency with a specific version.

2010-02-01 16:14:14 -0800 Conor Curran (aa89c97)

	* changed dependency nunit2.4 to nunit since this is the name of the
          package

2010-02-01 11:41:53 -0800 Ted Gould (d6090e4)

	* Fixing the name of the enum strings to match the StatusNotifier
          spec.

2010-02-01 10:45:29 -0800 Ted Gould (ae7bfd4)

	* Adding code to look for special panel versions of the icon with a
          '-panel' with the AppIndicators.

2010-02-01 10:21:58 -0800 Ted Gould (8a8c965)

	* Changing the suffix to 'panel'

2010-01-27 10:37:51 -0600 Ted Gould (c73f5af)

	* Changing the category in the fallback test as well.

2010-01-27 10:32:53 -0600 Ted Gould (d415cb6)

	* Changing strings in the test suite as well.

2010-01-27 10:27:55 -0600 Ted Gould (53821e9)

	* Changing the strings in the #defines here, but really we should be
          using the enum.

2010-01-27 10:25:49 -0600 Ted Gould (1b40a68)

	* Making it so there is another level of translation so that we can
          use different strings in the enum.

2010-01-24 22:03:21 -0600 Ted Gould (e68b4e3)

	* Truth.  Bad, Bad, truth.

2010-01-24 21:56:07 -0600 Ted Gould (79cd82f)

	* When setting or changing an icon first check to see if there is a
          panel specific icon that we should be using.

2010-01-21 16:38:43 -0500 Ken VanDine (10c9c76)

	* releasing version 0.0.10-0ubuntu2 (tag: 0.0.10-0ubuntu2,
          refs/bzr/origin/tags/0.0.10-0ubuntu2)

2010-01-21 16:07:55 -0500 Ken VanDine (6ac376a)

	* releasing version 0.0.10-0ubuntu1 (tag: 0.0.10-0ubuntu1,
          refs/bzr/origin/tags/0.0.10-0ubuntu1)

2010-01-21 14:21:04 -0600 Ted Gould (f25e2f0)

	* releasing version 0.0.10-0ubuntu1~ppa1

2010-01-21 14:19:21 -0600 Ted Gould (f5582e9)

	* debian/control: Adjusted back changes in 0.0.9-0ubuntu3 as this
          branch is still on Karmic.  Changes are in Lucid.

2010-01-21 14:16:37 -0600 Ted Gould (e38c251)

	* * Upstream release 0.0.10 * debian/control: Adding dependency for
          json-glib to build.

2010-01-21 14:14:58 -0600 Ted Gould (9c8e204)

	* Updating to ubuntu-desktop branch

2010-01-21 14:12:39 -0600 Ted Gould (8140c6f)

	* releasing version 0.0.9-0ubuntu1~ppa4

2010-01-21 14:10:45 -0600 Ted Gould (1650aa3)

	* * Upstream merge   * Adding in a file to position the indicators *
          debian/control: Adding dependency for json-glib to build.

2010-01-21 14:09:53 -0600 Ted Gould (1f9ee73)

	* Sync to trunk

2010-01-21 14:08:59 -0600 Ted Gould (bb106d1)

	* 0.0.10 (tag: 0.0.10, refs/bzr/origin/tags/0.0.10)

2010-01-21 14:01:10 -0600 Ted Gould (2377df3)

	* Require libindicator 0.3.1

2010-01-21 13:59:25 -0600 Ted Gould (f2b8365)

	* Adding support for a file tracking add and touch times for
          applications for ordering them.

2010-01-21 08:57:59 -0600 Ted Gould (678e097)

	* releasing version 0.0.9-0ubuntu1~ppa4~order2

2010-01-21 08:55:32 -0600 Ted Gould (770afff)

	* debian/control: Adding dependency for json-glib to build.

2010-01-21 08:53:36 -0600 Ted Gould (d4f211a)

	* releasing version 0.0.9-0ubuntu1~ppa4~order1

2010-01-21 08:51:36 -0600 Ted Gould (2c3e17d)

	* * Upstream merge   * Adding in a file to position the indicators

2010-01-20 16:52:01 -0600 Ted Gould (a9bf196)

	* Implements the get_location function to place the entires.

2010-01-20 16:41:38 -0600 Ted Gould (da6242b)

	* Looking at the last touch date of entries as we're loading the file
          and removing ones that are very old.

2010-01-20 16:28:13 -0600 Ted Gould (0ccf950)

	* License headers.

2010-01-20 16:16:43 -0600 Ted Gould (26a0d6f)

	* Moving directory and filename into defines

2010-01-20 16:12:11 -0600 Ted Gould (33644ed)

	* Moving the JSON file values into #defines

2010-01-20 15:53:17 -0600 Ted Gould (5317706)

	* Fleshing out loading of the LRU file and realizing we need a
          json-glib dep and the 'category' field in the output.

2010-01-20 15:01:00 -0600 Ted Gould (de65968)

	* Updating to trunk (surprisingly without conflict)

2010-01-20 14:59:53 -0600 Ted Gould (2062afe)

	* releasing version 0.0.9-0ubuntu1~ppa3

2010-01-20 14:57:20 -0600 Ted Gould (78417dc)

	* * Upstream update   * Ref counting theme directories as they get
          added and removed   * Use the right callback function for
          fallback (LP: #507975)

2010-01-20 14:51:35 -0600 Ted Gould (38e8ceb)

	* Add tracking and refcounting of theme directories.  Unregister them
          when we're done.

2010-01-20 14:49:05 -0600 Ted Gould (93d5972)

	* Use the right function in the fallback.

2010-01-20 14:47:49 -0600 Ted Gould (0ba7549)

	* releasing version 0.0.9-0ubuntu1~ppa2

2010-01-20 14:45:24 -0600 Ted Gould (f279a2d)

	* * Upstream update   * Support getting the app list from a running
          service.

2010-01-20 14:44:30 -0600 Ted Gould (3d7c9e2)

	* Sync to trunk

2010-01-20 14:42:59 -0600 Ted Gould (b22c464)

	* Merge to get the current list of applications on startup.

2010-01-20 14:40:14 -0600 Ted Gould (7243272)

	* Switch to building a string and writing it out instead of async
          writes as the order doesn't seem to be predictable.

2010-01-20 14:28:09 -0600 Ted Gould (39c33f7)

	* Build the directory and some debugging info

2010-01-20 13:36:38 -0600 Ted Gould (de476ff)

	* Fleshing out the cleaning and dirtying functions.  Now we should
          write out a file.

2010-01-20 11:59:33 -0600 Ted Gould (77f24c0)

	* Making a sort function that looks at two Apps and determines their
          ordering.

2010-01-20 11:45:13 -0600 Ted Gould (064fd75)

	* Fleshing out touching.

2010-01-20 11:14:21 -0600 Ted Gould (c663b23)

	* Allocating memory and objects in the lur world

2010-01-20 09:47:02 -0600 Ted Gould (ba6eadc)

	* Ref'ing the image and menu so that when we remove them we don't get
          warnings.

2010-01-19 20:57:26 -0600 Ted Gould (a634890)

	* Switching to inserting in the application array using a sort
          function.  Looking that up in the LRU file DB.

2010-01-19 20:44:23 -0600 Ted Gould (570fc94)

	* Adding in the 'id' and 'category' fields to the application
          structure.

2010-01-19 17:21:22 -0600 Ted Gould (e8d4604)

	* Protecting our _new a little bit.

2010-01-19 17:20:21 -0600 Ted Gould (08fef8d)

	* Adding a _new function for the appstore and using it.  It now takes
          the lru file.

2010-01-19 17:04:20 -0600 Ted Gould (85394de)

	* Building the LRU file.

2010-01-19 17:01:57 -0600 Ted Gould (2f82ed5)

	* Adding some API to our LRU file

2010-01-19 16:26:47 -0600 Ted Gould (8b32f5e)

	* Sync to trunk

2010-01-19 22:57:32 +0100 Sebastien Bacher (6b648fd)

	* releasing version 0.0.9-0ubuntu3 (tag: 0.0.9-0ubuntu3,
          refs/bzr/origin/tags/0.0.9-0ubuntu3)

2010-01-19 20:53:16 +0100 Sebastien Bacher (92c127a)

	* releasing version 0.0.9-0ubuntu2 (tag: 0.0.9-0ubuntu2,
          refs/bzr/origin/tags/0.0.9-0ubuntu2)

2010-01-19 13:38:27 -0600 Ted Gould (f8da1e7)

	* Attaching bug

2010-01-19 13:38:00 -0600 Ted Gould (3344b7d)

	* Changing to use the status wrapper for handling the status signal's
          different prototype.

2010-01-19 11:45:39 -0600 Cody Russell (0b8b85b)

	* Handling duplication applications getting added.

2010-01-19 11:28:33 -0600 Cody Russell (e9fafdf)

	* Move the check for duplicates.

2010-01-19 10:42:11 -0600 Ted Gould (f8d65da)

	* Adding an object to start tracking the lru of the app indicators

2010-01-15 10:14:31 -0600 Ted Gould (9c545b7)

	* Cleaning out dead code and turning a printout into an assert.

2010-01-15 10:09:00 -0600 Ted Gould (fd7d6e6)

	* releasing version 0.0.9-0ubuntu1~ppa2~applist2

2010-01-15 10:07:09 -0600 Ted Gould (e709d9b)

	* * Upstream update   * Simplify and correct the structure handling. 
           * Pass the correct object path over the bus.  We want the
          menu.

2010-01-15 10:05:21 -0600 Ted Gould (93f32fd)

	* Using the menu path instead of the item path.

2010-01-15 10:04:24 -0600 Ted Gould (2579e9f)

	* Using a straight value array and making sure to pass the
          application

2010-01-15 08:56:49 -0600 Ted Gould (36e7fd1)

	* releasing version 0.0.9-0ubuntu1~ppa2~applist1

2010-01-15 08:54:25 -0600 Ted Gould (a75c3de)

	* * Upstream update   * Support getting the app list from a running
          service.

2010-01-15 08:51:02 -0600 Ted Gould (b447c26)

	* Fleshing out the get_applications function so that we do something
          with the list we now get.

2010-01-15 01:01:11 -0600 Ted Gould (8045abd)

	* Setting the proper type for the GValue of an 'o'

2010-01-15 00:48:09 -0600 Ted Gould (00cad2e)

	* Better init value and adding error to prototype.

2010-01-14 23:30:11 -0600 Ted Gould (eddc0d0)

	* Returning truth.

2010-01-14 23:25:34 -0600 Ted Gould (321ae86)

	* Need icon path in the list as well.

2010-01-14 23:22:46 -0600 Ted Gould (7a001c7)

	* Fleshing out returning the list of apps already there.

2010-01-14 20:27:28 -0600 Cody Russell (abd499a)

	* Only add the Application if it doesn't already exist in the
          appstore.

2010-01-14 15:41:16 -0600 Ted Gould (831a83c)

	* Removing shutdown printf

2010-01-14 15:40:49 -0600 Ted Gould (76ef80d)

	* Actually unref'ing the dir and fixing the truth there.

2010-01-14 15:16:50 -0600 Ted Gould (c302241)

	* Merging in the warnings branch.

2010-01-14 15:16:37 -0600 Ted Gould (5a93b5e)

	* Debug message for directories.

2010-01-14 15:14:12 -0600 Ted Gould (fe7f3dc)

	* We should have kept ref's to these.

2010-01-14 14:25:22 -0600 Ted Gould (3712733)

	* Fleshing out the ref and the unref functions for the theme
          directories.

2010-01-14 13:58:15 -0600 Ted Gould (9393ffc)

	* Adding in our hash table of refs.

2010-01-14 14:30:48 -0500 Ken VanDine (8cc2e35)

	* * Upstream Release 0.0.9   * Add fallback support for situations
          where the NotificationWatcher     isn't available.

2010-01-14 10:46:10 -0600 Ted Gould (bd7118f)

	* Forgot to merge in the 'fallback' packing branch.  All in sync now.

2010-01-14 10:45:38 -0600 Ted Gould (4d4273f)

	* Sync to trunk

2010-01-14 10:39:46 -0600 Ted Gould (8240163)

	* releasing version 0.0.9-0ubuntu1~ppa1

2010-01-14 10:37:42 -0600 Ted Gould (6e43740)

	* * Upstream Release 0.0.9   * Add fallback support for situations
          where the NotificationWatcher     isn't available.

2010-01-14 10:36:02 -0600 Ted Gould (f0104e1)

	* 0.0.9 (tag: 0.0.9, refs/bzr/origin/tags/0.0.9)

2010-01-14 10:31:26 -0600 Ted Gould (e43ee66)

	* Update to desktop.

2010-01-14 10:28:27 -0600 Ted Gould (39b0dc9)

	* Fallback support to XEmbed based notify item.

2010-01-14 09:55:42 -0600 Ted Gould (09442ab)

	* Returning the icon we've created.

2010-01-14 09:54:59 -0600 Ted Gould (2bfabeb)

	* Making a more descriptive error on 'unfallback' not existing.

2010-01-14 09:52:51 -0600 Ted Gould (544ac3a)

	* Using better naming for 'do_it_now' parameter.

2010-01-14 10:11:18 -0500 Ken VanDine (1a2eabc)

	* [merge] Upstream release 0.0.8

2010-01-13 20:25:33 -0600 Ted Gould (c303c0c)

	* Realized that we didn't really use the 'notify' signal... now using
          the better ones anyway.

2010-01-13 19:52:02 -0600 Ted Gould (c26cab9)

	* Making it so that the icon will update in the fallback case with
          changes to the properties of the AppIndicator.

2010-01-13 18:53:19 -0600 Ted Gould (67493d4)

	* Showing the toggle_item as well as the others.

2010-01-13 16:28:53 -0600 Ted Gould (6068e6c)

	* Popping up menu on activate.

2010-01-13 16:28:34 -0600 Ted Gould (10521bb)

	* Showing items in sample

2010-01-13 16:23:08 -0600 Ted Gould (9489aa2)

	* Adding in a get_menu function.

2010-01-13 16:16:11 -0600 Ted Gould (b83df5e)

	* releasing version 0.0.8-0ubuntu1~ppa2~fallback5

2010-01-13 16:11:02 -0600 Ted Gould (15176e3)

	* * Upstream update   * Looking at StatusIcon fallback

2010-01-13 16:10:25 -0600 Ted Gould (bf390ec)

	* Connecting to the activate signal

2010-01-13 14:56:03 -0600 Ted Gould (556b0bc)

	* releasing version 0.0.8-0ubuntu1~ppa2~fallback4

2010-01-13 14:54:18 -0600 Ted Gould (1583b1b)

	* * Upstream update   * Removing the 'destroy' signal handler

2010-01-13 14:53:18 -0600 Ted Gould (ef95891)

	* Remove the 'destroy' signal handler before destroying the watcher
          proxy.

2010-01-13 14:08:18 -0600 Ted Gould (8baa1ed)

	* releasing version 0.0.8-0ubuntu1~ppa2~fallback3

2010-01-13 14:06:20 -0600 Ted Gould (c1d9e7d)

	* * Upstream update   * More checking.

2010-01-13 14:05:33 -0600 Ted Gould (e67b856)

	* Checking more for whether we have an APP_INDICATOR object

2010-01-13 14:02:23 -0600 Ted Gould (303db3c)

	* Explicitly checking for the APP_INDICATOR.  Confused.

2010-01-13 13:34:31 -0600 Ted Gould (df2c07b)

	* releasing version 0.0.8-0ubuntu1~ppa2~fallback2

2010-01-13 13:31:41 -0600 Ted Gould (b7f9aaf)

	* * Upstream update   * Checking fallback function params

2010-01-13 13:31:10 -0600 Ted Gould (519e03c)

	* releasing version 0.0.8-0ubuntu1~ppa2~fallback1

2010-01-13 13:30:32 -0600 Ted Gould (6023693)

	* Checking for the status of the variable getting passed in.

2010-01-13 12:30:30 -0600 Ted Gould (21c5cc4)

	* * Upstream update   * Fallback support

2010-01-13 12:25:49 -0600 Ted Gould (b1b9134)

	* Fleshing out the fallback function, so it should create an icon.

2010-01-13 11:35:42 -0600 Ted Gould (5d07598)

	* Really we should have gotten the final cleanup unfallback, which we
          weren't testing for either.

2010-01-13 11:21:31 -0600 Ted Gould (88c99ac)

	* Getting the class the proper way

2010-01-13 10:03:06 -0600 Ted Gould (89aa4a7)

	* Clear the fallback timer pointer after using it.

2010-01-13 09:29:55 -0600 Ted Gould (c959db1)

	* Adding a function to watch if the watcher proxy gets destroyed.

2010-01-13 08:38:14 -0600 Ted Gould (06a6bb7)

	* Removing a warning.

2010-01-13 08:33:21 -0600 Ted Gould (5898ca0)

	* Making sure to return a value so that unfallback gets called.

2010-01-13 08:33:04 -0600 Ted Gould (5739297)

	* Calling the unfallback function if we're doing this for the second
          time.

2010-01-13 08:24:19 -0600 Ted Gould (3ac18fb)

	* Ignoring the generated fallback test itself

2010-01-12 21:12:46 -0600 Ted Gould (7e0feb2)

	* Setting up a dbus proxy and starting to look at owner change events
          on it when we don't have a NotificationWatcher to look at.

2010-01-12 17:00:56 -0600 Ted Gould (f55bf25)

	* Adding a menu so that the app indicator will init

2010-01-12 16:55:39 -0600 Ted Gould (bded6da)

	* Wrong class function

2010-01-12 16:45:09 -0600 Ted Gould (7783a49)

	* Adding the fallback test to the suite

2010-01-12 16:44:13 -0600 Ted Gould (9a21024)

	* Adding state transitions that'll get us to a passed state.

2010-01-12 16:39:27 -0600 Ted Gould (a216db2)

	* Adding a kill function and letting the test fail over it.

2010-01-12 16:36:26 -0600 Ted Gould (d0abe1e)

	* Printing status in watcher

2010-01-12 16:31:59 -0600 Ted Gould (cc31c23)

	* Adding in the item side of things.

2010-01-12 16:04:58 -0600 Ted Gould (348bcfb)

	* Woah, this is pretty sweet.  I hope it works.

2010-01-12 15:41:16 -0600 Ted Gould (4a1b722)

	* Getting the start of the fallback tests in place.

2010-01-12 14:05:33 -0600 Ted Gould (36d47b5)

	* Setup the fallback timer and flesh out it's actions.

2010-01-12 13:37:40 -0600 Ted Gould (9518459)

	* Fallback timer pointer lifecycle.

2010-01-12 11:55:35 -0600 Ted Gould (7e5e095)

	* Some comments

2010-01-12 11:40:50 -0600 Ted Gould (40d3056)

	* Start timer fallback

2010-01-12 10:03:03 -0600 Ted Gould (b2198be)

	* Updating to trunk

2010-01-12 10:59:43 -0500 Ken VanDine (2ceb846)

	* merged 0.0.8

2010-01-12 10:59:14 -0500 Ken VanDine (0eea33a)

	* Upstream Release 0.0.8

2010-01-12 09:10:25 -0600 Ted Gould (5ca2ed3)

	* releasing version 0.0.8-0ubuntu1~ppa1

2010-01-12 09:08:28 -0600 Ted Gould (44efa30)

	* * Upstream release 0.0.8   * Mirror icon changes over dbus

2010-01-12 09:00:07 -0600 Ted Gould (abd41dd)

	* 0.0.8 (tag: 0.0.8, refs/bzr/origin/tags/0.0.8)

2010-01-12 08:56:42 -0600 Cody Russell (6fe9571)

	* Mirror the icon changes over dbus

2010-01-12 01:55:35 -0500 Ken VanDine (7e77e90)

	* autoreconf

2010-01-12 01:38:55 -0500 Ken VanDine (6d6c8e4)

	* * debian/patches/mono_bindings_fix.patch   - Mono bindings fixes
          (LP: #505923)

2010-01-12 00:28:12 -0600 Cody Russell (6ae0ede)

	* Remove debugging code

2010-01-12 00:11:04 -0600 Ted Gould (06145a0)

	* releasing version 0.0.7-0ubuntu1~ppa5

2010-01-12 00:09:13 -0600 Ted Gould (c20fb45)

	* * Upstream update   * Distcheck fixes to tests and cleanfiles

2010-01-12 00:08:34 -0600 Ted Gould (0fda6a0)

	* Adding the middle API file to the cleanfiles for distcheck

2010-01-12 00:06:47 -0600 Ted Gould (bd7a48f)

	* Fixing the path for the tests.

2010-01-11 23:50:10 -0600 Ted Gould (f905b80)

	* releasing version 0.0.7-0ubuntu1~ppa4

2010-01-11 23:48:20 -0600 Ted Gould (356a1ce)

	* * Upstream update   * Better default object names.

2010-01-11 23:47:03 -0600 Ted Gould (d104014)

	* Updating path names to have more reasonable defaults.

2010-01-11 23:46:39 -0600 Ted Gould (807982e)

	* releasing version 0.0.7-0ubuntu1~ppa3

2010-01-11 23:44:51 -0600 Ted Gould (481ad31)

	* * Upstream update   * Fixes for the mono binding properties

2010-01-11 23:43:54 -0600 Ted Gould (983ceaf)

	* releasing version 0.0.7-0ubuntu1~ppa2

2010-01-11 23:41:33 -0600 Ted Gould (ed18ce8)

	* * Upstream Merge   * Sensitivity to label changes

2010-01-11 23:39:41 -0600 Ted Gould (2e6c62f)

	* Sync to trunk

2010-01-11 23:39:11 -0600 Ted Gould (e04e32f)

	* Fixes for the mono bindings to make the properties work with enums
          and the #define'd string names.

2010-01-11 23:33:17 -0600 Ted Gould (4d42c62)

	* releasing version 0.0.7-0ubuntu1~ppa2~mono1

2010-01-11 23:30:46 -0600 Ted Gould (8bb5b38)

	* Fixing makefiles

2010-01-11 23:30:27 -0600 Ted Gould (d6ae58e)

	* Adding back in the MIDDLE_API and sed magic

2010-01-11 23:15:01 -0600 Ted Gould (1e13ebd)

	* * Upstream update   * Fixes for the mono binding properties

2010-01-11 23:13:00 -0600 Ted Gould (f466763)

	* Removing the middle API stuff and cleaning up Makefile

2010-01-11 23:09:15 -0600 Ted Gould (d09369b)

	* Cody's customs

2010-01-11 22:59:17 -0600 Cody Russell (af45b19)

	* Mono binding fixes.

2010-01-11 18:05:57 -0600 Ted Gould (9c04a32)

	* Adding in customs support

2010-01-11 17:09:25 -0600 Ted Gould (bebf565)

	* Use sed to get rid of the #defines

2010-01-11 16:48:47 -0600 Ted Gould (9035e52)

	* Switching the metadata to not use #defines

2010-01-11 16:27:19 -0600 Ted Gould (f8d6a7d)

	* Initing and destroying the status_icon variable

2010-01-11 16:05:31 -0600 Ted Gould (73afc35)

	* Having better default paths that look a little more professional.

2010-01-11 14:05:24 -0600 Ted Gould (d8c7246)

	* Setting the fallback functions so that we can go round trip on
          setting up this API.

2010-01-11 13:42:54 -0600 Cody Russell (b7ec550)

	* trunk merge

2010-01-11 13:40:03 -0600 Cody Russell (724261a)

	* Label fu

2010-01-11 13:21:50 -0600 Ted Gould (2a91387)

	* Adding in the class functions for handling the fallback.

2010-01-11 11:07:18 -0600 Cody Russell (e979943)

	* Watching several properties and updating them as they change.

2010-01-08 22:32:58 -0500 Ken VanDine (820eb75)

	* * debian/control   - bump build depends version of libdbusmenu to
          0.2.0

2010-01-08 22:17:33 -0500 Ken VanDine (64df46b)

	* * Upstream Release 0.0.7   * Making the Notification Watcher
          register for it's own DBus     name to keep the service
          one unique.   * Adding support for icons changing through
          the service and     in the indicator.   * Fixing the
          generated headers for DBus Properties calls   * Fixing
          libappindicator set_icon to set the right icon.   * Adding
          in icon path support.   * Switching DBus interface to
          org.freedesktop   * Adding check/radio support to menu
          parsing   * Adding ChangeLog to dist   * Adding check item
          support to menu parsing

2010-01-08 16:29:25 -0600 Cody Russell (b56f250)

	* Remove debugging code.

2010-01-08 16:25:03 -0600 Cody Russell (ecb11f0)

	* Watch for changes to label and sensitivity.

2010-01-08 16:05:45 -0600 Ted Gould (c1010b6)

	* releasing version 0.0.7-0ubuntu1~ppa1

2010-01-08 16:03:47 -0600 Ted Gould (54708c2)

	* Upstream Release 0.0.7

2010-01-08 15:57:53 -0600 Ted Gould (5787ec0)

	* 0.0.7 (tag: 0.0.7, refs/bzr/origin/tags/0.0.7)

2010-01-08 15:54:43 -0600 Ted Gould (a7e0e79)

	* Merging with the desktop branch

2010-01-08 15:44:49 -0600 Ted Gould (21f677f)

	* releasing version 0.0.6-0ubuntu1~ppa6

2010-01-08 15:42:52 -0600 Ted Gould (a3bf98e)

	* * Upstream merge:   * Making the Notification Watcher register for
          it's own DBus     name to keep the service one unique.

2010-01-08 15:40:50 -0600 Ted Gould (e5fbe72)

	* Making the Notification Watcher get it's own interface name.

2010-01-08 15:39:52 -0600 Ted Gould (7f93d0d)

	* releasing version 0.0.6-0ubuntu1~ppa5

2010-01-08 15:37:45 -0600 Ted Gould (7a78594)

	* * Upstream merge:   * Adding support for icons changing through the
          service and     in the indicator.   * Fixing the generated
          headers for DBus Properties calls   * Fixing
          libappindicator set_icon to set the right icon.

2010-01-08 15:36:17 -0600 Ted Gould (c4b431a)

	* Sync to trunk

2010-01-08 15:35:23 -0600 Ted Gould (98237f0)

	* Supporting icons changing and status changing.

2010-01-08 15:02:29 -0600 Ted Gould (bb71fc2)

	* Reactivate kill switch

2010-01-08 14:59:13 -0600 Ted Gould (8d0d0e4)

	* Making applications register to the watcher address so they work on
          KDE

2010-01-08 14:57:22 -0600 Ted Gould (34bb6cb)

	* Make the watcher register it's own name

2010-01-08 14:41:31 -0600 Ted Gould (087c7f0)

	* Making the service have a name different than the watcher
          interface.

2010-01-08 14:37:48 -0600 Ted Gould (d8cb0ba)

	* Icons branch

2010-01-08 14:13:53 -0600 Ted Gould (8e8fc16)

	* releasing version 0.0.6-0ubuntu1~ppa4~icon2

2010-01-08 14:11:55 -0600 Ted Gould (6c2b2fd)

	* Fixing everything by putting the slots on correctly.

2010-01-08 14:10:45 -0600 Ted Gould (5f797d7)

	* Putting the signal on the Class instead of the Instance.

2010-01-08 13:20:06 -0600 Ted Gould (f8e9a51)

	* Debug message cleanup.

2010-01-08 13:19:52 -0600 Ted Gould (7970210)

	* Fixing shutdown signal, but disabling for now

2010-01-08 12:34:43 -0600 Ted Gould (12aab96)

	* When destroying the application free all the proxies.

2010-01-08 11:53:21 -0600 Ted Gould (ad42e10)

	* Fleshing out some of the remove function.  For some reason the
          appstore is getting disposed, but that's the next thing to
          look at.

2010-01-08 11:27:35 -0600 Ted Gould (ae5ff4b)

	* releasing version 0.0.6-0ubuntu1~ppa4~icon1

2010-01-08 11:24:55 -0600 Ted Gould (4e91ad3)

	* * Syncing with all the other branches. * Upstream update   * Adding
          in icon path support. * Upstream update   * Switching DBus
          interface to org.freedesktop   * Adding check/radio
          support to menu parsing * Upstream update   * Adding
          ChangeLog to dist   * Adding check item support to menu
          parsing

2010-01-08 11:20:32 -0600 Ted Gould (96e4332)

	* Updating to trunk

2010-01-08 11:20:19 -0600 Ted Gould (5d97173)

	* Syncing to final icon-path changes

2010-01-08 11:08:46 -0600 Ted Gould (aaa7438)

	* releasing version 0.0.6-0ubuntu1~ppa4

2010-01-08 11:05:33 -0600 Ted Gould (e824c0b)

	* * Upstream update   * Adding in icon path support.

2010-01-08 11:04:23 -0600 Ted Gould (a12df72)

	* Sync to trunk

2010-01-08 11:04:12 -0600 Ted Gould (2b000f7)

	* Final icon-path merge.

2010-01-08 11:03:33 -0600 Ted Gould (458b67c)

	* Sync to karmic packaging branch

2010-01-08 11:02:12 -0600 Ted Gould (ab7949f)

	* releasing version 0.0.6-0ubuntu1~ppa3

2010-01-08 11:00:08 -0600 Ted Gould (d5b5933)

	* * Upstream update   * Switching DBus interface to org.freedesktop  
          * Adding check/radio support to menu parsing

2010-01-08 10:18:57 -0600 Ted Gould (a575382)

	* Adding in the ability for applications to specify a directory path
          to get added to the icon theme search path.

2010-01-08 09:56:56 -0600 Aurélien Gâteau (1c834b9)

	* Changing to freedesktop.org namespace and fixing some of the
          function names and interfaces that weren't matching the
          FD.o spec.

2010-01-08 16:34:59 +0100 Aurelien Gateau (5f86c72)

	* Merged lp:~ted/indicator-application/fdo

2010-01-08 09:25:17 -0600 Ted Gould (0c8cf85)

	* Adjusting so that we use the parameter if it's not an object but a
          path.

2010-01-08 08:07:24 -0600 Ted Gould (8226d6c)

	* Using the #defines for the property names instead of strings. 
          Define them once.

2010-01-08 08:04:07 -0600 Ted Gould (83b4f68)

	* Changing the property to 'IconThemePath' to make it more clear
          about what it adjusts.

2010-01-08 07:54:09 -0600 Sebastien Bacher (d7719b9)

	* Typo in documentation using wrong values for the enum.

2010-01-08 12:08:51 +0100 Sebastien Bacher (69f4b95)

	* Use correct status syntax in the api description (lp: #504700)

2010-01-07 21:04:27 -0600 Ted Gould (8fdbf38)

	* releasing version 0.0.6-0ubuntu1~ppa2~icon4

2010-01-07 21:01:58 -0600 Ted Gould (a375e41)

	* * Upstream merge:   * Fixing the generated headers for DBus
          Properties calls   * Fixing libappindicator set_icon to
          set the right icon.

2010-01-07 21:00:10 -0600 Ted Gould (cb14ba3)

	* Pretty major cut and paste error.  Wrong icon.

2010-01-07 20:53:46 -0600 Ted Gould (d1fbe4a)

	* Changing dbus-properties header to be static and not built from the
          XML as it needs a fix.

2010-01-07 17:10:31 -0600 Ted Gould (8ddab95)

	* releasing version 0.0.6-0ubuntu1~ppa2~icon3

2010-01-07 17:08:43 -0600 Ted Gould (2fef3d4)

	* * Upstream merge:   * Adding support for icons changing through the
          service and     in the indicator.

2010-01-07 17:06:38 -0600 Ted Gould (b1ffef3)

	* Merging in the icon_path branch to start to handle conflicts from
          there.

2010-01-07 16:55:31 -0600 Ted Gould (2cc15ba)

	* A small refactoring of the code to get the position of an
          application.

2010-01-07 16:48:12 -0600 Ted Gould (4abe47b)

	* Fleshing out the signal functions for updates.  Some do more
          callbacks.

2010-01-07 16:27:18 -0600 Ted Gould (45e742e)

	* Moving the list of applications management into the state change
          function.  This makes it so that we can handle it
          appearing and disappearing all in one special place.

2010-01-07 14:18:31 -0600 Ted Gould (16fb78b)

	* Adding in a status variable

2010-01-07 14:07:16 -0600 Ted Gould (655f6d1)

	* Responding to the icon changed signal in the indicator.

2010-01-07 13:58:35 -0600 Ted Gould (7f27006)

	* releasing version 0.0.6-0ubuntu1~ppa2

2010-01-07 13:53:42 -0600 Ted Gould (2c767da)

	* Adding an icon_changed signal to the application store

2010-01-07 13:37:56 -0600 Ted Gould (f7e660f)

	* Cleaning up signal handlers.

2010-01-07 13:35:48 -0600 Ted Gould (99b4888)

	* * Upstream update   * Adding ChangeLog to dist   * Adding check
          item support to menu parsing

2010-01-07 13:34:11 -0600 Cody Russell (e76d63c)

	* Support for check items in the libappindicator menu parser.

2010-01-07 13:08:40 -0600 Ted Gould (6d922ea)

	* Setting up and connecting to the item signals

2010-01-07 13:01:01 -0600 Cody Russell (a60f25e)

	* Toggle events

2010-01-07 12:29:33 -0600 Ted Gould (199f3d2)

	* Allowing for the default path if one is not given.

2010-01-07 18:10:44 +0100 Aurelien Gateau (17476bd)

	* Revert part of previous revision: pass the path, not the service
          name to register_status_item

2010-01-07 10:26:42 -0600 Cody Russell (6bde6a4)

	* More checkbox related updates.

2010-01-07 09:27:01 -0600 Cody Russell (bf0be37)

	* Checkmark support

2010-01-07 13:29:50 +0100 Aurelien Gateau (0aaa6a2)

	* Use org.freedesktop namespace

2010-01-07 01:10:20 -0600 Ted Gould (13de14e)

	* releasing version 0.0.6-0ubuntu1~ppa2~icon2ubuntu1

2010-01-07 01:07:18 -0600 Ted Gould (6575026)

	* Debug message

2010-01-07 01:06:45 -0600 Ted Gould (ad8ca0d)

	* Adding a path based debug message

2010-01-07 00:59:14 -0600 Ted Gould (6223c53)

	* releasing version 0.0.6-0ubuntu1~ppa2~icon2

2010-01-07 00:56:18 -0600 Ted Gould (11984c8)

	* Fixing the signals.

2010-01-07 00:55:38 -0600 Ted Gould (e16d383)

	* Forgot to adjust the parameter count.

2010-01-06 14:27:33 -0600 Ted Gould (eec2466)

	* Handle the case of no icon path more gracefully, by just passing
          along the null string.

2010-01-06 14:18:49 -0600 Ted Gould (150a0d7)

	* Ignoring some of the generated files

2009-12-23 17:00:30 +0100 Aurelien Gateau (dd2ed95)

	* Previous commit was not meant to be pushed to trunk Revert my mess

2009-12-23 16:48:54 +0100 Aurelien Gateau (95b5ea9)

	* Make it work on KDE

2009-12-20 22:20:52 -0600 Ted Gould (06b735f)

	* releasing version 0.0.6-0ubuntu1~ppa2~icon1

2009-12-20 22:18:24 -0600 Ted Gould (28d5fae)

	* Adding in icon path support.

2009-12-20 22:16:01 -0600 Ted Gould (cd57997)

	* Appending the new icon path to the theme search.

2009-12-20 17:28:02 -0600 Ted Gould (3915de9)

	* Adding the icon path to the app entry struct

2009-12-20 17:24:13 -0600 Ted Gould (9185eee)

	* Adding in the icon path to the list of parameters that are passed
          when we have a new application.

2009-12-20 17:15:08 -0600 Ted Gould (a9c6b6e)

	* Adding new constructor to docs.

2009-12-20 17:13:23 -0600 Ted Gould (b3542e0)

	* Forgot to get these from the private struct.

2009-12-20 17:11:23 -0600 Ted Gould (c44c00b)

	* Making the icon-path property construct only and making a
          constructor to set it.

2009-12-20 17:04:29 -0600 Ted Gould (2f82dde)

	* Adding the icon_path property to the code.

2009-12-20 16:56:09 -0600 Ted Gould (8d4ca51)

	* Adding of a new property, icon path, to store the path to the
          icons.

2009-12-17 23:11:02 -0600 Ted Gould (312dadc)

	* Adding ChangeLog to tarball

2009-12-17 16:54:56 -0500 Ken VanDine (929d2e8)

	* include ChangeLog in EXTRA_DIST

2009-12-17 16:19:43 -0500 Ken VanDine (60e78aa)

	* * Upstream release 0.0.6   * Include Python binding   * Include
          Mono binding   * Minor bug fixes   * Fixing when menus are
          set twice.  (LP: #497812)   * Keeping a constant signature
          for the library instead of     building it each time. *
          debian/control, debian/python-appindicator.install:
          Building   a binary package for the python bindings. *
          debian/control: Adding python building build deps *
          debian/control, debian/libappindicator0-cil.install:
          Building   a binary package for the Mono bindings. *
          debian/control: Adding Mono building build deps

2009-12-17 16:04:21 -0500 Ken VanDine (951c79d)

	* version bump

2009-12-17 14:45:53 -0600 Ted Gould (75de7c2)

	* releasing version 0.0.6-0ubuntu1~ppa1

2009-12-17 14:43:59 -0600 Ted Gould (71a9247)

	* * Upstream release 0.0.6   * Keeping a constant signature for the
          library instead of     building it each time.

2009-12-17 14:42:30 -0600 Ted Gould (7eb8f46)

	* 0.0.6 (tag: 0.0.6, refs/bzr/origin/tags/0.0.6)

2009-12-17 14:40:34 -0600 Ted Gould (f789e13)

	* Using a constant snk file instead of generating it each time.

2009-12-17 15:31:20 -0500 Ken VanDine (cca4d63)

	* merged

2009-12-17 15:30:39 -0500 Ken VanDine (4e8176e)

	* merged

2009-12-17 15:29:51 -0500 Ken VanDine (52c77eb)

	* use srcdir for the path to appindicator-sharp.snk

2009-12-17 15:01:24 -0500 Ken VanDine (af81423)

	* Don't create the signature during build

2009-12-17 13:22:09 -0600 Ted Gould (e173606)

	* releasing version 0.0.5-0ubuntu1~ppa1

2009-12-17 13:18:38 -0600 Ted Gould (2c6df6b)

	* * Upstream release 0.0.5   * Include Python binding   * Include
          Mono binding   * Minor bug fixes * debian/control,
          debian/python-appindicator.install: Building   a binary
          package for the python bindings. * debian/control: Adding
          python building build deps * debian/control,
          debian/libappindicator0-cil.install: Building   a binary
          package for the Mono bindings. * debian/control: Adding
          Mono building build deps

2009-12-17 13:13:28 -0600 Ted Gould (6d8c312)

	* 0.0.5 (tag: 0.0.5, refs/bzr/origin/tags/0.0.5)

2009-12-17 13:07:50 -0600 Ken VanDine (6a7f7db)

	* Linking Mono bindings to versioned library and fixing the example
          with licensing info and a menu.

2009-12-17 13:59:19 -0500 Ken VanDine (84d7e5e)

	* Added license/copyright to the example and un-commented out the
          code that adds the menu.

2009-12-17 13:41:42 -0500 Ken VanDine (c64d79b)

	* added libnunit2.4-cil build-depends

2009-12-17 13:35:11 -0500 Ken VanDine (d1fbd5d)

	* link against the versioned library

2009-12-17 10:45:04 -0600 Ted Gould (3280544)

	* releasing version 0.0.4-0ubuntu3~ppa4

2009-12-17 10:38:25 -0600 Ted Gould (bdff04c)

	* * Upstream updates:   * Fixing when menus are set twice.  (LP:
          #497812)

2009-12-17 10:36:51 -0600 Ted Gould (d11b8c9)

	* Fix issue with setting a menu twice by only allocating one dbusmenu
          server.

2009-12-17 17:27:03 +0100 Cody Russell (09c4ec2)

	* Only create the dbusmenu server if it doesn't exist

2009-12-17 10:04:40 -0600 Ted Gould (6af83d4)

	* Initing 'menuservice' to NULL

2009-12-17 10:02:02 -0600 Ted Gould (f4c9af7)

	* Only build a dbusmenu server if we don't have one.

2009-12-17 10:22:30 -0500 Ken VanDine (f87e935)

	* Moved Build-Depend-indep to Build-Depends

2009-12-17 09:14:01 -0600 Ted Gould (e2f1257)

	* releasing version 0.0.4-0ubuntu3~ppa3

2009-12-17 09:12:11 -0600 Ted Gould (24abbb1)

	* debian/control: Fixing the libdbusmenu-glib version dep.

2009-12-17 09:06:33 -0600 Ted Gould (5918076)

	* debian/control: Removing architecture independent build
          dependencies are no architecture dependent.

2009-12-17 08:42:41 -0600 Ted Gould (3995123)

	* releasing version 0.0.4-0ubuntu3~ppa2

2009-12-17 08:39:26 -0600 Ted Gould (1443165)

	* * Upstream updates:   * Mono build fixes.   * Mono metadata file
          cleanups.

2009-12-17 08:37:26 -0600 Ted Gould (4d95601)

	* Mono build cleanups

2009-12-17 08:34:26 -0600 Ted Gould (d293bbf)

	* debian/control: Adding a build-dep on nunit

2009-12-17 00:32:20 -0600 Ted Gould (7219db0)

	* Updates to Mono bindings to make them more Mono-onic.

2009-12-17 01:27:31 -0500 Ken VanDine (33beea5)

	* merged from trunk

2009-12-17 00:24:18 -0600 Ted Gould (c4f20d6)

	* releasing version 0.0.4-0ubuntu3~ppa1

2009-12-17 01:21:32 -0500 Ken VanDine (7ebdc97)

	* * Upstream release   - debian/libappindicator0-cil.install   -
          debian/libappindicator0-cil-dev.install   - debian/control

2009-12-17 00:21:25 -0600 Ted Gould (511ef69)

	* Integrating a ton of work.

2009-12-17 00:20:25 -0600 Ted Gould (5aed77c)

	* * Added mono bindings * debian/rules   - don't use gnome.mk,
          specify all the targets to build python     bindings for
          each supported python version * Adding in Python bindings.
          * debian/control, debian/python-appindicator.install:
          Building   a binary package for the python bindings. *
          debian/control: Adding python building build deps *
          debian/control   - make libappindicator0 recommend
          indicator-application * debian/rules:   - removed the
          disable-scrollkeeper configure arg   - don't include .la
          and .a files * debian/patches/clean_up_docs.patch   -
          removed, merged upstream * debian/control:   - removed
          Build-Depend for scrollkeeper   - libappindicator-dev
          needs to depend on libdbusmenu-glib-dev   - bump standards
          version to 3.8.3   - libappindicator-doc doesn't need to
          depend on libappindicator0   - set libappindicator-doc
          arch all   - make libappindicator-dev depend on
          libappindicator0 * debian/copyright   - Include the proper
          licenses (LGPL-2.1 and LGPL-3)

2009-12-17 01:19:56 -0500 Ken VanDine (6af5c99)

	* Install the assembly in the gac

2009-12-17 00:14:58 -0600 Ted Gould (20a7ac2)

	* * Upstream work   * Python bindings   * Mono binding clean up

2009-12-17 00:08:42 -0600 Ted Gould (97f6e62)

	* Mono and Pythong bindings living together.

2009-12-16 16:58:42 -0500 Ken VanDine (394f015)

	* set version back to 0.0.4

2009-12-16 16:56:59 -0500 Ken VanDine (cef679b)

	* merged from trunk

2009-12-16 16:56:19 -0500 Ken VanDine (2ba572c)

	* Added mono bindings

2009-12-16 16:16:28 -0500 Ken VanDine (8a26b8c)

	* Use a versioned assemblydir

2009-12-16 16:15:52 -0500 Ken VanDine (ceef246)

	* use more macros

2009-12-16 16:15:30 -0500 Ken VanDine (7996187)

	* Reference the correct dll

2009-12-16 14:39:39 -0500 Ken VanDine (23b19e9)

	* fixed path to python bindings

2009-12-16 14:37:40 -0500 Ken VanDine (2a5cad3)

	* * debian/rules   - don't use gnome.mk, specify all the targets to
          build python     bindings for each supported python
          version * Adding in Python bindings. * debian/control,
          debian/python-appindicator.install: Building   a binary
          package for the python bindings. * debian/control: Adding
          python building build deps

2009-12-16 14:32:39 -0500 Ken VanDine (4d9d260)

	* merged in python bindings branch and some of my fixes needed for
          packaging

2009-12-16 14:29:18 -0500 Ken VanDine (251da6d)

	* exclude the path in subst replace in the dbus-binding-tool command

2009-12-16 13:51:49 -0500 Jason Smith (7aee325)

	* Make mono bindings less redundant and more mono friendly

2009-12-15 11:33:37 -0500 Ken VanDine (53d5f10)

	* make libappindicator0 recommend indicator-application

2009-12-15 10:41:26 -0500 Ken VanDine (c4a5888)

	* release

2009-12-15 10:39:56 -0500 Ken VanDine (c593131)

	* * debian/control   - make libappindicator0 depend on
          indicator-application

2009-12-14 22:47:42 +0100 Sebastien Bacher (add48dd)

	* releasing version 0.0.4-0ubuntu1 (tag: 0.0.4-0ubuntu1,
          refs/bzr/origin/tags/0.0.4-0ubuntu1)

2009-12-14 11:25:49 -0600 Ted Gould (0d66efa)

	* releasing version 0.0.4-0ubuntu1~ppa2

2009-12-14 11:23:14 -0600 Ted Gould (1ae9e02)

	* debian/control: Adding in mono build depends.

2009-12-14 11:16:00 -0600 Ted Gould (0d59bd4)

	* * Upstream work   * Mono bindings

2009-12-14 11:28:24 -0500 Ken VanDine (c66e720)

	* use path to find includes

2009-12-14 10:00:49 -0600 Ted Gould (985c449)

	* Merging in mono bindings.

2009-12-14 09:59:29 -0600 Ted Gould (bb6fa61)

	* Looking for the assembly files in the right location.

2009-12-14 09:59:12 -0600 Ted Gould (04e218d)

	* Adding the test files to dist and making sure we find them in the
          right directory.

2009-12-14 09:42:57 -0600 Ted Gould (aebb91e)

	* Merging in Jason's fix of Cody's branch.  Yeah, seriously.

2009-12-14 10:32:30 -0500 Jason Smith (5e6e5ba)

	* Nicer fix

2009-12-14 10:20:17 -0500 Jason Smith (3d0245f)

	* Make build work right

2009-12-12 12:27:20 -0600 Cody Russell (40f3778)

	* Try to add SetMenu()

2009-12-12 12:20:52 -0600 Cody Russell (59526b6)

	* Initial stab at setting up test/example fu

2009-12-11 20:29:28 -0600 Ted Gould (a3a42b9)

	* Fixing the build system to link everything all happy like.

2009-12-11 20:23:37 -0600 Ted Gould (a602f42)

	* Adding the Python build system into the indicator-application one.

2009-12-11 20:08:27 -0600 Neil J. Patel (f7ba47b)

	* Stealing a bunch of Neil's python binding code.

2009-12-11 17:04:11 -0500 Ken VanDine (1c008f5)

	* fixed typo in the Vcs-Bzr line

2009-12-11 16:46:23 -0500 Ken VanDine (7158acf)

	* merged from trunk

2009-12-11 16:42:58 -0500 Ken VanDine (e75075f)

	* set to UNRELEASED

2009-12-11 12:39:56 -0500 Ken VanDine (fd5003d)

	*   - bump standards version to 3.8.3   - libappindicator-doc doesn't
          need to depend on libappindicator0

2009-12-11 12:31:39 -0500 Ken VanDine (2da3664)

	* libappindicator-dev needs to depend on libdbusmenu-glib-dev

2009-12-11 12:28:32 -0500 Ken VanDine (2f0f25f)

	* fix the path used for deleting the .la and .a files

2009-12-11 11:24:30 -0600 Cody Russell (ed48108)

	* Fix distcheck

2009-12-11 12:06:34 -0500 Ken VanDine (54099ef)

	* don't include .la and .a files

2009-12-11 11:04:01 -0600 Ted Gould (a5dfa76)

	* Merging in Ken's Lucid changes.

2009-12-11 11:00:29 -0600 Cody Russell (7783eb6)

	* Move appindicator-sharp.pc to appindicator-sharp-0.1.pc

2009-12-11 10:46:30 -0600 Cody Russell (8de2753)

	* trunk merge, resolve conflicts

2009-12-11 10:40:11 -0600 Ted Gould (52f97ba)

	* releasing version 0.0.4-0ubuntu1~ppa1

2009-12-11 10:38:53 -0600 Ted Gould (c5d3cf3)

	* * Upstream release 0.0.4   * Adding files to the tarball   *
          Putting version number in docs   * Removing cruft in docs

2009-12-11 10:34:49 -0600 Ted Gould (d303893)

	* 0.0.4 (tag: 0.0.4, refs/bzr/origin/tags/0.0.4)

2009-12-11 10:32:56 -0600 Cody Russell (5fe114e)

	* Add missing Makefile.am

2009-12-11 10:32:27 -0600 Ken VanDine (ab6e7dd)

	* Adding extra files to the distribution tarball and making the
          documentation include the version number.

2009-12-11 11:31:58 -0500 Ken VanDine (f9d90d2)

	* removed the disable-scrollkeeper configure arg

2009-12-11 10:31:49 -0600 Cody Russell (88a109e)

	* Move to bindings/mono

2009-12-11 10:28:06 -0600 Cody Russell (6d3743e)

	* Build for Mono bindings

2009-12-11 11:20:55 -0500 Ken VanDine (8205193)

	* include autogen.sh, COPYING.LGPL.2.1 and COPYING.LGPL.3 in
          EXTRA_DIST

2009-12-11 11:17:15 -0500 Ken VanDine (8063616)

	* Merged changes from trunk

2009-12-11 11:15:50 -0500 Ken VanDine (3e2f1b6)

	* * Bump version to 0.0.4 * Include version in the generated docs

2009-12-11 09:24:12 -0500 Ken VanDine (d032af1)

	* fixed parse error in changelog

2009-12-11 09:22:32 -0500 Ken VanDine (020d8bb)

	* * debian/control:   - removed Build-Depend for scrollkeeper

2009-12-11 09:21:42 -0500 Ken VanDine (7263623)

	* * Upstream release 0.0.4 * debian/rules:   - removed
          disable-scrollkeeper   - set DOC_SERVER used for docs *
          debian/patches/clean_up_docs.patch   - removed, merged
          upstream

2009-12-10 20:31:54 -0600 Ted Gould (c52a914)

	* releasing version 0.0.3-0ubuntu2~ppa1

2009-12-10 20:30:04 -0600 Ted Gould (e11024f)

	* debian/patches/clean_up_docs.patch: Remove as merged upstream.

2009-12-10 20:28:25 -0600 Ken VanDine (d0ff3d2)

	* Documentation cleanups

2009-12-10 16:59:21 -0600 Ted Gould (9ef452b)

	* Merging in Ken's fixes.

2009-12-10 23:48:32 +0100 Sebastien Bacher (c5ceaf1)

	* releasing version 0.0.3-0ubuntu1 (tag: 0.0.3-0ubuntu1,
          refs/bzr/origin/tags/0.0.3-0ubuntu1)

2009-12-10 17:31:13 -0500 Ken VanDine (4358884)

	* * debian/copyright   - Include the proper licenses (LGPL-2.1 and
          LGPL-3)

2009-12-10 17:12:55 -0500 Ken VanDine (af73889)

	*   - set libappindicator-doc arch all   - make libappindicator-dev
          depend on libappindicator0

2009-12-10 17:02:36 -0500 Ken VanDine (767f3d4)

	* set to UNRELEASED

2009-12-10 16:49:18 -0500 Ken VanDine (bd32dd0)

	* set release to lucid

2009-12-10 15:46:58 -0500 Ken VanDine (27f8252)

	* set a title and remove releaseinfo, we haven't set it yet.

2009-12-10 15:44:51 -0500 Ken VanDine (ff35c76)

	* added simple-patchsys.mk

2009-12-10 15:42:33 -0500 Ken VanDine (a634b49)

	* * debian/patches/clean_up_docs.patch   - Remove template values and
          set a proper title

2009-12-10 15:12:55 -0500 Ken VanDine (7c04550)

	* fixed a typo in libappindicator-doc.install

2009-12-10 15:11:18 -0500 Ken VanDine (86e4f6e)

	* * debian/libappindicator-doc.install   - install the developer docs
          * debian/rules   - enable-gtk-doc

2009-12-10 15:02:25 -0500 Ken VanDine (87560be)

	* added bzr-builddeb/default.conf

2009-12-10 15:01:02 -0500 Ken VanDine (fb2b3cf)

	* * debian/control   - set Vcs-Bzr to ~ubuntu-desktop

2009-12-10 13:39:37 -0600 Ted Gould (e44eaf4)

	* Merging in Ken's updates

2009-12-10 13:34:43 -0600 Ted Gould (7dcc785)

	* releasing version 0.0.3-0ubuntu1~ppa1

2009-12-10 13:23:43 -0600 Ted Gould (94cc8a7)

	* debian/control: Increasing libdbusmenu requirements to 0.1.8

2009-12-10 13:22:55 -0600 Ted Gould (eab11a2)

	* * Upstream release 0.0.3   * More GtkMenu support in
          libappindicator

2009-12-10 13:18:44 -0600 Ted Gould (6b3e25f)

	* 0.0.3 (tag: 0.0.3, refs/bzr/origin/tags/0.0.3)

2009-12-10 09:57:32 -0600 Ken Vandine (dc31293)

	* Increasing libindicator requirement to 0.3.0

2009-12-10 10:11:28 -0500 Ken VanDine (ad85df3)

	* Bump required version for libindicator to 0.3.0

2009-12-10 10:08:08 -0500 Ken VanDine (2227fe0)

	* * debian/control   - Updated Vcs-Bzr, project urls and description

2009-12-10 09:00:30 -0500 Ken VanDine (f87a074)

	* * debian/watch:   - Updated url to point to the LP project

2009-12-09 22:30:45 -0600 Cody Russell (9e7a9fb)

	* Adding support for separators.

2009-12-09 22:10:40 -0600 Cody Russell (6cb0e1a)

	* Add support for separator menuitems

2009-12-09 14:25:32 -0600 Ted Gould (0e959b1)

	* Switching back to the calling style with all the parameters. 
          Otherwise the --enable-gtk-doc gets lost.

2009-12-09 14:17:40 -0600 Ted Gould (5ed9363)

	* Fixing up documentation and making it error if symbols are missing.

2009-12-09 12:11:01 -0600 Ted Gould (ecd7cd9)

	* Adding a directory name on the distribution of the .pc.in file

2009-12-09 12:08:36 -0600 Ted Gould (59f09d6)

	* releasing version 0.0.2-0ubuntu1~ppa2

2009-12-09 12:07:31 -0600 Ted Gould (afd0904)

	* debian/control: Adding a build dep on gtk-doc-tools

2009-12-09 12:05:12 -0600 Ted Gould (b478a86)

	* debian/libappindicator-dev.install: Adding pkgconfig files.

2009-12-09 12:04:15 -0600 Ted Gould (4e25a45)

	* Getting the install files with the right names.

2009-12-09 12:02:20 -0600 Ted Gould (b67737d)

	* * Upstream update   * Adding in documentation   * Adding a
          pkg-config .pc file for libappindicator

2009-12-09 11:58:22 -0600 Cody Russell (bae74ef)

	* Add pkgconfig support, fixes bug #494583

2009-12-09 11:52:12 -0600 Cody Russell (02ab21b)

	* pkgconfig Libs and Requires fixes

2009-12-09 11:31:26 -0600 Cody Russell (875e290)

	* merge from trunk

2009-12-09 10:44:15 -0600 Ted Gould (cd2a4a9)

	* Fix to autogen.sh to support configure options.

2009-12-09 10:35:11 -0600 Cody Russell (6519597)

	* fix autogen.sh

2009-12-09 10:30:50 -0600 Cody Russell (3f16792)

	* pkgconfig file

2009-12-08 16:42:08 -0600 Ted Gould (e0bf73e)

	* Improved menu item parsing from Cody.

2009-12-08 16:34:01 -0600 Cody Russell (284188b)

	* Beefed up and stuff.

2009-12-08 16:02:28 -0600 Ted Gould (e4cdb13)

	* Putting gtk-doc-check into a wrapper to it runs in srcdir

2009-12-08 15:45:17 -0600 Ted Gould (a29bb3d)

	* Adding in some section documentation.

2009-12-08 15:37:48 -0600 Ted Gould (b8e1a71)

	* Documenting the AppIndicatorClass as well.

2009-12-08 15:35:52 -0600 Ted Gould (79d9410)

	* Fixing function documentation.

2009-12-08 15:26:54 -0600 Ted Gould (c80692f)

	* Adding documentation for the signal string defines.

2009-12-08 15:24:36 -0600 Ted Gould (46799c6)

	* Adding in documentation for the Object/Class macros

2009-12-08 15:08:10 -0600 Ted Gould (b63e880)

	* Adding a check rule for documentation.

2009-12-08 15:06:07 -0600 Ted Gould (4a19cb4)

	* Adding support for building gtk-doc documentation.

2009-12-08 15:03:27 -0600 Ted Gould (cf4dd4a)

	* Making it so that we have a local gtk-doc.make file that will pass
          a dist without the lib being built.

2009-12-08 14:43:24 -0600 Ted Gould (fbb083f)

	* Ken's gtk-doc integration branch

2009-12-08 15:13:10 -0500 Ken VanDine (86b124f)

	* Removed a commented variable

2009-12-08 15:10:33 -0500 Ken VanDine (0c816c3)

	* Clean up some cruft I left around

2009-12-08 14:58:19 -0500 Ken VanDine (199da20)

	* Fixes for make distcheck and default configure args

2009-12-08 14:22:45 -0500 Ken VanDine (5ebc39a)

	* Added some missing gtk-doc related files

2009-12-08 14:18:31 -0500 Ken VanDine (43eac26)

	* don't run gtkdocize with autogen.sh

2009-12-07 19:11:11 -0500 Jason Smith (dc33785)

	* Add script to automate building (someone should do this without
          autofoo)

2009-12-07 19:10:16 -0500 Jason Smith (6335098)

	* Ensure names are nice and pretty

2009-12-07 19:03:41 -0500 Jason Smith (e945be8)

	* Make build work

2009-12-07 17:43:28 -0500 Jason Smith (a7dec87)

	* Add mono xml api file

2009-12-07 13:41:55 -0600 Ted Gould (bfb9e77)

	* Adding in an activate signal.

2009-12-07 13:31:36 -0600 Cody Russell (95ecb48)

	* Add 'activate' signal support

2009-12-05 01:26:08 -0500 Ken VanDine (fb20a31)

	* remove --enable-gtk-doc from autogen.sh

2009-12-05 01:21:59 -0500 Ken VanDine (9306d83)

	* generate gtk-doc

2009-12-04 14:50:47 -0600 Ted Gould (ec3c1be)

	* releasing version 0.0.2-0ubuntu1~ppa1

2009-12-04 14:48:18 -0600 Ted Gould (5498681)

	* * Upstream release 0.0.2   * Updates API to use GTK instead of
          dbusmenu to make it     easier for upstream developers to
          use.

2009-12-04 14:46:17 -0600 Ted Gould (2906ee4)

	* Increasing to version 0.0.2 (tag: 0.0.2,
          refs/bzr/origin/tags/0.0.2)

2009-12-04 13:04:33 -0600 Ted Gould (fe16a24)

	* Test suite fixes for the GTK Menu changes.

2009-12-04 11:06:41 -0600 Cody Russell (c9670e6)

	* Remove the menu test

2009-12-04 11:02:30 -0600 Cody Russell (6f39584)

	* test fix

2009-12-04 10:54:45 -0600 Cody Russell (670019c)

	* Test fixes

2009-12-04 09:31:28 -0600 Ted Gould (17478a9)

	* Adding GTK Menu support to libappindicator and removing dbusmenu
          support.

2009-12-04 09:28:16 -0600 Cody Russell (7406617)

	* credit :)

2009-12-04 09:26:19 -0600 Cody Russell (17d72ed)

	* Small cleanup

2009-12-04 09:07:34 -0600 Cody Russell (5f4c6f8)

	* Fix up some docs

2009-12-03 23:23:01 -0600 Cody Russell (580f2be)

	* API changes, gtk menu support

2009-12-02 12:17:03 -0600 Ted Gould (25d7d99)

	* releasing version 0.0.1-0ubuntu3~ppa4

2009-12-02 12:15:46 -0600 Ted Gould (fb3c300)

	* Adding in copyright headers and licenses

2009-12-02 12:09:19 -0600 Ted Gould (92a3e89)

	* Adding legal headers on files and licenses.

2009-12-02 12:07:11 -0600 Ted Gould (5710b62)

	* releasing version 0.0.1-0ubuntu3~ppa3

2009-12-02 12:05:28 -0600 Ted Gould (5317413)

	* * Massive name change. * debian/* changing packaging to not be
          "custom" anymore and now   everything is "application" *
          debian/control: Splitting out libappindicator * Adding
          debian/libappindicator0.install,  
          debian/libappindicator-dev.install,  
          debian/indicator-application.install

2009-12-02 12:03:17 -0600 Ted Gould (5c4e31a)

	* Sync to trunk

2009-12-02 12:02:35 -0600 Ted Gould (984759e)

	* Changing the name from indicator-custom to indicator-application

2009-12-02 11:58:12 -0600 Ted Gould (f897644)

	* releasing version 0.0.1-0ubuntu3~ppa2

2009-12-02 11:57:06 -0600 Ted Gould (29ef598)

	* Implementing the service and having the indicator and app library
          start using it.

2009-12-02 11:55:44 -0600 Ted Gould (69448c0)

	* Sync from trunk

2009-12-02 11:55:27 -0600 Ted Gould (47741f6)

	* Create a service and start using it.  Also updating to libindicator
          0.3.0.

2009-12-01 09:27:45 -0600 Ted Gould (dc560c7)

	* releasing version 0.0.1-0ubuntu3~ppa1~newname1

2009-12-01 09:26:29 -0600 Ted Gould (c0b7c89)

	* * debian/* changing packaging to not be "custom" anymore and now  
          everything is "application" * debian/control: Splitting
          out libappindicator * Adding
          debian/libappindicator0.install,  
          debian/libappindicator-dev.install,  
          debian/indicator-application.install

2009-12-01 09:22:17 -0600 Ted Gould (1566a99)

	* Massive name change.

2009-12-01 09:19:33 -0600 Ted Gould (113fc34)

	* Updating to service-me-please branch.

2009-12-01 09:18:18 -0600 Ted Gould (1933cc6)

	* Updating to trunk packaging

2009-12-01 09:17:28 -0600 Ted Gould (71797b3)

	* releasing version 0.0.1-0ubuntu3~ppa1

2009-12-01 09:15:05 -0600 Ted Gould (c860f69)

	* * Flesh out the library to have stuff working. * Updating test
          suite to run under dbus-test-runner.

2009-11-30 16:47:06 -0600 Ted Gould (1895dec)

	* Copyright notice for marshallers definition.

2009-11-30 16:45:40 -0600 Ted Gould (dfb7524)

	* Header for a DBus interface description, not sure if that's right
          or not.

2009-11-30 16:41:19 -0600 Ted Gould (9028f21)

	* Adding in GPLv3 headers.

2009-11-30 16:41:10 -0600 Ted Gould (d8e73df)

	* Adding in LGPL v3/2 headers

2009-11-30 16:11:06 -0600 Ted Gould (8027b94)

	* Adding GPLv3 headers.

2009-11-30 15:27:10 -0600 Ted Gould (91013e4)

	* GPL header

2009-11-30 15:22:03 -0600 Ted Gould (45f5d8c)

	* Adding in copying license files.

2009-11-30 13:28:20 -0600 Ted Gould (44be8d2)

	* Getting the right named files.

2009-11-30 13:21:45 -0600 Ted Gould (f0881be)

	* Changing the insides to remove the custom stuff.

2009-11-30 13:15:47 -0600 Ted Gould (35d5c71)

	* De-customizing the directory stuff.

2009-11-30 13:12:49 -0600 Ted Gould (7cc02cf)

	* Migrating to the new 'app' world.

2009-11-30 13:11:17 -0600 Ted Gould (a7c7079)

	* Shortening the object names as well.  People hate typing.

2009-11-30 12:34:53 -0600 Ted Gould (672b725)

	* Massive custom to application find and replace throughout the code.

2009-11-30 12:15:04 -0600 Ted Gould (fdd8e21)

	* Ignoring happily again.

2009-11-30 10:58:09 -0600 Ted Gould (997bdb5)

	* Shortening the file names as well.

2009-11-30 10:30:22 -0600 Ted Gould (8eff74d)

	* Making the directory name shorter

2009-11-30 09:58:53 -0600 Ted Gould (5b2dcab)

	* Changing file names, and some fallouts from that.

2009-11-30 09:52:16 -0600 Ted Gould (fc1e08a)

	* Total insane rename.  Probably broke more than a few things.

2009-11-30 09:35:25 -0600 Ted Gould (e0cb52e)

	* Another name change.

2009-11-24 21:55:10 -0600 Ted Gould (ad2afb8)

	* Changing all the dbus names.

2009-11-24 21:52:40 -0600 Ted Gould (f4d0952)

	* Name changed

2009-11-24 21:51:43 -0600 Ted Gould (8fa7b92)

	* Name changes

2009-11-24 21:50:50 -0600 Ted Gould (f0fcaa6)

	* A bunch of code.

2009-11-24 17:08:37 -0600 Ted Gould (2edb47b)

	* releasing version 0.0.1-0ubuntu3~ppa1~service8

2009-11-24 17:07:41 -0600 Ted Gould (62a7252)

	* Sync to trunk and fix distcheck by delaying connecting to the
          service by checking for data.

2009-11-24 17:03:24 -0600 Ted Gould (8c7ce8f)

	* Moving the connection code into a function that is called to check
          to see if we have enough data.  This fixes distcheck after
          the merge from main.

2009-11-24 16:40:47 -0600 Ted Gould (acbab33)

	* Merging in changes on trunk.  Resolving a conflict.

2009-11-24 16:31:55 -0600 Ted Gould (7c86b00)

	* releasing version 0.0.1-0ubuntu3~ppa1~service7

2009-11-24 15:17:03 -0600 Ted Gould (4b23fc3)

	* Woot, basic remove support.  Causes warnings, but it works.

2009-11-24 14:06:05 -0600 Ted Gould (ce09817)

	* Showing the icon.  Now we can put things up in the menu!  Finally.

2009-11-24 13:04:41 -0600 Ted Gould (254386f)

	* Ignoring the marshallers

2009-11-24 13:03:56 -0600 Ted Gould (314754f)

	* Building a little more of a menu item for testing.

2009-11-24 11:23:21 -0600 Ted Gould (c8faaf3)

	* Fixing Marshallers so that everything is happy-happy.

2009-11-23 17:39:19 -0600 Ted Gould (bfd3806)

	* releasing version 0.0.1-0ubuntu3~ppa1~service6

2009-11-23 17:38:00 -0600 Ted Gould (6caead9)

	* I really shouldn't have to register marshalers.  Srsly.

2009-11-23 17:33:26 -0600 Ted Gould (f0b58f5)

	* Moving the registration of the marshallers until after the proxy. 
          Odd that I'd have to do this, but let's try.

2009-11-23 16:52:19 -0600 Ted Gould (cecee4c)

	* releasing version 0.0.1-0ubuntu3~ppa1~service5

2009-11-23 16:51:27 -0600 Ted Gould (28f794c)

	* Forgot return types.

2009-11-23 16:51:01 -0600 Ted Gould (756b6c9)

	* Forgot return types.

2009-11-23 16:37:54 -0600 Ted Gould (c27868e)

	* releasing version 0.0.1-0ubuntu3~ppa1~service4

2009-11-23 16:35:45 -0600 Ted Gould (25d690a)

	* Registering marshallers for DBus in the indicator.

2009-11-23 15:59:30 -0600 Ted Gould (009e468)

	* Adding a debug message on getting an application.

2009-11-23 15:44:18 -0600 Ted Gould (62f0373)

	* Making a simple client

2009-11-23 14:56:38 -0600 Ted Gould (b6b57bd)

	* releasing version 0.0.1-0ubuntu3~ppa1~service3

2009-11-23 14:55:06 -0600 Ted Gould (59b0398)

	* Adding more fun.  Now we're cookin'!

2009-11-23 14:51:51 -0600 Ted Gould (2c04418)

	* Connecting to a notification watcher.

2009-11-23 13:26:32 -0600 Ted Gould (9a48354)

	* Adding in a TODO

2009-11-23 13:09:58 -0600 Ted Gould (5a87d20)

	* Commenting.

2009-11-23 12:52:14 -0600 Ted Gould (efd63e3)

	* Fixing custom indicator watcher object path.

2009-11-23 12:02:40 -0600 Ted Gould (f22ff6a)

	* Cleaning up main a little bit and handling the 'disconnected' case
          that doesn't yet quite exist.

2009-11-23 11:44:29 -0600 Ted Gould (f7cfd25)

	* Adding a remove function and switching to the position in the list
          being the position.

2009-11-09 21:55:02 -0600 Ted Gould (3d71f7f)

	* Adding in the dbus shared header.

2009-11-09 00:27:17 -0600 Ted Gould (5c797c3)

	* A simple little app.

2009-11-09 00:14:54 -0600 Ted Gould (23d6b5d)

	* Adding a defualt file for a little appliction that'll grow into a
          full app.

2009-11-08 23:04:50 -0600 Ted Gould (9738887)

	* releasing version 0.0.1-0ubuntu3~ppa1~service2

2009-11-08 23:03:39 -0600 Ted Gould (3d0184b)

	* Building the service and getting things in better shape.

2009-11-06 23:38:22 -0600 Ted Gould (d0abdda)

	* Grabbing the properties and going to town.  Turning back into
          another signal.

2009-11-06 22:50:48 -0600 Ted Gould (ffd9962)

	* Adding some XML for dbus properties interface.

2009-11-06 22:46:30 -0600 Ted Gould (4bcfbf4)

	* Building the property proxy.

2009-11-06 22:17:54 -0600 Ted Gould (1cee2f3)

	* Forgot to save.

2009-11-06 22:15:19 -0600 Ted Gould (8b92c1c)

	* Building a proxy.

2009-11-06 21:53:59 -0600 Ted Gould (e25d64f)

	* Adding an application list.

2009-11-06 21:40:28 -0600 Ted Gould (bca77a7)

	* Getting the registration signal, and passing it up the stack.

2009-11-06 21:16:47 -0600 Ted Gould (78a6d0d)

	* Adding app add/remove to appstore

2009-11-06 20:41:18 -0600 Ted Gould (591311a)

	* Woot!  Now we have signals in our watcher.  Let's rock on!

2009-11-06 17:13:47 -0600 Ted Gould (ced0ec2)

	* Connecting the watcher and the appstore.  And actually building
          one.  We're on DBus now.

2009-11-06 17:05:28 -0600 Ted Gould (fa2ac00)

	* Moving the watcher stuff to the new object.

2009-11-06 16:55:48 -0600 Ted Gould (ab660ab)

	* Creating a new object to be our watcher.  Apparently we can't have
          two DBus interfaces on the same object :(

2009-11-06 16:50:20 -0600 Ted Gould (c894aa5)

	* Adding in teh source directory for distcheck

2009-11-06 16:47:54 -0600 Ted Gould (53f654e)

	* Adding in a set of marshallers to make our signals all happy.

2009-11-06 16:40:36 -0600 Ted Gould (3ea189e)

	* Putting some signals on here.

2009-11-06 16:19:35 -0600 Ted Gould (4644370)

	* Changing some API and implementing the simple stuff.

2009-11-06 14:02:38 -0600 Ted Gould (faef47f)

	* Fleshing out the application added stuff

2009-11-06 13:38:09 -0600 Ted Gould (463ca24)

	* Fleshing out get_entries

2009-11-06 13:32:21 -0600 Ted Gould (1dc8a8a)

	* Making for a list of applications that we can build and destroy at
          will.

2009-11-06 12:56:54 -0600 Ted Gould (349af66)

	* Hooking up to the proxy.  Let's do this!

2009-11-06 12:25:29 -0600 Ted Gould (10d1d2e)

	* Fleshing out connected to start bringing up the proxy.

2009-11-06 10:09:08 -0600 Ted Gould (7532947)

	* Migrating over to the libindicator 0.3.0 API.

2009-11-04 08:11:05 -0600 Ted Gould (f23c54f)

	* Put the cleanup of gtester on the wrong variable.

2009-11-04 07:53:19 -0600 Ted Gould (2d5018b)

	* A small fix to make things run under dbus-test-runner so that we
          start a dbus test session.

2009-11-03 15:18:38 -0600 Ted Gould (8ef7ed5)

	* Put the gtester test under a dbus-test-runner to ensure that we
          have a session bus to test with.

2009-11-03 10:52:39 -0600 Ted Gould (be7d032)

	* Fleshing out the library so that the interface is implemented. 
          Also tests for the library.

2009-11-03 10:51:12 -0600 Ted Gould (cd7ec27)

	* Removing the checks on private being NULL when we're already
          testing the object.

2009-11-02 21:56:37 -0600 Ted Gould (3345ad5)

	* releasing version 0.0.1-0ubuntu3~ppa1~service1

2009-11-02 21:41:22 -0600 Ted Gould (88be27c)

	* releasing version 0.0.1-0ubuntu2 (tag: 0.0.1-0ubuntu2,
          refs/bzr/origin/tags/0.0.1-0ubuntu2)

2009-11-02 21:39:38 -0600 Ted Gould (9d043e6)

	* * debian/control: Splitting out libcustomindicator * Adding
          debian/libcustomindicator0.install,  
          debian/libcustomindicator-dev.install,  
          debian/indicator-custom.install   to make all the
          different packages.

2009-11-02 20:48:39 -0600 Ted Gould (81d7988)

	* Merging project name change.

2009-11-02 20:45:25 -0600 Ted Gould (a260225)

	* Changing the package name

2009-11-02 20:35:05 -0600 Ted Gould (733c841)

	* releasing version 0.0.1-0ubuntu2~ppa1~service1

2009-11-02 20:18:30 -0600 Ted Gould (8d4cdc7)

	* Grabbing from the service development branch

2009-11-02 20:08:07 -0600 Ted Gould (d496d7a)

	* We've got a service manager.  Now we'll start ourselves up!

2009-11-02 19:52:47 -0600 Ted Gould (9aff9ba)

	* Getting the name into a header.

2009-11-02 17:19:25 -0600 Ted Gould (3d1c4c4)

	* Boom, make us an indicator service.

2009-11-02 12:14:36 +1100 Robert Collins (df182c1)

	* Draft packaging.

2009-10-28 15:55:28 -0500 Ted Gould (f2c4a15)

	* Building our app store

2009-10-28 15:52:48 -0500 Ted Gould (714f372)

	* Registering ourselves on dbus

2009-10-28 15:12:46 -0500 Ted Gould (8903841)

	* Boom!  Now we're implementing dbus.

2009-10-28 14:57:38 -0500 Ted Gould (ecf44bf)

	* Adding an appstore object to hold all of our apps.

2009-10-28 14:52:08 -0500 Ted Gould (ec8cd68)

	* Adding the custom-service interface.

2009-10-28 11:33:00 -0500 Ted Gould (b6d06ca)

	* Pulling in the unreviewed lib-flesh branch

2009-10-22 16:30:31 -0500 Ted Gould (9c868b9)

	* 'Merging' in trunk.  No changes.  Better history.

2009-10-22 16:19:40 -0500 Ted Gould (1b71a85)

	* Adding in testing the location of the dbusmenuserver

2009-10-22 16:19:24 -0500 Ted Gould (d6cc939)

	* Looking for the wrong property, we can only set the object.

2009-10-22 16:04:52 -0500 Ted Gould (20caa2f)

	* We can't get the enum values from the string param spec, we need to
          find the enum one and then use that.

2009-10-22 15:47:31 -0500 Ted Gould (6030445)

	* Property name changes.  Boo.

2009-10-22 15:45:26 -0500 Ted Gould (6a255c6)

	* Changes due to the properties changes.

2009-10-22 15:43:28 -0500 Ted Gould (0256208)

	* Gimme a break

2009-10-22 15:29:05 -0500 Ted Gould (00f4a53)

	* Adding a set of read-only properties that deal with the strings for
          dbus, and let the other properties do the real work.

2009-10-22 15:06:13 -0500 Ted Gould (20d116a)

	* Branch building up the interface for the library.

2009-10-22 14:30:40 -0500 Ted Gould (b04e0de)

	* Checking the category and state

2009-10-22 14:26:53 -0500 Ted Gould (af10235)

	* All strings work.

2009-10-22 14:21:49 -0500 Ted Gould (e99a6fe)

	* Fleshing out the property counting.

2009-10-22 14:15:53 -0500 Ted Gould (199365d)

	* Settng the right path

2009-10-22 11:31:22 -0500 Ted Gould (9db2ce5)

	* If we fail, we need to really fail.

2009-10-22 11:30:41 -0500 Ted Gould (e0d35fc)

	* Adding a kill function, just in case.

2009-10-22 11:24:06 -0500 Ted Gould (a8b1009)

	* Basic code calling all the properties.

2009-10-22 09:46:17 -0500 Ted Gould (83a3d84)

	* Fleshing out the server to setup a simple custom indicator.

2009-10-22 09:30:59 -0500 Ted Gould (23b7242)

	* Switching to using a little autotest as well.

2009-10-22 09:20:36 -0500 Ted Gould (bca9b7e)

	* Adding in two little client server binaries for testing the custom
          indicator.

2009-10-21 15:42:13 -0500 Ted Gould (0df50d7)

	* Change the enums to match the KDE ones to make life simpler even
          though I dislike the names.

2009-10-21 14:03:18 -0500 Ted Gould (5e34573)

	* Turning on verbose output and showing the status of all tests.

2009-10-21 13:24:21 -0500 Ted Gould (5aeff27)

	* Getting the prototype right.

2009-10-21 13:23:56 -0500 Ted Gould (02cb525)

	* The signal should have a string not a enum value.

2009-10-21 12:10:38 -0500 Ted Gould (b08b158)

	* Making sure to signal if we change the status.

2009-10-21 12:06:19 -0500 Ted Gould (5e1d1d9)

	* Adding test to test the property change signals.

2009-10-21 11:40:23 -0500 Ted Gould (dc43af9)

	* Checking all the set functions.

2009-10-21 11:35:30 -0500 Ted Gould (d11f7e6)

	* Switching from doing the GValues as enums to the more specific
          types.

2009-10-21 11:31:44 -0500 Ted Gould (fdd9a5d)

	* Silly, these are enums not ints.

2009-10-21 11:14:09 -0500 Ted Gould (795f7d9)

	* Adding a test that sets a bunch of properties.

2009-10-21 09:33:57 -0500 Cody Russell (0093c37)

	* Ah, forgot a return.  Cody would kill me!  Oh, no.

2009-10-21 09:23:21 -0500 Ted Gould (10e9550)

	* Woot!  We can build a custom indicator, and it exists.

2009-10-20 23:47:20 -0500 Ted Gould (5e928c9)

	* Now we're building a test, woot!

2009-10-20 23:23:31 -0500 Ted Gould (d28010e)

	* Tests directory.

2009-10-20 22:39:45 -0500 Ted Gould (ada3399)

	* Fleshing out the get functions.

2009-10-20 22:07:29 -0500 Ted Gould (e932bfa)

	* Fleshing out the set functions.

2009-10-20 17:18:48 -0500 Ted Gould (08c19ed)

	* Filling out some prototypes.

2009-10-20 17:06:34 -0500 Ted Gould (81afbd1)

	* Okay, connecting this little thing into DBus already.

2009-10-20 16:57:57 -0500 Ted Gould (484b489)

	* Making sure to free and unref all of our private variables.

2009-10-20 16:42:08 -0500 Ted Gould (59d8fbd)

	* Now for some 'set' code.  Bringin' it.

2009-10-20 14:16:22 -0500 Ted Gould (23fdc86)

	* Fleshing out get parameters...

2009-10-20 13:23:13 -0500 Ted Gould (b52ac88)

	* Adding in a bunch of things to the private struct.  We now have
          data!

2009-10-20 09:59:57 -0500 Ted Gould (56cd30a)

	* Basic property case statements.

2009-10-19 16:44:59 -0500 Ted Gould (b82c8da)

	* Creating a connected property to check easily.

2009-10-19 16:22:24 -0500 Ted Gould (9dbe19d)

	* Boom, there are some signals.

2009-10-19 14:35:26 -0500 Ted Gould (6587e75)

	* Adding in the dbus signals from that interface.

2009-10-19 14:11:58 -0500 Ted Gould (bf1efc1)

	* Header comments and a new signal that we'll need to deal with.

2009-10-19 14:03:12 -0500 Ted Gould (6da6b6b)

	* Wow, properties.  The properties system in gobject is a little
          insane.

2009-10-17 22:27:34 -0500 Ted Gould (9e25a77)

	* Changing the name to match the changes in the previous commit.

2009-10-17 22:25:55 -0500 Ted Gould (49bddff)

	* Switching the name to be more consistent.

2009-10-17 22:25:10 -0500 Ted Gould (72815e1)

	* Getting the name change into the templates properly.

2009-10-17 22:16:44 -0500 Ted Gould (06111bc)

	* Making the enums camel case.  I prefer the other, but it seems best
          to match GTK style

2009-10-17 21:46:45 -0500 Ted Gould (7b45f65)

	* Making sure to get the property names into defines so that we can
          ensure they're all the same.

2009-10-17 21:42:00 -0500 Ted Gould (a49c643)

	* Filling out the property list.

2009-10-16 16:22:04 -0500 Ted Gould (85b61a4)

	* Putting in our first property, status.  Woo hoo!

2009-10-16 16:04:18 -0500 Ted Gould (8dc712f)

	* Oops, shouldn't be CLUTTER there.

2009-10-16 15:54:32 -0500 Ted Gould (63e10a6)

	* Forgot to change the package name

2009-10-16 15:53:59 -0500 Ted Gould (31f519d)

	* Set and get properties

2009-10-16 15:36:22 -0500 Ted Gould (227666e)

	* Merging in the library interface.

2009-10-16 14:50:37 -0500 Ted Gould (50e28fd)

	* Adding the possibility of making the directories silently.

2009-10-16 14:47:28 -0500 Ted Gould (f4f482c)

	* Some small changes to make 'distcheck' happy.

2009-10-16 14:32:21 -0500 Ted Gould (174af37)

	* Another object file bites the dust

2009-10-16 14:31:50 -0500 Ted Gould (00c4764)

	* Fixing the templates.

2009-10-16 14:31:35 -0500 Ted Gould (0b6ffb4)

	* Filling out the enums to have values.

2009-10-16 14:08:47 -0500 Ted Gould (d7e3756)

	* Adding the C file into the build as well.

2009-10-16 13:43:47 -0500 Ted Gould (ba81d4a)

	* Putting in the enum templates and building them.

2009-10-16 13:20:56 -0500 Ted Gould (5b8ab09)

	* Setting up build to build the enums.

2009-10-16 13:20:33 -0500 Ted Gould (0336cb4)

	* Adding programs for buiding enums and marsherers and all that jazz

2009-10-16 12:59:39 -0500 Emmanuele Bassi (8ad3fb0)

	* Stealing these makefile segments to build enums and marshallers

2009-10-16 12:33:31 -0500 Ted Gould (1101075)

	* Building a basic prototype of the API for the lib.

2009-10-16 12:20:43 -0500 Ted Gould (664bc74)

	* Adding in the DBus interface files and building of those.

2009-10-15 21:12:52 -0500 Ted Gould (b666cc1)

	* Building a basic library starting out.

2009-10-15 21:02:52 -0500 Ted Gould (be305bc)

	* We need a directory.

2009-10-15 17:01:35 -0500 Ted Gould (e576b28)

	* We're on the dbus branch now

2009-10-15 14:49:04 -0500 Ted Gould (afd1d17)

	* Ignoring the generated dbus interfaces.

2009-10-15 14:45:07 -0500 Ted Gould (d6fb194)

	* Building the ChangeLog on dist

2009-10-13 22:26:35 -0500 Ted Gould (df1cc80)

	* Making sure we get our specs and clean up after ourselves. 
          Distcheck magic.

2009-10-13 22:22:38 -0500 Ted Gould (89ebfc6)

	* Getting some functions so that we can link happy like.

2009-10-13 22:19:39 -0500 Ted Gould (17192c2)

	* Fixing symbol names.

2009-10-13 22:16:49 -0500 Ted Gould (7b2c29f)

	* Getting to building all these header files nicely.

2009-10-13 17:16:43 -0500 Ted Gould (9fc5dd8)

	* Some dbus y'all!

2009-10-13 15:48:42 -0500 Ted Gould (e265e46)

	* A basical build system and basic files.

2009-10-13 15:37:08 -0500 Ted Gould (fb328a4)

	* Building a basic indicator and the service to go along with it.

2009-10-13 14:46:56 -0500 Ted Gould (d7640ed)

	* Cleaning up status

2009-10-13 14:39:46 -0500 Ted Gould (683109e)

	* Local install on distcheck, now it passes.

2009-10-13 14:39:35 -0500 Ted Gould (5b565b0)

	* Wrong version

2009-10-13 14:34:09 -0500 Ted Gould (6e1d6b9)

	* DBus Service file

2009-10-13 14:02:17 -0500 Ted Gould (7bd4902)

	* Autogen and friends

2009-10-13 13:48:46 -0500 Ted Gould (8f6b6e0)

	* Very basic.

2009-10-13 13:36:37 -0500 Ted Gould (140fda5)

	* First version

